commit 3ed76138a768d8ce0b9028806273610a92a5617f
Author: Michael Marley <michael@michaelmarley.com>
Date:   Sun Jan 2 14:09:51 2022 -0500

    nvenc: Fix Werror=int-conversion FTBFS (and likely bug)
    
    Commit 0165f365cd58bbcc3734e4ec9ce696b42870ff8e introduced an FTBFS
    when -Werror=int-conversion is passed to the compiler.  For
    reasons unknown to me, the "value" argument to AV_DICT_SET_INT was
    written as a string (const char *) rather than the int64_t that
    the function behind the macro was expecting in the "Set Defaults"
    statements.  This was resulting in the value of the pointer to the
    character array getting used as the argument rather than the
    integer itself, which appears to be what was intended.  This
    triggers the Werror=int-conversion error and also probably results
    in unexpected behavior from passing the pointer values.

commit 067b662ef7479af2b830b95fbd7b2e6c1cb9e7a1
Author: Michael Marley <michael@michaelmarley.com>
Date:   Sun Jan 2 12:38:17 2022 -0500

    nvenc: Fix Werror=misleading-indentation FTBFS
    
    Commit 0165f365cd58bbcc3734e4ec9ce696b42870ff8e introduced an FTBFS
    when -Werror=misleading-indentation is passed to the compiler.  It
    appears from changes elsewhere in the file (around line 450) that
    the "Set Defaults" statements were not intended to be included in
    the if block, so this commit reformats it to make that obvious (and
    also add curlybrackets as was done around 450.)

commit 0165f365cd58bbcc3734e4ec9ce696b42870ff8e
Author: fat-fred <iphone@fatfred.net>
Date:   Wed Dec 1 11:25:51 2021 +0100

    some changes to nvenc
    
      -cleanup of profiles
    
      -include level selection for nvenc

commit 4deae00a11e92e6c19da4fd1bae48ef7f124c67b
Author: fat-fred <fatfred.iphone@googlemail.com>
Date:   Tue Nov 30 08:37:09 2021 +0100

    Update Makefile.ffmpeg

commit fb7b24114685a7e38d842168dce4c613360cd330
Author: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Date:   Sat Jan 1 16:53:29 2022 +0100

    configure: add execinfo option
    
    Add execinfo option to allow the user to disable the feature even if
    execinfo.h is found on the system
    
    Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>

commit 09a2c71abb01db8735437f233b8a54a0bb4939fc
Author: Michael Marley <michael@michaelmarley.com>
Date:   Sat Dec 11 21:01:08 2021 -0500

    iptv: Fix stream limit starting a new input on a running mux
    
    In iptv.c:iptv_input_is_free(), if all the conf arguments are 0
    (when called from input_is_enabled()), return null if the mux
    associated with the input is already running.  If the mux is
    already running, starting a new input on it isn't going to create
    a new input stream or break any bandwidth limit.  This fixes an
    issue where starting a new channel/input on a mux that is already
    active when the maximum number of input streams are in use would
    result in failure.
    
    This function is rather dense and appears to perform multiple
    different functions depending on who called it, so I had a hard
    time understanding exactly what is going on.  Therefore, I made
    this patch in a way to be sure that it wouldn't affect how it works
    in other cases than input_is_enabled().  If there is a better way
    to do this, please do tell me.

commit 6f3b31043d89324c6b406286c1561ca0a213ba48
Author: Michael Marley <michael@michaelmarley.com>
Date:   Sat Dec 11 20:56:54 2021 -0500

    Check the return code of snprintf in utils.c:rmtree
    
    And return -ENAMETOOLONG if the string overflowed.  This fixes the
    FTBFS on s390x with recent glibc/gcc versions.
    
    This fixes #5949.

commit 9ed7d10ac2e895080d08587048ac5a24a2f9fae3
Author: Michael Marley <michael@michaelmarley.com>
Date:   Sat Dec 11 18:09:47 2021 -0500

    Use clock_gettime() instead of time() in epggrab.c
    
    time() appears to return a slightly-rounded value as compared to
    functions that return higher-precision time like gettimeofday() and
    timespec_get().  Specifically, when gettimeofday() would return a
    value with a low number in tv_usec, time() will return one fewer
    seconds than tv_sec from gettimeofday().  The difference is minute
    and probably doesn't cause an issue in most cases, but here in
    epggrab.c the time of the next cron run is calculated immediately
    after the previous run fires.  In this case, the value of time()
    is actually one second lower than the specified cron run time. This
    value is then passed into cron_multi_next(), which correctly sets
    the next cron run to the current time.  Therefore, as soon as the
    EPG grab completes, cron triggers again and re-runs it.  Using the
    more precise values from gettimeofday() (by way of clock_gettime())
    solves this problem and ensures that cron runs only once.
    
    This solves #5545 and #5364.

commit b8710206eb073c72b142bce95846b77a0ffa34a6
Author: Norm Raden <norm.raden+github@gmail.com>
Date:   Tue Sep 14 11:28:08 2021 -0400

    Improve the performance of updating the pid filter table in hdhomerun digital tuners.
    
     - Construct the compact list of pids formatted for the hdhomerun and handle edge cases.
     - For each call to tvhdhomerun_frontend_update_pids(...), only issue one set_tuner_filter call to the hdhomerun.
     - Turn off pids when done using them.
     - Handle the rare case where the requested list of pids does not fit in to the fixed length buffer by enabling all pids, excluding the NULL pid.
    
     Previously, calls to update the pids would generate get_tuner_filter and set_tuner_filter calls for each individual pid.
     Also, while a tuner was allocated, pids would never be freed up from the hdhomerun filter table even when they were no longer needed.
     And if the list of requested pids had exceeded the fixed length buffer, then not all the requested pids would be properly enabled.
    
     Very noticeably, in cases where the number of pids is large enough, very frequent pid updates would overload the hdhomerun causing it to
     drop bursts of program data (mpegts broadcast packets) every several seconds on all tuners for the duration of the rapid pid updates
     (reproducible on the HDHR4-2US model).

commit 2efe90cdcf74fdc4179692d283cf46c85e1cf681
Author: Andrei Popescu <Popescu.Andrei.David@gmail.com>
Date:   Fri Nov 12 16:25:28 2021 -0800

    Fixed parsing w_scan format

commit c6bb43d8554643a772aa40c5e56904717b55a95f
Author: James Hutchinson <jahutchinson99@googlemail.com>
Date:   Tue Oct 19 15:35:27 2021 +0100

    opentv: fix missing summary data on rescrape, #5995
    
    Chunks of events within the OpenTV data can contain blank summaries
    following a re-scrape.
    
    The issue of blank summary data occurs when the event in question
    already exists in the guide, and upon rescrape the summary record for
    the event in question is procesed before the title record.
    
    In this scenario we should merge the data to avoid blanking out the
    summary data.

commit 1ee9c5b9cc516d37cb55a9d924a4ca854a64f720
Author: James Hutchinson <jahutchinson99@googlemail.com>
Date:   Sun Sep 26 19:30:40 2021 +0100

    opentv: fix incorrect summaries for skyuk epg, fixes #5995
    
    Events within the OpenTV SkyUK data can contain the same Event ID as
    another event on a different channel.
    
    This resulted in missing or incorrect summary data, since matching was
    based solely on the Event ID.
    
    This commit adjusts the opentv _entry_cmp function to match based on a
    combination of Event ID and Channel ID. This enables the RB_FIND &
    RB_INSERT_SORTED functions used within the OpenTV module to reliably
    insert and uniquely find the correct entry.

commit 8fc2dfa7e1b1b3b1e8ba6f78cd4a81f77fa6a736
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Tue Sep 7 19:14:14 2021 +0200

    Revert "Remove unnecessary conversion"
    
    This reverts commit 7757f066582bdb244c56e658c4a99f8e1d5832cd.

commit 7757f066582bdb244c56e658c4a99f8e1d5832cd
Author: hochwasser <hochwasser@users.noreply.github.com>
Date:   Tue May 4 17:28:39 2021 +0200

    Remove unnecessary conversion
    
    The conversion from unsigned long to long long is not necessary.
    Corrected the print statement uses the format code %lu.

commit 814036346418386144756400ada2bb9200540893
Author: Kai Sommerfeld <kai.sommerfeld@gmx.com>
Date:   Thu Aug 19 09:50:54 2021 +0200

    Expose RDS flag via HTSP.

commit dd7b010afd6e25893712bf8bdfc1c235b9077d7b
Author: Kai Sommerfeld <kai.sommerfeld@gmx.com>
Date:   Thu Aug 5 23:15:56 2021 +0200

    Add support for SCT_RDS

commit 23754f9a63dad8540214d549b4baec2464e5d33a
Author: Pablo <trujulu@gmail.com>
Date:   Sun Jul 25 13:16:14 2021 +0200

    Upgrade to libhdhomerun_20210624
    
    There is a new version of libhdhomerun

commit 6efa411648cee0b9ca0ce5ab39ee847035c88566
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Sat Jul 24 23:40:03 2021 +0200

    Fix ffmpeg jessie build error

commit 0778a348e0d2614eb7d586f50ad92bf6631ef8f3
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Fri Jul 23 20:15:38 2021 +0200

    Attempt to fix jessie build

commit 1979ea7e4e517fd21f7091547bd1bcb9163d069e
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Fri Jul 23 19:16:48 2021 +0200

    Attempt to fix jessie build

commit 40c48203511cca2d0f1723b8764ca53035db28e5
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Fri Jul 23 18:36:19 2021 +0200

    Attempt to fix trusty and centos builds

commit 711592186757f8f0dc64f30b38cd9671dd3b6349
Author: mpmc <git@markc.net>
Date:   Thu Jul 22 14:51:21 2021 +0100

    Autobuild: Add arm64, armhf and armel for bullseye and buster.
    
    This is mainly for building packages on the Pi running plain-ol Debian and not Raspbian/Raspberry Pi OS, images are available at https://raspi.debian.net.

commit c685f3eab6d1fcc2df5a64de38bf0e6e84b06676
Author: mpmc <git@markc.net>
Date:   Tue Jul 20 18:51:15 2021 +0100

    Doozer.io: Add build targets for Debian, Bullseye & Sid

commit 129df4ff3591ce144e7467e93c3f1a3a194bb583
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Wed Jul 21 16:13:09 2021 +0200

    Fix slow loading bandwidth monitor graph in status tab

commit eb59284b8527e3c51eadfeca94ec1e9174cdbdb0
Author: mpmc <git@markc.net>
Date:   Sat Jun 12 13:32:00 2021 +0100

    As we no longer have access to #hts on freenode swap to using libera - see https://tvheadend.org/issues/6054

commit 04853f0dad2282226ec40bf7a95714b722edf66b
Author: Flole <flole@flole.de>
Date:   Wed May 5 16:45:37 2021 +0200

    Add NVIDIA Hardware accelerated decoding for transcoding

commit 9476680f88d3c2363f86bdb1d4ea93dd3c7d2c95
Author: Flole <flole@flole.de>
Date:   Mon May 31 23:07:45 2021 +0200

    Fix EN50211 size for large messages

commit 637844055c186e981495da711e4887806f656c98
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Wed May 5 16:38:29 2021 +0200

    Update ffmpeg to 4.4

commit 97d33e8f2a9021d49928529434ab4bcadd16807c
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Wed May 5 16:12:21 2021 +0200

    Fix missing } from previous commit

commit 3038059db8b16f85ca23387c5ccdb6d8f40414ae
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Wed May 5 16:07:56 2021 +0200

    Allow PMT Parsing when PMT shares a PID with another table
    
    As proposed in #1403

commit 2c0d0a52d516efc9100d1ef110f11b737892c1c3
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Tue May 4 19:37:47 2021 +0200

    SAT>IP-Client: Add option for 16, 24 and 32-channel DVB-C tuners

commit 3d19cd20e87350db7e0d1dd6bd382ec9ee2853b3
Author: hochwasser <hochwasser@users.noreply.github.com>
Date:   Mon May 3 22:16:22 2021 +0200

    seen is a unsigned type
    
    Change the format string from d to u. seen is uint32_t -> line 1192

commit e66581e730d83e134320529087472d73956f19f3
Author: hochwasser <hochwasser@users.noreply.github.com>
Date:   Mon May 3 22:10:46 2021 +0200

    else is missing
    
    While locking into the code, there seems to miss an else statement. The indentation seems so.

commit fdc3f945f2b759a743a595b134786b881538f52e
Author: Jumper78 <52802286+Jumper78@users.noreply.github.com>
Date:   Wed Apr 21 23:38:08 2021 +0200

    Update .gitignore

commit 9d9dffd6248369ad31c2fa18701817a355389387
Author: Jumper78 <52802286+Jumper78@users.noreply.github.com>
Date:   Wed Apr 21 23:34:41 2021 +0200

    Delete .DS_Store

commit fd3316469933fc51e2921ceee65561fcb7606d36
Author: Jumper78 <52802286+Jumper78@users.noreply.github.com>
Date:   Wed Apr 21 23:34:19 2021 +0200

    Delete .DS_Store

commit d843dd2710b5179c373f34a8b273c0eba3391a6c
Author: Jumper78 <52802286+Jumper78@users.noreply.github.com>
Date:   Wed Apr 21 23:33:52 2021 +0200

    Delete .DS_Store

commit d2299aba0f1746b5c5b71d0356f3c1e1108426f5
Author: Jumper78 <52802286+Jumper78@users.noreply.github.com>
Date:   Wed Apr 21 23:30:04 2021 +0200

    specified the value on each line

commit 123ae50a58835fbeb57f3d9667f62c3994c820b6
Author: Jumper78 <52802286+Jumper78@users.noreply.github.com>
Date:   Wed Apr 21 17:16:21 2021 +0200

    Update profile.c
    
    Added Rewrite MPEG-TS SI settings to the MPEG-TS SPAWN profile panel.

commit b824e237e9450ab73273f5bfc41630cc8339bde7
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Wed Apr 21 19:35:23 2021 +0200

    Improve Readme.md file with a more visual approach

commit 10d117e6ed912759db59633ea426bed5ceb6819a
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Tue Apr 20 20:39:59 2021 +0200

    Move travis builds from trusty to bionic

commit 98a7c6cfd9fc72a37e59b358ae326815b0913ab5
Author: davidchute <david@chute.me.uk>
Date:   Sun Mar 21 23:17:11 2021 +0000

    Add pid file hint for systemd-sysv-generator
    
    So that for systemd users, systemd-sysv-generator can work out where the pid file is located. And restart on detection that the process has died.

commit 69bfa71a8eb5db7bfaf2291e03ef010d5c42ab87
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Fri Apr 2 14:06:35 2021 +0200

    Update libssl-dependency information

commit 967c038dc0db18e84ca536583a8b22dc00e926f5
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Fri Apr 2 03:40:39 2021 +0200

    Fix possible deadlock

commit dbaa0f850394af8ab845df802f5f781ac0218ec4
Author: spdfrk <spdfrk123456@gmail.com>
Date:   Thu Mar 18 22:31:06 2021 +0100

    remote timeshift: fix compilation with IPTV disabled

commit d003145d7b8c2f28ea238fbfbbac7833ea542857
Author: Pablo <trujulu@gmail.com>
Date:   Tue Mar 16 09:09:28 2021 +0100

    Upgrade to libhdhomerun_20210224
    
    There is a new version of libhdhomerun

commit b3a98ae7e948e76d25c1610105a86f2790994062
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Tue Mar 16 17:04:04 2021 +0100

    Try to fix error during compilation

commit 6c537b1fddc40ce84eb032a06e2a846a366aa30b
Author: Pablo <trujulu@gmail.com>
Date:   Wed Mar 10 19:41:41 2021 +0100

    Reset error counters for IPTV on start, issue #5760

commit 2ea441d668a3c010f32519201dd02901076d2e19
Author: spdfrk <spdfrk123456@gmail.com>
Date:   Sun Mar 14 13:08:58 2021 +0100

    remote timeshift: fix crash on multiple subscriptions and cleanup

commit d67fff914417955e4ab8e9fbc091576855425ae2
Author: spdfrk <spdfrk123456@gmail.com>
Date:   Sat Jun 13 16:26:30 2020 +0200

    iptv: new features for multicast, rtsp & rtcp
    
    - Implement RTCP Negative Acknowledge (a.k.a. Retransmission) support for RTP streams.
        When packet loss is detected the client will send a RTCP Generic Feedback report to the server. The server can than resend these lost packets.
        Retransmitted packets are send through a second connection or as part of the main stream, both cases are supported.
        For Multicast manual setup of the RTCP server is required, for RTSP automatic setup (was already implemented for Receiver Reports) or manual override is possible.
    - General clean-up of unused RTCP code and restructure to allow for easy implementation of different types of RTCP messages.
    - Make RTCP Receiver Reports optional.
    - RTSP start session with DESCRIBE and parse response content.
    - RTSP DESCRIBE redirect support.
    - Parse DESCRIBE response for AVPF support (required for Retransmission).
    - Implement remote time shift support for RTSP streams.
        This option can be enabled for a channel to pass-through time shift commands to the RTSP server, the internal time shift buffer is then disabled.

commit 817a8d4e48414cca0c21c58bfdccf6fc01e56109
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Fri Mar 12 04:16:21 2021 +0100

    Fix possible NULL-Pointer-reference

commit fe0e5f1f9c8fa175183cede9b3182fb25de2d367
Author: Flole <flole@flole.de>
Date:   Wed Feb 24 19:32:16 2021 +0100

    Fix issues identified by coverity

commit 052c629c530574f96018dd15efaa3384e9fe8a4d
Author: Nick <nickgroen89@gmail.com>
Date:   Wed Feb 24 11:48:43 2021 +0100

    EMM patch
    
    EMM patch, TVheadend stopped sending shared EMM's to OScam.
    
    I believe this commit broke in it. 6ea7c38
    
    After changing back OScam started to receive shared EMM's again.
    
    Tested on dvb-c provider nl-Delta.

commit 00b35ec7803388eb08e4835a1df821283ddef4a9
Author: Flole <flole@flole.de>
Date:   Sun Feb 21 02:52:07 2021 +0100

    Attempt to fix nvenc encoding

commit 2f0c4f298b1e176cf995b8bcd10fd05c425d3a4f
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Sun Feb 21 02:22:52 2021 +0100

    Several coverity fixes, year updated, map muxes between DVB Types
    
    * Fix potential double-free
    
    * Add Option to Map Muxes between different DVB-Types
    
    * Fix potential endless loop in RTSP code
    
    * Change years from 2020
    
    * Rewrite scanfile.c for dynamic memory allocation
    
    * More coverity fixes

commit 0046c96d8d17f455caa8251c569355b77fe9f104
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Sat Feb 20 21:19:36 2021 +0100

    Rewrite scanfile.c for dynamic memory allocation  (#1387)

commit b863e339033b5fffe4ab956663b814fa5896b725
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Sat Feb 20 15:36:56 2021 +0100

    Several enhancements
    
    * Fix potential double-free
    
    * Add Option to Map Muxes between different DVB-Types
    
    * Fix potential endless loop in RTSP code
    
    * Change years from 2020

commit 1619f9e44678dba5467e4ac94b3e47ea92b72f3e
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Thu Feb 18 22:24:01 2021 +0100

    Fix more issues identified by coverity

commit a477a3b39d42cf9af1394fbdf5b3ee7cb2699da6
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Thu Feb 18 22:11:59 2021 +0100

    Fix crash when using matroska profile

commit d3faccf5568ff4de789b65cc2b23dd9b8a9c4067
Author: Flole998 <flole@flole.de>
Date:   Thu Feb 18 16:48:31 2021 +0100

    More coverity fixes

commit c5d4d7dea487770dd8b7e4722f0c7fcc7d5315eb
Author: Flole998 <flole@flole.de>
Date:   Thu Feb 18 15:02:09 2021 +0100

    Fix several issues discovered by coverity

commit bbf76ca96b274d0e007ee32b371d94d750217653
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Thu Feb 18 02:52:48 2021 +0100

    Remove link to bintray as they will shutdown in 2 weeks

commit d6eff494c5f1329959d435513071dcd2f80cf0fb
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Thu Feb 18 02:39:13 2021 +0100

    Move from travis-ci.org to travis-ci.com and update date

commit d002eedb9a57b43c4e4b20a0d2583a7c03027802
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Thu Feb 18 02:35:08 2021 +0100

    Silcense more x265 warnings

commit 4105972735abda7ca955305dd7fac098edd0aaa1
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Thu Feb 18 02:34:26 2021 +0100

    Enable LIBX265_DIFFS again

commit 9660b9c5ff8f7f3976975939f79b9ef8cd463d6e
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Thu Feb 18 01:15:59 2021 +0100

    Add accidentally deleted line again

commit 71a597df3e8a2f1c075c21e5786a2f88e334e20d
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Thu Feb 18 01:13:00 2021 +0100

    Fix uninitialized memory access for several ioctl commands (#1382)
    
    * Fix uninitialized memory access in linuxdvb_frontend.c
    
    * FIx unitialized memory access in linuxdvb_satconf.c

commit 8e2ac3ac8dd804f2d6c892644948b8178b5f285b
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Thu Feb 18 00:17:08 2021 +0100

    Fix too small memory allocation

commit aaca05cc1087e0786eb2b41f050ee8fd3e66c728
Author: Daniel Bittencourt <danielcbit@gmail.com>
Date:   Mon Nov 18 19:10:13 2019 -0400

    Add ISDB-T in hdhomerun

commit 4d91bca9af0ee05b3dd6182549f83cba252ac867
Author: fat-fred <fatfred.iphone@googlemail.com>
Date:   Tue Dec 29 19:04:14 2020 +0100

    fix vaapi-profiles (#1366)
    
    - remove "Basline" h264 Profil (not exist)
    
    - include "Main10" and "Rext" in hevc Profiles
    
    Co-authored-by: fatfred <iphone@fatfred.net>

commit f0dfae1bcfa7e26a07422a42b05c6e261a098579
Author: George Kharrat <dkgeorge@gmail.com>
Date:   Wed Dec 9 04:33:25 2020 -0500

    Added ISDB-T SATIP Support

commit 38c0445a4bb1870532d5feb65e2151aa8bae611d
Author: Erich Küster <erich.kuester@arcor.de>
Date:   Sun Dec 20 12:07:43 2020 +0100

    Upgrade to libhdhomerun_20200907
    
    There is a new version of libhdhomerun on the home page (also available under Fedora 33)

commit 52b255940f9eb71904b9ac01c733cad090cd061a
Author: Alex Deryskyba <alex@wetek.com>
Date:   Wed Dec 16 13:49:19 2020 +0200

    Fix possible deadlock when using tvh_mutex_trylock()
    
    Fixes possible deadlock when using tvh_mutex_trylock() macro in thread non-debug mode.
    The macro expands to call pthread_mutex_lock() instead of pthread_mutex_trylock(),
    which most likely is a result of copy/paste.

commit bd88f3db6a7ed43dc0dca5ed832da13bf627feaf
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Mon Dec 14 23:03:21 2020 +0100

    Sat>IP clear old signal info when opening new stream

commit ecd05a21de3075466476df97cf37ffd42c787e58
Author: Daniel Bittencourt <danielcbit@gmail.com>
Date:   Sat Jul 7 17:44:42 2018 -0400

    Remove libva-x11 dependency

commit 1884300f016027cc3427e3f84c1acfbace5561da
Author: Tim Gates <tim.gates@iress.com>
Date:   Sat Nov 28 09:01:58 2020 +1100

    docs: fix simple typo, seperately -> separately
    
    There is a small typo in src/descrambler/capmt.c.
    
    Should read `separately` rather than `seperately`.

commit febcf9818d7c37fec8a98d424934edcb3243d5e4
Author: Christian Eiden <christian@eiden.ch>
Date:   Tue Nov 3 10:12:20 2020 +0100

    in python 3, dict.has_key() has been removed
    
    Ased in operator instead.
    Also, added check for empty string.
    
    Signed-off-by: Christian Eiden <christian@eiden.ch>

commit 214a14f2968857331dc746609e15c9ad46b5f13e
Author: Fat-Fred <iphone@fatfred.net>
Date:   Tue Oct 27 07:52:44 2020 +0100

    Changed shebang of tvhmeta to python
    
    So it should support python 2 and 3

commit 9a51036e86375103039d38b9c70030c681d06425
Author: dave-p <gh@pickles.me.uk>
Date:   Tue Oct 27 20:25:36 2020 +0000

    Correct Environment variable name.

commit 04dd1143ff23ddad5b67d95515a906fa070a5410
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Tue Oct 27 02:20:50 2020 +0100

    Silcence x265 warnings (#1368)
    
    * Add patch
    
    * Add patch to Makefile

commit 11cda04ab15d269d4bf3597d0f1398f49f5fac08
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Tue Oct 27 01:58:38 2020 +0100

    Add removed checksum

commit cd0f33b148028330c5d6b2c4021934e2cdef271f
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Tue Oct 27 01:52:21 2020 +0100

    Use https for downloading ffmpeg and update nv-codec-headers

commit c66e3bc7db52c1e1bcae9de86d8c6fe8ccb46aa4
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Thu Oct 22 23:18:52 2020 +0200

    Change no_sanitize("thread") attributes

commit ba94ccf283594e6195ab6c598a4bd972a3c2d4f6
Author: user <krzbia@interia.pl>
Date:   Thu Oct 15 22:15:29 2020 +0200

    Adding polish scraper for DVBC

commit c1552692e030ea245d4bf091537ba94b8864a07f
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Tue Oct 20 00:39:36 2020 +0200

    Fix #5962

commit 7e1dac82261dba52900e8d6def943d6149102875
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Wed Oct 14 19:17:59 2020 +0200

    Make focal use python3 for upload

commit d0fb31c67cbd6285e1310ff06064fa96aa524a73
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Wed Oct 14 15:38:36 2020 +0200

    Attempt to fix focal build in doozer

commit 9ed76c0a176b055a57b6e8bd2e0b6e29409269a9
Author: fatfred <iphone@fatfred.net>
Date:   Sat Oct 10 21:31:23 2020 +0200

    Fix vaapi patch

commit c4d086cc098e5d44a5ab9f2c7c1e0afedb0a4106
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Thu Oct 8 22:45:58 2020 +0200

    Remove wrong test in nvenc.c
    
    As proposed in #1362

commit 627c17ae86119f87038ef76d0c02377adbfd5a84
Author: fat-fred <fatfred.iphone@googlemail.com>
Date:   Thu Oct 8 22:27:12 2020 +0200

    Fix NVENC
    
    - corrected "Rate Control" Settings:
       - removed Deprecated Settings
       - include new Settings
    
    - corrected "Profile":
       - include missing hevc profile "Rext"
       - fixed profile selection: before we always had a profile higher as we choose (order is different then in other h264/hevc encoder)

commit ce92e8c8f2842416018b29b2fc8571e5ddaa09b6
Author: fat-fred <fatfred.iphone@googlemail.com>
Date:   Thu Oct 8 22:32:37 2020 +0200

    update Makefile.ffmpeg (#1359)
    
    -Include NASM 2.15.05
    -Include newer x264
    -Include x265 3.4
    -Include VPX 1.9.0
    -Include Theora 1.2.0alpha1
    -Include fdk-aac 2.0.1
    -Include NVCODEC 10.0.26.1
    -Include ffmpeg 4.3.1
    -remove ffmpeg.libx265.diff - its now in ffmpeg includet
    -edited libx265.pie.diff for newer x265
    
    Co-authored-by: fatfred <iphone@fatfred.net>

commit 736ac427b1934832aab23391f5ce35f687c999c6
Author: dave-p <gh@pickles.me.uk>
Date:   Thu Oct 8 17:36:26 2020 +0100

    Fix cut & paste error in api/epg. (#1360)

commit c3204bc6ff87deed26a3bd8ef7a8224a50606dc3
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Tue Sep 29 00:10:17 2020 +0200

    Revert dca46eedd9653b90d2722e67281eed0b35740730
    
    Reverts dca46eedd9653b90d2722e67281eed0b35740730 as it's broken anyways.

commit 04ccb9fd99e526a60355ee908a8ad30cf009b996
Author: Jim Hague <jim.hague@acm.org>
Date:   Mon Sep 28 12:44:46 2020 +0100

    Fix scraping 'new' flag from UK EIT.
    
    1. The regular expression must contain a subgroup match to be recognised
    as a match.
    2. Follow xmltv.c and set flag to 1.

commit 6b8f014c39703640a1fe8af9c2b7663588ed2b56
Author: Pablo <trujulu@gmail.com>
Date:   Fri Jul 17 11:06:43 2020 +0200

    Upgrade to libhdhomerun_20200521

commit ce09077056f9c6558c188d135cec3be85cc9c200
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Mon Jul 13 13:51:09 2020 +0200

    Fix TheTVDB Query

commit d492091de8231ca25ac4b4f682da7d32f3d6f44f
Author: azlm8t <31170571+azlm8t@users.noreply.github.com>
Date:   Sun Jul 12 18:01:01 2020 +0100

    Fix escape code '&quote;' should be '&quot;'. (#1355)
    
    For example S3.2.4:
    https://www.w3.org/MarkUp/html-spec/html-spec.txt
    or
    https://dev.w3.org/html5/html-author/charref
    
    The browsers I tested displayed '&quote;' as
    double quote marks followed by "e;".

commit 8066d559ec12cec0ab1fa366b54286d706f9b5a9
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Sat Jul 11 23:49:41 2020 +0200

    HTSP v35: Add support for recording file size
    
    As proposed in #1332

commit 313803bb69245abc4199130a71748b61d05581bc
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Sat Jul 11 21:37:10 2020 +0200

    Revert "HTSP v35: Add support for recording file size" (#1352)
    
    This reverts commit 8d43c6600cf8fec2879a9d1f9633d7f70ba90bed as dataSize is already a property.

commit 0f13f5912921321a7061ffde760ec41c32d99e77
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Tue Jul 7 17:51:03 2020 +0200

    Attempt to fix doozer build/python2/3 detection

commit f77c77d11cdab4aad14bae3e1d269176031f9f0b
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Mon Jul 6 17:13:37 2020 +0200

    Additional sanity check

commit 34234b2ed6014da2937852492eba8ac8e4814848
Author: Adam Wisher <adam@cbaw.uk>
Date:   Fri May 29 11:35:36 2020 +0100

    Report AAC and AAC-LATM correctly. Always raw stream AAC audio as audio/aac.

commit 25e9c0600b6090335cebee2854bea1f9b2fecaa4
Author: Beavis <beavis@nas.scaryflop.com>
Date:   Sun May 17 18:03:52 2020 +0200

    see https://tvheadend.org/issues/5722

commit f0b21875cf5f3c6ccc735d9c9613122946188628
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Jun 10 22:30:14 2020 +0100

    Handle bad UTF-8 in xmltv (#5909)
    
    We had a string where we had a rogue byte (0x8a) which was not part of
    a UTF-8 string.  This then caused some downstream parsers to abort
    processing the document; other parsers ignored the bad character.
    
    As an interim fix, we now parse the individual characters and filter
    out invalid characters.  We replace such characters with a space
    character (instead of a U+FFFD replacement character) since this
    is typically user presentable data on a "10ft interface".  An
    alternative would be to completely discard the character, but the
    examples we had would then have words combined where the invalid
    character used to be.

commit fa07b19a0011b76029d54f094f00fcbe39f714bd
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Mon Jul 6 17:05:05 2020 +0200

    Replace long by int64_t in json parser, fixes #5844 (#1349)

commit 51a4c5bec7b6fc69dab7b8d559f9b1b881f0eb8e
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Wed Jun 10 23:27:21 2020 +0200

    Fix memory leak

commit e1031ce5d55275e1606643133b8168adcbe5f231
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Mon Jun 8 21:46:22 2020 +0200

    Allocate space for buf on heap (modified PR #1324)

commit 8bd059550c641fcaae3a360c527ada6ec74ce9e7
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Mon Jun 8 21:43:18 2020 +0200

    Allocate space for buf on heap (modified PR #1324)

commit ec39f08b0df1bcc1598eb329001c574140df4fe6
Author: Isak Samsten <isak@samsten.se>
Date:   Mon Jun 8 13:53:45 2020 +0200

    xmltv: add program icon to exported xmltv. Fixes: #5685

commit 749f51914c7ffe68ddec4e9272481110d753324d
Author: Lorenz Brun <lorenz@brun.one>
Date:   Sat May 23 17:23:50 2020 +0200

    Fix infinite loop when parsing invalid EIT CRID data

commit 8a2942a361e95ccdbd30c1edc7627df3862cdbbe
Author: James Le Cuirot <chewi@gentoo.org>
Date:   Fri May 15 17:45:30 2020 +0100

    Fix building with -fno-common (default from GCC 10)

commit 2af3b9e2e4ae15b2bbfd61ed1077a44782ed32cd
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Fri May 22 15:18:41 2020 +0200

    Change nv-codec-headers path, fixes #5901

commit 32500be3898005137b510e187969979cb6c0f85e
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Fri May 22 15:14:10 2020 +0200

    Add python3 requests dependency

commit e59b92e9f317b758e69fe5e0d0037d44d2d0a33a
Author: Antonio Tessarolo <anthonytexdev@gmail.com>
Date:   Fri Apr 10 16:17:09 2020 +0200

    Changed default .pid path from /var/run/tvheadend.pid to /run/tvheadend.pid to follow "new" FSH 3 standard

commit 4b3b33086438fce199a557fe32e6b6aa086c0714
Author: James Le Cuirot <chewi@gentoo.org>
Date:   Sun May 10 23:02:14 2020 +0100

    dvbpsi: Fix build when DVB is not enabled at all

commit ddf17f736a07c03d48cb575acba16ad588c1758a
Author: dave-p <gh@pickles.me.uk>
Date:   Wed May 20 12:45:45 2020 +0100

    Update Copyright date on UI 'About' screen.

commit 1c67c04c8b2ef454fc8bd9265098b903fc6c45e7
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Tue May 19 02:27:00 2020 +0200

    Drop focal i386 support

commit b293369b475315fce38ffd2caa5e5435a1edc6bd
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Tue May 19 02:17:41 2020 +0200

    Fix doozer builds

commit 38fdee98f48c203362af0c87a4fed24b52bd4ffb
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Tue May 19 02:01:32 2020 +0200

    Fix doozer builds

commit 11f5d6c83b1f69ea105b4d69475d73e438eecc98
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Tue May 19 01:43:17 2020 +0200

    Attempt to fix doozer builds (#1340)
    
    * Update lib.sh
    
    * Install python3 requirements

commit eb57b2277cdcd0b25584997534dd018061f2ec5f
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Tue May 19 01:28:12 2020 +0200

    Use python3 if available

commit f28f7d2a66ccb96cbfac59b29049f9f332f79c55
Author: Josef Schlehofer <pepe.schlehofer@gmail.com>
Date:   Fri Apr 17 14:03:59 2020 +0200

    Makefile.ffmpeg: update almost all upstream packages
    
    - Updated x264 to its the latest snapshot 20191216 as their
    snapshotting service was discontinued.
    
    - Updated x265 to version 3.2.
    
    - Updated libvpx to version 1.8.2.
    
    - Updated libogg to version 1.3.4
    
    - Updated fdk-aac to version 0.1.6
    There is version 2.0.x, but let's leave it for later.
    
    - Updated opus to version 1.3.1
    
    - Updated nv-codec-headers to version 8.2.15.10
    
    - Updated ffmpeg to version 4.1.5
    Fixes CVEs:
    CVE-2019-9718
    CVE-2019-9721
    CVE-2019-11338
    CVE-2019-11339
    CVE-2019-12730
    CVE-2019-17539
    CVE-2019-17542
    
    Misc changes:
    - Changed url for libogg, libtheora, libvorbis to use HTTPS and previous
      site points to new one
    - FFmpeg now uses HTTPS

commit 07be334e92072bad19beada9c111f1bb2e0aae16
Author: Trujulu <trujulu@gmail.com>
Date:   Fri Nov 1 12:07:20 2019 +0000

    CSS: general improvements
    
    * Unify css code; spaces, commas...
    * Fix multiple paddings for progress bar (SNR/Signal Strenght).
    * Slightly increase 'TVadapters' width (design collision).
    * Slightly increase 'SAT>IP Servers' width (design collision).
    * ACCESS: Fix width for spinner arrows (image was repeated).
    * ACCESS: Fix transparent line at bottom of not filled progress bar (SNR/Signal Strenght).

commit d7c707467f3f4794cf786806ea479fdad6e516c2
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Sun May 17 17:48:06 2020 +0200

    Deprecate python2, add support for python3 (#1338)

commit 2a7cb68bcd8e43504d5dbeb5d8785a57cd8769cf
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Fri May 15 00:24:41 2020 +0200

    Use HTTPS for libhdhomerun download

commit fe5eea266938f21e273e4af6593a80d28f287b81
Author: Pablo <trujulu@gmail.com>
Date:   Fri Feb 28 16:08:26 2020 +0100

    Upgrade to libhdhomerun_20200225

commit f2f6c867f1ac15bbae9ed2e297375e27181fdd49
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Sat May 16 01:47:06 2020 +0200

    Move from cosmic to focal (#1337)

commit 465050d436843893fc9814cbd608b4c4854c4cd3
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Sat May 16 01:43:53 2020 +0200

    Update copyright and packages link

commit c82e00409b4f7110e4743cf62d67990f6e6cdca3
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Fri May 15 23:47:29 2020 +0200

    Use python3 on focal

commit 6be200b02265b968c24656259eef0f66194d405c
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Fri May 15 16:24:57 2020 +0200

    Fix buffer overflow

commit 2780cd37dc415dae2be1926a6a338d8f4a59b44f
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Fri May 15 16:20:47 2020 +0200

    Prevent buffer overflow, fixes #5896

commit c310da9541135af9532017bb7f1f14a90f37dbfe
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Fri May 15 14:18:29 2020 +0200

    Move forward from cosmic to focal

commit 8d43c6600cf8fec2879a9d1f9633d7f70ba90bed
Author: Kai Sommerfeld <kai.sommerfeld@gmx.com>
Date:   Mon Apr 13 17:36:15 2020 +0200

    HTSP v35: Add support for recording file size

commit d8a31e57a492be6628b685488fcc7f1d9d262679
Author: Mathieu Gouin <mgouin@gmail.com>
Date:   Thu May 14 10:34:26 2020 -0400

    Fix the query URL for IMDB website. (#1327)

commit 221c29b40b1e53ae09a69d9458442dd4fea665f5
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Sat Nov 23 17:11:58 2019 +0100

    Fix #5782

commit 4db926ebe9b77b8da9f6b3f8d62eca5103017f2c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 28 15:46:10 2019 +0100

    esstream: fix NULL dereference in elementary_set_filter_build(), fixes #5787

commit d453f5bef392981c8b14025e2446e4012f72f422
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 15 18:51:43 2019 +0100

    capmt: fix the input filter

commit fda89e85e0b6ae796d8a09e178d3937aa7869270
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 4 09:35:27 2019 +0100

    mpegts service: fix the build without mpegts_dvb (see PR#1321)

commit e225c55e0e927787f6b055fa0d0e0fcd7c145b0c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 4 09:33:16 2019 +0100

    service: fix the default return value for service_get_source()

commit dea96e4418eec37aa75592fee2a9dd7672a9c108
Author: Christian <git-developer@users.noreply.github.com>
Date:   Fri Nov 1 08:04:50 2019 +0100

    docs: add hint on shell redirections (#5761)

commit 25a50f75a07b656e380b4e9e2d61cbc6c7740e4b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 1 08:27:17 2019 +0100

    satip client: try to the the missing poll file descriptor removal, issue #5496

commit 912078267423fd54d52ee31e645cc778323fdd2b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 31 15:33:17 2019 +0100

    tvhpoll: add event helpers, code cleanups

commit 0afdc9d3aea7b6037f1f9886945116557b6787da
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 31 12:20:28 2019 +0100

    htsstr: fix the wrong argument parsing, fixes #5761

commit a9eaf6dc13227f712c3abc5e4987476fd83d5226
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 31 12:19:28 2019 +0100

    htsstr: add htsstr_argsplit() test

commit 4eac68f52a132de8313f2c1fcdcc227df540b2b2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 28 18:21:43 2019 +0100

    tvhpoll: add tvhpoll_set_trace()

commit 24ff5a612628c2e52886456ea429148b59151448
Author: Dennis Luxen <info@project-osrm.org>
Date:   Mon Oct 28 12:33:49 2019 +0100

    Remove dead assignment
    
    variable `channel` is assigned conditionally in line 997.

commit 02cae0f3da19a95b37f2a75e02f22c18961da418
Author: Trujulu <trujulu@gmail.com>
Date:   Sun Oct 27 10:57:41 2019 +0000

    Webui: minimal reworks for access theme
    
    * Edit the help image to reduce the white saw edges.
    * Use white images for tvdb and tmdb when using access.

commit 1fd019c82e8dd21d51d8f96d9843e1cdcaff568f
Author: Pablo <trujulu@gmail.com>
Date:   Sun Oct 27 10:17:28 2019 +0100

    xmltv: Fix xmltv_ns typo, fixes #5720

commit 91fac103174bb1cc46b4368fd1aa96dffe6090a9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 24 17:55:24 2019 +0200

    webui: m3u playlist - mark tag playlists with type=playlist, fixes #5663

commit 6540ff23747499bfa28ba04cc76347a9209f4a1e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 21 18:45:12 2019 +0200

    tvhdhomerun: fix the cablecard access in tvhdhomerun_frontend_monitor_cb()

commit 707b82b9c95519e9f3eb22f1e3d2a6cbe14f9b5c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 21 18:31:41 2019 +0200

    api: return EPERM for the empty arguments, fixes #5755

commit fb06654aea29c13d883314c03573ddcf6a77c954
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 21 10:36:41 2019 +0200

    satip client: allow to set the rolloff to all possible combinations

commit 6c6e0e5103b874fdd926b0f1bcdaed4d7e8b464e
Author: Trujulu <trujulu@gmail.com>
Date:   Fri Jul 26 20:05:55 2019 +0200

    satip client: SATIP Kathrein & Triax: Avoid mandatory rolloff on DVBS2, fixes #5517

commit 729651ce96cfd181fac127024267dbe8abedc924
Author: niemert <c@nimek.se>
Date:   Tue Aug 6 21:41:19 2019 +0200

    access: added missing break for connection limit type
    
    Before update aa_conn_limit_streaming was always set to ae_conn_limit, if limit type was set to ALL in gui.
    Now aa_conn_limit_dvr and aa_conn_limit_streaming is set correctly
    
    Ticket: https://tvheadend.org/issues/5692

commit fb23c42a9e398d83a76ad49d07553ddaf4c6e8d5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 21 10:08:01 2019 +0200

    dvr: fix the DVR limit per user condition (substract self)

commit 0424fc0e30d07ba364fcf35daf34a0a72739f334
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 21 09:43:43 2019 +0200

    access: allow to change/set xmltv/htsp output format per matched entry

commit 895d747cc4f5bf8f655288c3397b6d2db4f08099
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 21 09:05:57 2019 +0200

    access.h: reorder access_t (format members)

commit d066577c4f663222fe83e00a09e15b28666b5a23
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Sun Oct 20 02:11:39 2019 +0200

    Fix division by 0, fixes #5754

commit 6fbb30d039c763268b3e9017e062b0c9ec6bebeb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Oct 19 08:24:20 2019 +0200

    dvb psi: fix the removed MPEG2VIDEO assignment, fixes #5752

commit 84c989e1557843b0acabb1bd8f10c72d9e7327a0
Author: Luis Alves <ljalvs@gmail.com>
Date:   Wed Sep 25 22:49:00 2019 +0100

    mux grid: enable 'hide: parent disabled'

commit 7f090c9829a98427692e06a907c3197ea7230071
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 17 18:48:28 2019 +0200

    dvb psi: add 0x87 estype as EAC3 (ATSC), fixes #5684

commit baf746bc1d420e7d628994922df0ddcb665f698f
Author: Koumes <koumes@centrum.cz>
Date:   Tue Jul 9 21:19:07 2019 +0000

    iptv: fix integer overflow on 32-bit platforms

commit 0243112a5d6e348d226403f3e91f1a9b91dd35df
Author: Koumes <koumes@centrum.cz>
Date:   Tue Jul 9 21:18:40 2019 +0000

    linuxdvb: fix integer overflow on 32-bit platforms

commit cde6e98aabf30741069321f01dbb044f32b97552
Author: StefanBruens <stefan.bruens@rwth-aachen.de>
Date:   Wed Oct 9 01:52:50 2019 +0200

    Avoid configure checks being optimized away with LTO
    
    In case the checks are compiled with CFLAGS including "-O1 -flto" (or any
    other optimization level), a "test()" function not referenced by by main
    will be optimized away and discarded prior to the final linking step, and
    there will be no undefined symbols, thus the checks always succeeds.
    
    This at least affects the "strlcpy"/"strlcat" checks, but may affects other
    checks as well.

commit 7767ab4272906b253daa6a1cd61703e1073a2404
Author: Serge Schneider <serge@raspberrypi.org>
Date:   Tue Aug 13 12:06:03 2019 +0100

    packaging: add missing DEBHELPER placeholder to postrm script

commit c767042262eeeac2b416bad2905cdd3697b5378e
Author: Stefan Dietzel <ovaron@myovaron.de>
Date:   Tue Aug 6 11:17:15 2019 +0200

    Fixed bad quality for vaapi transcoding h264 and hevc with bitrate

commit 6ac41a512410889d2b14a19ae6fc5693772b495d
Author: mpmc <mpmc@users.noreply.github.com>
Date:   Mon Jul 8 08:27:14 2019 +0100

    systemd service file: remove wildcard mounts preventing startup - replace with a note
    
    fixes #5678

commit 971a6e88f4a6fd78763dfdb1ade1d1583d0592a6
Author: Pablo <trujulu@gmail.com>
Date:   Fri Sep 20 21:47:37 2019 +0200

    Upgrade to libhdhomerun_20190621

commit a433a00802eb7d65868acc47e851fbd6988588b6
Author: Pablo <trujulu@gmail.com>
Date:   Thu Mar 28 00:28:38 2019 +0100

     Mux scan: Log correction

commit 76626a94646223f8e73c2168fa4b7a28c5bb8046
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 15 09:11:06 2019 +0200

    tvhcsa: shift the standard headers to top

commit d1fc95a8ad4320054b5f1aa0d4398d193eba246e
Author: Bernd Kuhls <bernd.kuhls@t-online.de>
Date:   Sat Jul 6 08:36:11 2019 +0200

    tvhcsa.c: include stdio.h
    
    Fixes uclibc build error:
    
    CC              src/descrambler/tvhcsa.o
    In file included from /home/buildroot/autobuild/instance-0/output/build/tvheadend-8f1de1621d78c91431238176bf4f6290870a031a/src/tvhlog.h:30:0,
                     from src/descrambler/tvhcsa.h:30,
                     from src/descrambler/tvhcsa.c:19:
    /home/buildroot/autobuild/instance-0/output/build/tvheadend-8f1de1621d78c91431238176bf4f6290870a031a/src/tvh_thread.h:163:25:
     error: unknown type name '__do_not_use_pthread_mutex_t'
     #define pthread_mutex_t __do_not_use_pthread_mutex_t
    
    detected by buildroot autobuilder:
    http://autobuild.buildroot.net/results/627/627e7080e655005d6724b9977670cc73059d6281/

commit 4a059579ec18132ebf2950ee6c14c098400c0ff8
Author: virtualdj <virtualdj@users.noreply.github.com>
Date:   Sat Mar 9 13:15:45 2019 +0100

    Added patch to HDHomerun library to allow cross-compilation

commit f249f6ac9c42b6b37c84edaaab24476ade90522a
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed May 1 18:52:10 2019 +0100

    xmltv: Avoid outputting lang tags in xmltv for only one language, fixes #5630
    
    For most sources of guide information, we only have one language.
    If we output xmltv with language tags just makes the xmltv output
    larger with no benefit.

commit 64f20b5ef8b2d1938b6aa10fb4014475a81474e1
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed May 1 12:55:14 2019 +0100

    htsp: Allow basic htsp format, fixes #5630
    
    The tvguide can be very large for very low memory devices. So allow
    a basic format which excludes the long description fields, thus
    reducing memory overhead.

commit dca55a1d393686c9ab1619f3c2e891685d40d428
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed May 1 12:37:32 2019 +0100

    xmltv: Allow sending basic xmltv format, fixes #5630
    
    Some devices have very limited memory and can not handle our full
    xmltv output. For example, a current make of TV requires the xmltv
    should be less than 5MB and only parses titles, not descriptions.
    
    So we now add an enum to the user access so the user can specify
    a different format.
    
    Basic format gives you a limited xmltv document.
    
    Basic (no hash) gives you the limited xmltv document but avoids
    using hashes for channel ids and uses the name instead since some
    (broken) TVs require this.

commit dd2eddadcf0206094fd7b2ebf77f088026298a72
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed May 1 12:21:33 2019 +0100

    channels: Make const-correct.

commit 5d112de19c2ddfde470c647686e44a42c3e95cb4
Author: mpmc <mpmc@users.noreply.github.com>
Date:   Mon Jul 1 07:37:30 2019 +0100

    autobuild: add build target for raspbian-buster

commit a3a631404a5ba1c4e7a2751040c122c0098cf61a
Author: Herbert von Broeuschmeul <Herbert.Broeuschmeul@gmail.com>
Date:   Fri May 31 20:00:59 2019 +0200

    bugfix for autorecs duplicate episode number detection in autorecs
    
    "record if different episode number" doesn't work as expected in the master branch:
    see https://tvheadend.org/issues/5632
    
    With this modification, the season will be taken into account,
    as it was before, in order to determine if two episodes have different episode numbers or not.

commit c67ba3ce1ba445cf2aea28315bdf97477f43198b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 14 18:33:06 2019 +0200

    api: fix the wrong negative error codes, fixes #5743

commit ac8095e9883173ced48c223b2d53d7e91d9e6671
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 14 12:53:17 2019 +0200

    linuxdvb: take in account similar dmx for the exclusive tuner access, fixes #5744

commit e1fb5c0254e28e6f19d0163e7add8b29c59c1d93
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 6 20:33:17 2019 +0200

    linuxdvb: compilation fix, fixes #5739

commit cb0a61e959065b321d91244d5558968a6cdcb4ad
Author: Martin Thierer <mthierer@gmail.com>
Date:   Tue Sep 10 19:09:43 2019 +0200

    man page: Correct default values for http and htsp port

commit e372db0667a0072e51eb21a0b933d3b3bb8e095d
Author: Peter Vicman <peter.vicman@gmail.com>
Date:   Tue Sep 24 14:13:45 2019 +0200

    bouquet: fix overflow when building for 32-bit system On 32-bit system hash value from service can be truncated.
    
    For example with #SERVICE 1:0:1:835:3EA:2174:EEEE0000:0:0:0
    hash value EEEE0000 become 7FFFFFFF and there is no match in function mpegts_service_find_e2().

commit 691cce4a76177e14e30da6beaca28b9011a529f1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 6 17:05:50 2019 +0200

    service: correct fhdtv/uhdtv height checks

commit 3a98ebc0556ba6724673772d7e41383bcf0ec913
Author: Erik Nilsson <nil_erik@hotmail.com>
Date:   Tue Aug 27 19:44:45 2019 +0200

    add FHD quality support

commit c8794d3aeaff7e99b30aa368e10dbea0f4a227c1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 6 16:53:55 2019 +0200

    linuxdvb: do not mix DVBv3/v5 stats, it causes trouble to drivers, fixes #5625

commit 45bfbd9217d49c1d45ce9da1fabc51adc12de8aa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 6 16:52:52 2019 +0200

    satip client: add ATSC- string parsing, issue #5728

commit ebb0968047b6a3aecd61b48792ab8b48a50ecb0d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Aug 2 13:38:29 2019 +0200

    cclient: more ECM PID fixes, reorder code to be more readable, fixes #5659

commit 9874ab0b1d4a6752840a9a23bf7502c3e623825f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jul 29 20:53:41 2019 +0200

    cclient: mark correctly ECM PID for close, fixes #5659

commit 6be300c430ab614aa527ef34e34f007f34a68ee0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Jul 6 15:40:05 2019 +0200

    cclient: fix the ECM PID flag for newcamd and cccam, fixes #5659

commit 8f1de1621d78c91431238176bf4f6290870a031a
Author: Bernd Kuhls <bernd.kuhls@t-online.de>
Date:   Mon Jul 1 22:08:47 2019 +0200

    Include stdio.h before tvheadend headers
    
    Fixes build error with uClibc: https://www.tvheadend.org/issues/5667

commit dcc50db45b322da22241c01807643160c16ccfc2
Author: premultiply <ulrich.peters@posteo.de>
Date:   Sat Jun 8 11:38:57 2019 +0200

    revert bogus ONID and TSID remapping
    
    ONID and TSID values of 65535 (0xFFFF) are used and valid values.
    This fix allows the proper reception of streams with this value.

commit bf7532d2c8548ae2b1519a014d619547a81508c5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jun 30 16:36:14 2019 +0200

    mpegts: use 32-bit tsid/onid to define the NONE /unset/ state properly

commit 92dffe6976416ee3363ab558dbddba101c7d474f
Author: Koumes <koumes@centrum.cz>
Date:   Sat Jun 29 21:01:15 2019 +0000

    linuxdvb: fix signal status monitor

commit 13cd23c371e3377973502f8dc65654b6a0ff372b
Author: Michael Marley <michael@michaelmarley.com>
Date:   Wed Jun 26 19:35:50 2019 -0400

    Fix compilation with libhdhomerun 20190621
    
    They renamed the symbol that was used to determine whether the
    "hdhomerun_discover_find_devices_custom" needed to be aliased,
    causing an FTBFS.  Instead, recognize both the old and new symbols.

commit 7a71536ec80a3dc03e83dd87ccd67f6a66ecc573
Author: Giulio Benetti <giulio.benetti@micronovasrl.com>
Date:   Fri Jun 14 14:25:08 2019 +0200

    Makefile: fix -pie linking according to --disable-pie
    
    Only compilation follows './configure --disable-pie', linking instead
    doesn't, because '-pie' flag is passed to LDFLAGS uncoditionally.
    
    So add '-pie' flag only if CONFIG_PIE=yes.
    
    Signed-off-by: Giulio Benetti <giulio.benetti@micronovasrl.com>

commit 771dfd6bea7bd4035ed991eccbe735dc00d3f800
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jun 18 11:10:02 2019 +0200

    capmt: another complation fix, fixes #5661

commit 4036e249c365b7840e2c5f9ce7e9b2edbecf3184
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jun 17 20:56:54 2019 +0200

    capmt: fix compilation with recent gcc, fixes #5657

commit bc769bfa9260bad6e1caa0c95591b70ae25f47bf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jun 12 16:43:58 2019 +0200

    capmt: fix for the oscam r11520+, fixes #5649
    
    - allow to force the PMT composing, too

commit 466a0143195a0a0f15c58d4bbd93c57b13caaccd
Author: Anssi Hannula <anssi.hannula@iki.fi>
Date:   Sun May 12 01:56:48 2019 +0300

    en50221: fix menu text decoding
    
    getmenutext() checks that dvb_get_string() returns greater than 0, but
    that function returns 0 on success.
    
    This causes menu text decoding to always fail, resulting in no menu
    texts.
    
    Fix the check to match dvb_get_string() behavior.

commit f033b21316cf7185e6189f4a751ba382117d13ed
Author: Anssi Hannula <anssi.hannula@iki.fi>
Date:   Sun May 12 01:48:43 2019 +0300

    en50221: fix invalid htsmsg manipulation
    
    htsmsg_add_msg() frees the provided submsg and returns a new pointer to
    it.
    
    Fix code in getmenutext() to use the returned pointer instead of the
    now invalid original pointer.

commit e0fad819003f67d4569ea189f2f48a53367c1bd5
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue May 14 17:50:14 2019 +0100

    fanart: Fix decode error.
    
    The text returned from the server is utf-8 so needs an explicit
    decode otherwise it defaults to ASCII and fails for programmes
    with non-ASCII titles.

commit 6bfeca6c03dbd73fa73b1b0dde383ddab29ba91c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Mar 24 20:43:49 2019 +0100

    dvbpsi: fix the freesat bouquet update (inverted condition), fixes #5572

commit 14d22c3797f2077bc31dfdd03cd1cc5e94511b00
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 21 08:49:34 2019 +0100

    api: return an error when incomplete query is passed, fixes #5568

commit 453ee8dfd80b240e1005502c002bdc6de3f121c8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 20 14:47:02 2019 +0100

    linuxdvb: use the right configuration root for the slave tuners (loading), issue #5128

commit 937a5fb78552f067f889279a7c20a418c39e283e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 20 14:45:08 2019 +0100

    linuxdvb: create the mux instances also for the slave tuners, issue #5128

commit 1383eab65a93763b8780e5011d592d9f249031b6
Author: dave-p <gh@pickles.me.uk>
Date:   Fri Mar 15 09:33:19 2019 +0000

    Freesat_huffman: Suppress characters < 0x20 except \n.
    
    Bug #5366 reported control codes appearing in EPG data on UK Freeview; this was fixed in commit 3ae6d947a4d074b3498e59f82d5a860273b0ae7f. However the same issue affects DVB-T2 channels where the EPG is Huffman coded.
    freesat_huffman.c already has code to suppress these control codes, however the decoding is stopped when one is encountered and so the text is truncated. This patch drops the control codes but continues to decode the remaining text.

commit 3f0c6b1e28fc5bae5c3e8934c8a79400236a1ac8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 13 18:30:06 2019 +0100

    http server: fix digest MD5 authorization, fixes #5573

commit ec90d317ea5b5b0a18eb543ee90d1c41c30bf849
Author: Luca Olivetti <luca@ventoso.org>
Date:   Sun Mar 3 21:46:55 2019 +0100

    Add sat longitude and usals angle as parameters to the rotor external command

commit d250c1844798791a1354254a60545d4be5ada197
Author: jebos <github_jebos@familie-bosch.de>
Date:   Sat Mar 9 21:22:06 2019 +0100

    Update to newest ffmpeg to fix libX11 compile issue "DSO missing from commandline"
    
    Fixes #5504

commit 811fd889e9da762d04977f3531aa1aae8ff37329
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 7 08:23:13 2019 +0100

    utils: sbuf - use correct format character, fixes #5565

commit 726e6e65441a9802b6678b05e5f78d82c8cad5f5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 6 20:01:26 2019 +0100

    freesat bouquet parser: fix endless loop (double list insert), fixes #4851

commit 68ae28cc4a7e969e918e6fd5c5212fa272a86c2e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 6 20:00:48 2019 +0100

    utils: cosmetic fix for sbuf_alloc_fail

commit a3c5e751b05018a2cb3764627c3a77b4a5d9e7ce
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 6 20:00:29 2019 +0100

    eit: fix the possible NULL dereference

commit ff7893d8fee713673d0f7662d3753b4d0de4c706
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 6 08:29:51 2019 +0100

    SAT>IP: fix done - close sessions only when server is active

commit 717030bca5b8087d073a40f45092bc1eb7fdb8bb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Mar 2 21:26:18 2019 +0100

    mpegts: fix the idle scan (use another idle scan queue - fixes #5548)

commit 7aeece632a06891c4a15cc286e199697c59e5a9a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Mar 2 21:23:37 2019 +0100

    tvh thread: increase the default watchdog timeout to 15 seconds

commit 0122ccb22369305f1ccfa91da8022493ff163f3e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 1 16:39:30 2019 +0100

    tvh-json.py: the list is returned instead dictionary

commit 6edc4dab9138cac99f10c42b1dfc0fc475743c46
Author: Flole <flole@flole.de>
Date:   Thu Feb 14 20:50:24 2019 +0100

    Prevent rebinding when refreshing SAT-IP Server settings and not changing port, fixes #5539

commit b988b54beaad0583ac36831d05609269ff139a3a
Author: mpmc <git@markclarkstone.co.uk>
Date:   Tue Feb 26 18:44:35 2019 +0000

    systemd: service/unit should not be started until after file-systems are mounted - this avoids "file missing" errors

commit d2405f2988ab06d2bafba2b5397cacdac26c0d70
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 28 09:21:40 2019 +0100

    iptv: another improvement in the thread exit procedure, fixes #5550

commit 65c63116c23df8ea72ba6caa63fb70c94d3b106e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 27 17:59:28 2019 +0100

    iptv: improve the thread exit procedure - use pipe, fixes #5550

commit d0f3d09d853759f4e6bff95e706d9b9526fb4bcf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 27 15:28:59 2019 +0100

    iptv: improve the thread exit procedure, issue #5550

commit 22eeadd11f8d323355ee3ab6e9068b5e443884ef
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Feb 16 20:55:38 2019 +0100

    satip client: initialize variable _w correctly for the PIDs split rewrite, fixes #5544, issue #5549

commit 143e5b1239d7e3ce5f92ef57ad1861e38fa9f148
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Feb 16 10:30:34 2019 +0100

    satip client: fix the compilation, fixes #5547

commit bc6ef3491e0f4bbbaf0de166abf6a44904c48df8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 15 23:38:29 2019 +0100

    satip client: fix for the PIDs split - missing delpids, issue #5544

commit 7ff49818e6ac5d0c46995f60f33248e1b2e172b0
Author: Pablo <trujulu@gmail.com>
Date:   Fri Feb 15 23:08:07 2019 +0100

    Triax & Kathrein: Increase pid length, issue #5544

commit cc70226210f9888d58a205cf903d89c9b499ab97
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 15 23:29:06 2019 +0100

    satip client: improve the PIDs split for the PLAY RTSP command, fixes #5544

commit 39db47829b65f140f337d4af3110a8906fed6ff8
Author: Flole <flole@flole.de>
Date:   Mon Feb 11 14:59:40 2019 +0100

    Added compatibility mode for SAT-IP tuners that mess up tuner numbers, for example FritzBox 6490/6590

commit 363e0eb6e82f3f46ffa6d3ec13899539993f409b
Author: Flole998 <Flole998@users.noreply.github.com>
Date:   Sun Feb 10 22:07:21 2019 +0100

    Fix description of RTP/AVP/TCP Mode

commit 5caf8b8a445797a176376c9b28ce9f12cd28cf46
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 14 16:50:31 2019 +0100

    satip client: workaround for FritzBox 6490/6590 (status string parsing), rewritten PR#1256

commit fd6f880e31b551a5c6b05c7d4b16e0a76d8810d0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 14 14:49:47 2019 +0100

    http: digest - do not use EVP_sha512_256() for nonce, check openssl version

commit 0af25951debe4da57b94b28265930902535610ab
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 14 14:49:06 2019 +0100

    http: digest - return back MD5 as only digest hash (multiple login dialogs for firefox/chrome)

commit 10eb0614352ebd8669c27d1b94ad72d70784b2f3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 14 14:36:46 2019 +0100

    http: digest - show the SHA hash as an authentication alternative (tested with curl)

commit ec573f1f410de862d667122e37537807f925b6a4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 14 13:44:52 2019 +0100

    mpegts input: fix the compilation error, fixes #5492

commit a08a525bd754d57555ed8f5a9ac1bb0ad4e11d84
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 14 13:43:26 2019 +0100

    http server: fix the new digest hashes (appearently firefox nor chrome do support them)

commit 57b766ab7e8ab3dbec2476cc269eaf8101d48b64
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 14 13:38:50 2019 +0100

    mpegts: pid subscription - fix wrong mps_type mpegts_mps_cmp(), fixes #5492

commit e61acb8ad4a3411f4e7acfd8133d222299f6d47e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 13 18:14:40 2019 +0100

    http server: add support for SHA-256 and SHA-512/256 digest hashes

commit ca6a3f2f7d79e04ad12cf34f78e0f71784eaaa0f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 12 18:15:25 2019 +0100

    esfilter: cosmetic fix

commit 797af7c7873ab5cbc63bbb6ff4c518433b8d521d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 12 18:08:05 2019 +0100

    esfilter: fix the wrong other mask (hbbtv), fixes #5531

commit c54f303c6e23c0abbb14635b9dd8291393c76a53
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 11 09:10:30 2019 +0100

    descrambler: simplify some destroy sequences

commit 419b0a143c439b50f7d2d979945f5e8d2f6769d1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 11 08:38:08 2019 +0100

    channel: get number - select the lowest service number, fixes #5441

commit e4e96ff3f7e28eb71a3f077f59e8ba756c3470ab
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Feb 9 21:02:20 2019 +0100

    dvb psi: fix hbbtv parsing, fixes #5531

commit b1805bc705207e95ecf4ebc13633ae247e06e85e
Author: Kin-Wai Koo <glug71@gmail.com>
Date:   Tue Jan 22 17:32:34 2019 +0800

    Corrected local_ip description text

commit b253613ef6feab9da3fe46bb726f0c2dbec3e8b5
Author: Kin-Wai Koo <glug71@gmail.com>
Date:   Tue Jan 22 14:40:40 2019 +0800

    Log an error message if the configured IP address is invalid

commit b625b36741c2703e4b90fcf95f849226c5970e37
Author: Kin-Wai Koo <glug71@gmail.com>
Date:   Tue Jan 22 14:19:29 2019 +0800

    Move HDHomeRun config fields into their own group in the UI

commit a68b343df404f209886035aee479b80a6336cf9c
Author: Kin-Wai Koo <glug71@gmail.com>
Date:   Tue Jan 22 08:52:39 2019 +0800

    Avoid caching HDHomeRun's IP address

commit 03f40731a6b8ea95d113268eda63929f63decac9
Author: Kin-Wai Koo <glug71@gmail.com>
Date:   Mon Jan 21 17:08:12 2019 +0800

    Assign a different port number for each frontend thread

commit 1fa1c1cb997d12ea128919c4b125a8097fee847c
Author: Kin-Wai Koo <glug71@gmail.com>
Date:   Sun Jan 20 20:32:41 2019 +0800

    Changes to make tvheadend work in a container while talking to HDHomerun

commit b106250c98af2244ca9d011cd0c5081f42eb9630
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sun Jan 27 23:46:33 2019 +0000

    dvr: New fmt spec for per-dir seasons and one movie per dir. (#4667)
    
    Previously the $q format specifier would only output movies as:
            tvmovies/title (yyyy).ts
    
    However, a common alternative is to store each movie in its
    own sub-directory:
            tvmovies/title1 (yyyy)/title1 (yyyy).ts
            tvmovies/title2 (yyyy)/title2 (yyyy).ts
    
    Similarly for episodes we output:
            tvshows/title/title - SxxEyy.ts
    
    But a common alternative is to have one directory per season:
            tvshows/title/Season 1/title - S01Eyy.ts
            tvshows/title/Season 2/title - S02Eyy.ts
    
    So we now add a "$3q" to output these common alternatives, as requested
    in the forums.
    
    Also add equivalent "$3Q" to output without the "genre" prefix
    i.e., without "tvshows/" or "tvmovies/".
    
    Issue: #4667

commit 4374948b4328fea952ee0e3b56f816b735d79476
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sun Jan 27 22:30:22 2019 +0000

    dvr: Add {min,max}season and {min,max}year to autorec UI, fixes #5479

commit 145082b658816ff916982c36abed42b6d298ae16
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sun Jan 27 22:09:32 2019 +0000

    dvr: Only check minseason/maxseason/minyear/maxyear if EPG has these values, fixes #5479
    
    Previously if user specified a minseason=5 then we'd only record episodes that have
    an appropriate season. However, Christmas specials tend to have no season or have
    season=0, or might not have an episode number, so only check the autorec season if
    the EPG has provided a non-zero value.
    
    We also do the same with year.
    
    This avoids needing to add numerous additional config item of "allow empty season",
    "allow empty year", etc.
    
    Issue: 5479

commit d7e975f75caabb6abcaa9dbf075c118682c5cbd7
Author: Pablo <trujulu@gmail.com>
Date:   Tue Jan 22 23:04:56 2019 +0100

    Kathrein EXIP: Add default config (SATIP)

commit e175897d21f5e7c95b3e5b1df0f52a6f97502a59
Author: fat-fred <fatfred.iphone@googlemail.com>
Date:   Thu Jan 10 04:46:39 2019 +0100

    Update posix.mk

commit 3fcb0844eb5d2e5a28fe323f7ffcfd5e51382ce9
Author: Trujulu <trujulu@gmail.com>
Date:   Sat Jan 5 17:22:33 2019 +0000

    CSS: Fixes

commit 3aba4ad47b5272938f7e7b1aabb73a97c6728865
Author: ProfYaffle <ian@sproink.co.uk>
Date:   Sat Jan 5 14:43:49 2019 +0000

    WebUI: Update copyright year

commit 6e4cc564cc8ce0b2cfaa55e94e1ee81fa4c6ff9d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 4 10:53:12 2019 +0100

    m3u: fix the NULL dereference if the input string cannot be converted to utf-8, fixes #5525

commit baadf28f70d443b803fe0ef157e6543633fc86b0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jan 24 17:29:56 2019 +0100

    satip server: parse destination for RTP/AVP transfer

commit 7d3aa11940ac7aec1238a16264c73b366970b27b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 23 07:59:50 2019 +0100

    satip client: fix the network limit/group description

commit 10ed59ce33f6c08b01216bf58f1ed6e48b608651
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 21 15:18:03 2019 +0100

    satip server: add icon files, fixes #5268

commit ceb82fc6961a725d7a77f5e8de1ffd4aefbde7e8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jan 18 22:23:08 2019 +0100

    eit: config - fix the json syntax error, fixes #5503

commit 8818b5220c218e548556aaac8b727491ef0ab152
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jan 18 08:45:54 2019 +0100

    eit: fix UK Cable Virgin configuration, fixes #5499

commit 717a4d5c5091cb83a3c865636f6a1c38c0fb6459
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jan 17 17:38:06 2019 +0100

    mpegts dvb network: fix create mux - wrong class used for comparison (since commit dbee3d2049faa7d5e15374ddef37a91e86768b26), fixes #5486

commit 098318644802bfee4baa7eeeeafac4f81ecd9578
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 15 10:36:43 2019 +0100

    mpegts network: stop all running muxes when the network was disabled by the user, fixes #5497

commit 6621db64e23c5a77d7973ae39be17a76135e18dd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 15 10:35:26 2019 +0100

    mpegts input: change mpegts_input_tuning_error() to more universal mpegts_input_error()

commit ec9cb00079b6a84794a32deb29fffc2a66351b65
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 15 10:34:50 2019 +0100

    server.h: cleanups for TSS_ flags

commit 9a6007c20609805a985e98591eb99c0f7729d282
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 14 15:23:39 2019 +0100

    iptv auto network: check the network enabled flag for the auto download

commit 97b71ef9e40064c94f17593547f7c80b1833b45a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 14 15:21:24 2019 +0100

    service: enlist - use also is_enabled callback to check the network/mux enable state

commit 757e2a90936a92773209c1867f14583e34b14558
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 14 15:20:50 2019 +0100

    otamux: fix the 15 seconds delay for the initial scan

commit 1413e342daecff36ee22d3b75831599bbb66c7be
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 14 13:17:15 2019 +0100

    mpegts: add possibility to enable/disable network

commit f44e2e58ef360e7fb9f8ab7aacf042e0de725af3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 14 12:28:51 2019 +0100

    http: CORS - small optimization

commit 4bf32134bb31a564ad8ad34402442cd6efd1433e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 14 12:24:52 2019 +0100

    http: CORS - add Access-Control-Allow-Credentials header for cookies

commit bd662457daea904eb2d4f5ccc76e0e5ae2e24cd1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jan 13 21:17:36 2019 +0100

    parse_ac3: avoid the endless loop for the AC3/EAC3 auto-detection, issue #5353

commit 8e0dd2bee6373156907bde8da7b659948a915e12
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 9 18:41:16 2019 +0100

    otamux: fix NULL dereference, fixes #5488

commit 851a6a196d6ee805e36b9adba22158639b282e19
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 9 10:35:47 2019 +0100

    doozer: remove OOL Fedora 27

commit 6d57bb6192c679bc9f82847e387c31972f28d838
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 9 09:39:00 2019 +0100

    Makefile.ffmpeg: upgrade ffmpeg to 4.1, x264 to 20190108, x265 to 2.9

commit fdafda55c5b9be93abb6df1f61cfeed5d8e19dff
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 8 20:26:02 2019 +0100

    avahi: try to fix double free, fixes #5484

commit 4e8925fe785064be3947e11888638f20e9e7ab50
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 8 15:48:33 2019 +0100

    DVR: add utf8 validator for title/subtitle when cutted

commit ceb6f1da66b881988f3a74595c8ff5462b635de5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 8 11:53:42 2019 +0100

    epg: add auto-ota-module detection

commit cb01c36843aca863049350da192fac0740155ae5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 7 11:01:27 2019 +0100

    epggrab: reimplement the OTA grabber selection per mux

commit adc90275c4e19f7beeffda9612b0ac63e1791dcf
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sun Dec 9 14:18:06 2018 +0000

    ui: Make dialogs slightly bigger.
    
    Some text is getting truncated so make the dialogs bigger.

commit 12e4858014fb022cf71d882e4302d9942fbb0747
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sun Dec 9 14:12:03 2018 +0000

    api: Alternative showings match on title if no series link, fixes #5402
    
    Some broadcasts do not have series link, so alternative showings returned
    an empty list.
    
    Instead, if we have no series link then we do a grid query to find
    entries that match by title.
    
    Fixes: #5402

commit 6ee3575c819cec2daa71af3d02c973b343ce87ab
Author: Pablo <trujulu@gmail.com>
Date:   Mon Dec 24 18:24:54 2018 +0100

    Fix several errors detected by w3c css validator
    
    2234    .x-grid3-header-title   Value Error : padding auto is not a padding value : auto 1px
    
    5792            Parse Error }
    
    5798    *       Parse Error */ .x-grid3-hd-row td.ux-filtered-column { font-style:italic; font-weight:bold }
    
    6529    .dvr-details-dialog     Property postition doesn't exist. The closest matching property name is position : relative

commit 5c8f76d998fe2a265905ca31fe259c5c5d3e1e88
Author: Pablo <trujulu@gmail.com>
Date:   Mon Dec 24 16:21:41 2018 +0100

    Add missing !DOCTYPE html

commit 8d02a266030c17c319bb1a8372184dba3ee1cc27
Author: Pablo <trujulu@gmail.com>
Date:   Mon Dec 24 16:14:46 2018 +0100

    CSS: Fix height %

commit 62808322c0e2d96f59a4a9b5b43fbb89f8d9ae98
Author: Rosen Penev <rosenp@gmail.com>
Date:   Tue Jan 1 20:07:38 2019 -0800

    main: Replace deprecated ERR_remove_state
    
    ERR_remove_thread_state has been the successor since version 1.0.0.
    
    Fixes compilation without deprecated APIs on 1.0.0 and above.

commit 640703e83d293bf5e5fb1c8fcdcfd80ffd396937
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 2 15:51:28 2019 +0100

    eit: always prefer master rather than slave for the config, issue #5247

commit c60b62b427d31e4348176bc6bea935b9beef0b35
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 1 19:43:40 2019 +0100

    eit config: fix the uk_freesat_eit description, issue #5247

commit cfb4b6efd924e8391c7102f37bd57aa9fea745f9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 1 19:42:02 2019 +0100

    eit: another attempt to fix the freesat issue (slave eit), fixes #5247

commit e61adb3441b6ea8e9a25b1f4fd39d22d925fb588
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 1 19:14:49 2019 +0100

    eit: try to fix the freesat issue, fixes #5247

commit 7da43a563fe75368769fde33064d17810d9f2909
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 1 18:34:53 2019 +0100

    xmltv: add support for the lcn tag, fixes #5471

commit d2cb8bad332ca9455750566e8f84e0af33225aaf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 1 18:18:40 2019 +0100

    satip client: remove the dual condition for Annex B

commit 833b61c4d14511ef20ac55a918a7fdc1c231fb0e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 1 18:17:05 2019 +0100

    satip client: fix the ATSC-C (Annex B) parameters, fixes #5447

commit dbee3d2049faa7d5e15374ddef37a91e86768b26
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 1 18:05:15 2019 +0100

    cosmetic fixes and optimizations

commit bb8a25ca8b2e2e48b6b76f833f0bf96dde37c896
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 1 17:20:25 2019 +0100

    xmltv export: add LCN to the display-name attribute, fixes #5471

commit fb11090346c06ffd20323bc97d0e32d9855fe50f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Dec 30 11:16:02 2018 +0100

    pass muxer: fix the incorrect section length for EIT table, fixes #5418, issue #5062

commit b17dcf91490c38df678472bef3a117b4c6e2996c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 28 21:21:36 2018 +0100

    teletext: fix the subtitle parser (wrong SCT_ type match), issue #5422

commit d3d0249bce84425e94e4bee399b7f2236f77b6bf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 28 19:50:05 2018 +0100

    htsp server: use HTTP image URLs for image cache for older clients (pvr.hts), fixes #5455

commit fee0b53e969da78a70229d53f9e1331511b5f237
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 26 23:08:39 2018 +0100

    imagecache: the timer function is already called inside imagecache_lock (sorry), fixes #5458

commit 88f2634af1bacd5f4768a994562d909f756ab7fb
Author: Anton Blanchard <anton@ozlabs.org>
Date:   Wed Dec 26 14:52:37 2018 +1100

    hdhomerun: auto detect DVB_T devices

commit 112e06dfdc0a713e97a040eb7c443a31fb2ac46e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 26 14:26:12 2018 +0100

    imagecache: fix the missing ref initialization, fixes #5458

commit b3899e3fddad1431269183fd42eba54ec16fdc22
Author: joeuser <joeusercz@goglemail.co>
Date:   Sun Dec 23 19:12:49 2018 +0100

    Fix mpegts packet length in descrambler_data_key_check

commit 33901bb1edd3f9859d1190a352ea7c383ebb58ab
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 25 18:24:57 2018 +0100

    imagecache: do not use global lock, fixes #5453

commit 312dce6e22e2d3ab21475a08e1f44dae4859173c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 25 17:34:26 2018 +0100

    Revert "dvr: move dvr_notify() call to the global_lock using timers, fixes #5437"
    
    This reverts commit 91f6de4437f13d51a854ffe999cca63ff2ef503c.

commit 7fdc6f0549147ba0c25d652c5efe1bdaed6e7543
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 22 18:42:28 2018 +0100

    cclient: check keep-alive also when no poll event occurs, fixes #5445

commit 42e368ede940f275791a9d9c4a8f3707d42714e0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 22 18:36:14 2018 +0100

    mpegts: fix mpegts_service_find_e2() for atsc-t

commit cc8f139f80507c2fd737fd6e2620401c0f35ea75
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 22 11:41:18 2018 +0100

    caclient: handle correctly connection close / read error, fixes #5445

commit 833821fc6e556a455e3f6cfcb935e50dd82632bf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Dec 20 20:32:33 2018 +0100

    satip server: fix ATSC-T / Annex B cable frequency parsing, fixes #5447

commit dd37467c8ccac8e0bef1210ae148d630b206605d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 19 15:28:35 2018 +0100

    linuxdvb: satconf - cleanups for the rotor external command

commit 0a1d52cb71cd1037cbe8c9f2926b2e3634349f48
Author: Luca Olivetti <luca@ventoso.org>
Date:   Sat Dec 15 14:31:30 2018 +0100

    added linudvb_rotor_external to control an actuator by spawning an external command

commit a11733fed0f74da5cb309aa624a7039918b21126
Author: Thomas Warburton <45946278+oopscentral@users.noreply.github.com>
Date:   Mon Dec 17 14:23:18 2018 +0000

    webui, htsbuf: Content-Disposition escape chars are not correct.
    
    When attempting to download a recording with a comma Google Chrome will
    fail with ERR_RESPONSE_HEADERS_MULTIPLE_CONTENT_DISPOSITION. This is
    because the comma ',' in the filename*=UTF-8'' field was not escaped.
    
    This commit implements the defined list of non-escape characters from
    RFC8187 based on htsbuf_append_and_escape_url.
    
    The same problem occurs in issue #2086. Fixed in 2fdfe4836 "webui: fix the
    attachment; filename encoding, fixes #2086" and broken again in ab9fc249a
    "fix htsbuf_append_and_escape_url() - don't escape more allowed characters,
    fixes #3721".
    
    Only tested in release/4.2.
    
    https://bugs.chromium.org/p/chromium/issues/detail?id=454165

commit faa5176b250572fb6e35f4ce95919b4800b94d3b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 19 12:39:16 2018 +0100

    webui: status - drop all connections - use new id=all call, fixes #4937

commit bc4873d75b906254b7c6255b9cced4e6ac13f533
Author: Mark Clarkstone <hello@markclarkstone.co.uk>
Date:   Tue Dec 18 14:52:20 2018 +0000

    webui: add "drop all connections", fixes #4937 (original request only)

commit 9a7b56a269319397de30976bccb8f48f8b5b6911
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 19 12:36:02 2018 +0100

    api: add id=all for the connections/cancel, issue #4937

commit 99461b8cb35989af7e5e08106446d0b24a2bd7fc
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 17 11:30:52 2018 +0100

    xmltv import: fix the wrong end-of-string mark (off-by-one), fixes #5443

commit 91f6de4437f13d51a854ffe999cca63ff2ef503c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Dec 16 09:19:33 2018 +0100

    dvr: move dvr_notify() call to the global_lock using timers, fixes #5437

commit d07a12e013c8bff2e59accb9d948fddd8488389d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 15 21:08:08 2018 +0100

    dvb psi pmt: change the teletext subtitle handling for multiple teletext descriptors, issue #5422

commit a1f303d01d061325f1cf145e87ee3341e771dbae
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 15 20:15:13 2018 +0100

    satip server: use strempty() function for the uuid check, fixes #5434

commit efd99b34d4f1dedaa54f1bd357c6f82e6f75d3da
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 15 16:29:27 2018 +0100

    tvh thread: do not crash when mutex==NULL (magic check failed), fixes #5435

commit 0db0890a4b4d1a2521009b8b5cbf058b964d9608
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 14 18:38:26 2018 +0100

    satip client: fix the double (and wrong) sf_last_data_tstamp update, fixes #5374

commit d1ddcdc82731b3750d9b2f7b458e1deb6d17256f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 14 15:49:50 2018 +0100

    epggrab: run internal grabbers only when wanted, fixes #5421
    
    - remove the forced internal grabber run when the config is updated
    -- users can trigger the run manually
    - add possibility to disable the initial internal grabbers run

commit e37c696ded59fe7c2fbaf3a42944bfeb2dd7ff92
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 14 11:39:14 2018 +0100

    dvr: fix the real_start variable misuse, fixes #5426

commit e61b126ef5b75dca7b0a0f0a0575d650a5c400e6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 14 11:28:32 2018 +0100

    tvh thread: remove wrong commit code

commit abfc7c92d5151046bd47e0b36dc67797158bd6b8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 14 11:27:45 2018 +0100

    htsp server: fix the wrong htsmsg destroy introduced in the imagecache patch, fixes #5430, fixes #5431, fixes #5429

commit b157d126be4b9224f8496006dabde066aa61f295
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 14 11:15:57 2018 +0100

    iptv: remove double pcr: from traces

commit 279f689bdf798992ee0bd43dcedb34ef831d6c71
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Dec 13 17:54:39 2018 +0100

    sbuf: add sbuf_replace()

commit 55e5b982d9989c146525cfb8c53b2cb56d6fe0ba
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Dec 13 13:33:15 2018 +0100

    mpegts input: add CC restart for tables, too

commit cfdfeb6cc15f8f09de02ffeab8158caf5e676df0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Dec 13 09:12:37 2018 +0100

    iptv http: call iptv_input_mux_started(), move recv_flush to http-header back

commit 552cea0fc189f389ce02100bc49026ac1aae1715
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 12 19:20:33 2018 +0100

    imagecache: increase the save access threshold again

commit d3fc1487bba0b7093222e06fdde2decab85347f2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 12 19:18:33 2018 +0100

    profile: add more doc to the pass rewrite fields

commit 1bf4b4c84c58e52b813b3e681444d46cdbe8904c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 12 19:13:19 2018 +0100

    imagecache: do not update the accessed field too much

commit da682c4507a1b11ceaf714675f833d56c2084157
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 12 19:08:00 2018 +0100

    imagecache: big cleanups
    
    - let imagecache work also for fanart / recording specific images
    - let imagecache work for EPG entries
    - global cleanups (try to have only one function for duplicate things)
    - fix the local file handling when imagecache is not enabled for external URLs
    - imagecache code is part of the tvh's core code (cannot be ommited from compilation)

commit 3769d01fb9a9253817ecd16d949977813583b328
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 12 10:26:30 2018 +0100

    remove debug code (added by mistake)

commit a5d03e4ba5ce96115fef1d5599735a670150a3d8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 12 10:03:16 2018 +0100

    dvb psi lib: add dvb_table_parse_reinit functions

commit 2059cafb8337756a211ad958cf30a94ddfe36c49
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 12 10:03:00 2018 +0100

    iptv http: remove the wrong si rewrite code, cleanup the free sequence

commit 1d40f21ca2222b3d0fcc2ffc89f5c25884ac2ad8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 11 15:57:30 2018 +0100

    Makefile.ffmpeg: add crypto protocol for crypto+http (hls)

commit 19d3e32644366528497ab328bb2a2c0ed4c6560b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 11 15:51:25 2018 +0100

    tvh thread: fix print other mutexes for abort

commit d7669cf060d02ecba702bc12b0632068113d67cf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 11 15:18:55 2018 +0100

    http: fix the wrong return value (previous patch)

commit f3d57ee05ce55584545334cb44f7a5f0a3d2bfd9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 11 14:43:18 2018 +0100

    http server: remove wrong aa_auth check from page_srvid2, fixes #5416

commit beec9c1133647f94e42d43b6ee3d3672794eee19
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 11 14:42:29 2018 +0100

    http: add auth type detection

commit 62aa19730078c62ab0a3b3bffd21deb4bc3a5c13
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 11 13:11:59 2018 +0100

    main: fix compilation without traces

commit f259e7bd8bec9771a13089bf3e017440c3f788ff
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 11 10:19:28 2018 +0100

    mpegts: do not set wrong pls code for bouquet rescan

commit 2c35dca60d373f685fad040b993450ed5505a546
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 11 10:03:05 2018 +0100

    iptv: http - fix the compilation problem with the previous patch

commit 9776f3044bbe021141dae1a3e956335aa395b966
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 11 10:02:20 2018 +0100

    iptv: http - do not clear the input sbuf in the kick callback

commit fb4410ad712a32e27e6665012998395f87959522
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 11 09:51:48 2018 +0100

    iptv: correction for the previous patch, fixes #5415, issue #5353

commit 7ce391fc7f9a8643cce7e83cd495ca872e752e93
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 11 09:23:22 2018 +0100

    iptv: add missing lock to the iptv_http_kick_cb, fixes #5415, issue #5353

commit 401821cf141bd0f2c2c1d1c5db19b892c66f4178
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sun Dec 9 23:07:06 2018 +0000

    ui: Fix background image to not accept clicks (#5405).

commit 55f7bf00f826e816a1bf12e21bf33152cc7c809f
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sun Dec 9 17:23:11 2018 +0000

    ui: Enable scrollbar for dialog info, fixes #5405
    
    When the dvr info dialog has a lot of text it was overflowing
    on to the buttons in the bbar.

commit 2e4aa820afe5030c15d4c4a039ff5753dbc17026
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 10 21:04:44 2018 +0100

    profile: do init for all profile sharer members, issue #5409

commit 5dbd8280746fcd802903c28eab22383c2d046499
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 10 17:01:29 2018 +0100

    tvh_thread: print filename/lineno for the magic failure when appropriate

commit b32c76e24063f988eec7deb415df9c739004f84a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 10 16:08:50 2018 +0100

    timers: little fixes

commit bceba08524069c012c26302b06790f1e1099541b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 10 15:36:48 2018 +0100

    timers - change locking schema, fixes #5413, issue #5353

commit cfc8315a1018a32678ce6aab6023d3bda737a3fe
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 10 09:25:51 2018 +0100

    tprofile: fix possible division by zero

commit f0524db407764aeaad4229aa7301babf05a6de79
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Dec 9 17:34:13 2018 +0100

    iptv http input: play with the locking, issue #5353

commit 11f6531a09bac850edefbd8df950173abbe3ad45
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Dec 9 17:12:45 2018 +0100

    fix some problems detected by cppcheck, issue #5353

commit f7d4b7c48f7a69b1628b75f7c27f6c6c274cf202
Author: joeuser <joeusercz@goglemail.co>
Date:   Fri Dec 7 00:30:43 2018 +0100

    Don't warn on packets with small/no payload.

commit 1c8a40f663eb0407498b3f0c05a5ed7246624728
Author: Luis Alves <ljalvs@gmail.com>
Date:   Sun Dec 9 11:19:05 2018 +0000

    htsp_server: init htsp_out_mutex

commit 1b41c315d8919a264f3de57989805e6ffc227070
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 8 18:54:12 2018 +0100

    main: add gtimer/mtimer magic checks

commit f69b3a9fdcdad2031d38337782c05e1c5b74208b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 8 18:44:31 2018 +0100

    tvh thread: add mutex magic check routines

commit 30332f8b3e733fc7fccaa6574a977da487499c0a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 7 22:58:35 2018 +0100

    dvr: move the initial dvr_autorec_purge_obsolete_timers() call to better place, fixes #5406
    
    - dvr_entry_set_timer() must be called before

commit 259156312d1852e83b9f9f328979ef92ad2fba94
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Dec 6 18:20:20 2018 +0100

    tvhcsa: fix log offset type

commit bc14d7f7cd2bae3a9759822570a652c504fce249
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Dec 6 17:49:32 2018 +0100

    tvh_thread: show also waiters

commit ccf6c6ec7e5d34b1279a591794e421b63f3dc5ac
Author: joeuser <joeusercz@goglemail.co>
Date:   Thu Dec 6 09:36:42 2018 +0100

    Reduce DESCRAMBLER_MAX_KEYS from 64 to 8, fixes #5400

commit 113dfd6b56ee2b485a142f70879a194ae4d99423
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Dec 12 13:23:51 2017 +0000

    dvr: Autorec rules must still match event after update. (#4760).
    
    We now check the autorec rule matches an event following an
    update and on startup.
    
    When using xmltv grabbers you can have an autorec rule that
    matches "title: A". When a future xmltv run replaces the
    event with "title: B" then the dvr event is updated to reflect
    the new details (and will log updated title), but the autorec
    rule was not checked to see if it still matched the event.
    This meant we would record "title: B" even though the autorec
    was to only record "title A".
    
    Also, previously if you delete the epgdb between runs then the
    timers spawned by autorec rules remained. This could cause problems
    if the epgdb had been removed due to incorrect setup such as invalid
    xmltv files.
    
    This meant that you then had to manually disable and re-enable the
    autorec rules to remove these incorrect timers.
    
    Now we remove any record events created by an autorec rules if that
    event no longer matches the schedule.
    
    This does mean that if the user does _not_ persist the epgdb at all
    then, on startup, they no longer have autorecs timers matching until
    the epg is populated at startup, which is a change in behaviour (since
    previously autorec timers would remain) but could also be considered
    "expected" behaviour (no epgdb means no autorec timers).
    
    Issue: #4299.

commit 27c00888475f27ef21a1b58805804fa6ebdf3e99
Author: Mark Clarkstone <hello@markclarkstone.co.uk>
Date:   Fri Nov 30 23:13:56 2018 +0000

    wizard: spruce it up a bit

commit 531dc8893abfe8995f4c3ed39e47e62c1e99cdab
Author: joeuser <joeusercz@goglemail.co>
Date:   Wed Dec 5 22:25:29 2018 +0100

    Maximize use of libdvbcsa's batch processing.

commit 652dbc3c8a58eab427f27ca79065d1e880098f63
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Fri Nov 30 10:12:08 2018 +0000

    freebsd: Fixup header files for socket definitions. Make thread owner conditional on Linux.

commit a46a8c967382ed27735cb2bc1968a56a1d513509
Author: joeuser <joeusercz@goglemail.co>
Date:   Mon Dec 3 08:05:02 2018 +0100

    Prepend title to autorec comment when created from EPG.

commit 0ffb10398ba6fd80ab1f3431aff13556ced8ea50
Author: pablozg <pablozg@gmail.com>
Date:   Wed Dec 5 16:28:12 2018 +0100

    Fix compilation error: 'saveptr' may be used uninitialized in this function [-Werror=maybe-uninitialized]

commit 5bea43b1a4e0f623a9fa22529aec2478d688cab9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 5 12:26:28 2018 +0100

    xmltv: split names in credits, fixes #5359

commit 42fd13d4c822edfc269e6b527333ab5666211f9d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 5 12:14:09 2018 +0100

    htsmsg: check the field/key name length (max 255 characters), issue #5359

commit da5dc10440572e4e6e93d000bff9c6ddc7cf0790
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 3 21:16:34 2018 +0100

    http: forbidden status / access_verify2() cleanups, fixes #5391
    
    Return also forbidden status when the client is authenticated, but there
    are not permissions for the requested operation.

commit 8635ae50145a91eb8c245b49b0e6662cf1429792
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 3 20:42:27 2018 +0100

    satip client: activity timeout cleanups

commit 3d79abab788753bb4f83aacd16ccec5036deab82
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 3 18:58:09 2018 +0100

    pass muxer: correct SI length for trimed events

commit 80ea669a5cea155ebbd1161635800c11de0175f6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 3 08:38:48 2018 +0100

    tvh_thread: do not use debug code when not activated, issue #5353, issue #5389

commit 39b74cbd8624668d03881dbd6e1184c626748788
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Dec 2 20:18:36 2018 +0100

    atomic cleanups in tvh_thread, tvhlog (clang)

commit 7cac91a63dd866d81819688077e69ba0b864b7e2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Dec 2 20:09:28 2018 +0100

    tvhlog: add missing lock

commit 2c796e3298257b9b487446f82cb1b0f390757101
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Dec 2 20:02:58 2018 +0100

    tvh_thread: another filename/lineno cleanups

commit f098a50cc2872abbe42f567a3f77babce83602a0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Dec 2 19:48:27 2018 +0100

    tvh_thread: do not print sid for non glibc binaries, fixes #5385

commit b3ecd74f4b8412d4eb56363c63d71f328e9ff543
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Dec 2 18:59:56 2018 +0100

    tvhthread: fix the cond wait routines (preserve correctly filename/lineno)

commit e67c795b7b6e5fe1e5ace5fc7b84fdab960fa206
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Dec 2 17:47:24 2018 +0100

    pass muxer: fix pass_muxer_nit_cb() - wrong private tag copy

commit 79ea2a42c477e315ffa2143252273fe2db0c2165
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 1 23:52:06 2018 +0100

    xmltv: always change the module name after restart, fixes #5383

commit 07592279436de9473e7ba67f53b84650aa320e47
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 1 23:38:03 2018 +0100

    http/webui: add special/srvid2 handling

commit 3ae6d947a4d074b3498e59f82d5a860273b0ae7f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 1 19:47:04 2018 +0100

    dvb support: remove wrong characters bellow 0x20 (except 0x0a - newline), issue #5366

commit 5dcbd69827072ed97e8f2f95e62db0738e939f78
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 1 17:37:17 2018 +0100

    linuxdvb: add DMX_SET_SOURCE settings at the probe, fixes #5379

commit 7ce5d30bb80df59cd35ce4f029d6c26768bbfdbd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 1 17:31:13 2018 +0100

    imagecache: tiny code reshuffle

commit 92b96d5efdcf57401bb1d5e204fa0d102afff2c5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 1 17:30:33 2018 +0100

    imagecache: try to fix the state handling, fixes #5382

commit 1daeb9269a029fcde5efd62bd792f1f598ed7a5c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 1 17:25:05 2018 +0100

    opentv: add NULL check to the opentv_find_entry(), fixes #5381

commit f048c549c0466ebc44b725457bb2a5a150cc5a6c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 30 21:39:16 2018 +0100

    imagecache: another code reshuffle, add save for the accessed update, issue #4304

commit fb6c9fa88bd888a9650111f602aaa3de1db7b326
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 30 13:03:33 2018 +0100

    imagecache: fix the build when caching code is deactivated, fixes #5372

commit f024531ee4aaab3c1492b141029ffe2b56fec74a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 30 09:16:17 2018 +0100

    imagecache: move saving procedure outside global_lock, fix imagecache_id after start, issue #4304

commit 219ba145f82926e972f476debad8be6664782307
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 30 08:58:18 2018 +0100

    imagecache: fix 'accessed' field loading and the default value, issue #4304

commit 4c4925b371b78999f3fdf9667dda63d59cf84155
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 29 17:49:37 2018 +0100

    satip client: cosmetic (indent)

commit 7ae5399c0b04df03bdc4f9468ff66bcc83642cfe
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 29 14:41:56 2018 +0100

    satip client: show the proper connection state in 'RTSP cmd error' log message

commit 062d970ecd764bb031cf2f07f2876cfa39675056
Author: LinkeneitoR <baesup@gmail.com>
Date:   Wed Nov 28 15:26:51 2018 +0900

    Add ATSC-T With 8VSB Modulation (for Korean User)

commit 220e56043d0ef13e015c345869c2d7a7ea1f1083
Author: Pablo <trujulu@gmail.com>
Date:   Wed Nov 28 21:23:15 2018 +0100

    watchdog: rename tv_mutex_init to tvh_mutex_init

commit fd22090018507ccf60dfd887baa0f21e893b81d6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 29 11:51:23 2018 +0100

    opentv: fix the wrong event cleanup in opentv_add_entry(), issue #5297

commit 70af054ac3bdecf68df1594dd48c7a9e0a9de18d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 28 20:53:59 2018 +0100

    tvhlog: fix tvhdbg() prototype when traces are not activated, fixes #5362

commit c075732a1005d2ace11cb3c8addce262d6858759
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 28 13:21:06 2018 +0100

    watchdog: fix missing pthread_mutex_destroy -> tvh_mutex_destroy, issue #5361

commit bf3f0bd16983045a624ebe335eae507aadb4a690
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 28 13:18:58 2018 +0100

    tvhlog: fix NULL dereference crash

commit 19264dc2f913db15f31a50cad8e62e93c9d9ca35
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 28 12:41:49 2018 +0100

    tvh thread: print the deadlock text also to stderr

commit 7f5f4a49f94e8b0cbb5228d464d3b24a5164f70c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 28 11:48:28 2018 +0100

    tvhlog: add tvhdbg() and send realtime mutex log lines to the UDP socket (if requested)

commit a9d4ec1df0d065d9f5385e4bab8c0694719a50e0
Author: Mark Clarkstone <hello@markclarkstone.co.uk>
Date:   Wed Nov 28 11:24:15 2018 +0000

    debian: remove db_reset lines - fixes #5358

commit 752fd7cb2b318a86aa0041d736718ed9d6faf67b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 27 19:19:31 2018 +0100

    tvh thread: compile the debug thread code only when traces are enabled

commit b73311c2a816390a41f5f18ff59a40ba74f042c7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 27 19:07:15 2018 +0100

    tvh thread: fix gtimer_cond timedwait and tvh_cond_init()

commit edcf9e37e07d0a52eb593fe39016e581d2932a1e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 27 18:35:30 2018 +0100

    update valgrind.supp

commit 8336f5f7bd074655bfae1c54ffcc0fc29a736804
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 27 18:22:58 2018 +0100

    tvh thread: add mutex debug timing, fix the watchdog code

commit 101f6b19ca918b0cfabd9bc36ec5702147e193b9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 27 17:37:15 2018 +0100

    webui: remove Title0 typo

commit b0c65b0cc58ba095dcca6d985777a6b8e5250358
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 27 17:16:43 2018 +0100

    webui: streaming - fix the removed scoped lock, fixes #5356

commit b7b9ef8b8608b2c915d90d860a421221488f620e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 27 17:15:43 2018 +0100

    webui status: add user-agent (client) column

commit fc3e3de319f943d8fb54f321546d77e151606291
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 27 16:13:11 2018 +0100

    descrambler: remove unused code

commit b425b47f581cf1c31d6330211422089ef95c1810
Author: Mark Clarkstone <hello@markclarkstone.co.uk>
Date:   Tue Nov 27 13:16:31 2018 +0000

    docs: use a table for the program details dialog toolbar items

commit ab547bd4822bb3ea58932df1332520cd19f84c2a
Author: Mark Clarkstone <hello@markclarkstone.co.uk>
Date:   Tue Nov 27 11:39:38 2018 +0000

    docs: another screenshot update

commit 818c6438571d4dfb859fbd06cbf943d4fd94254c
Author: Mark Clarkstone <hello@markclarkstone.co.uk>
Date:   Tue Nov 27 11:03:57 2018 +0000

    docs: update debugging

commit 53d5875f7e54a062ecdcc30b5152bd5cea4e761a
Author: Mark Clarkstone <hello@markclarkstone.co.uk>
Date:   Tue Nov 27 10:26:22 2018 +0000

    debian packaging: use db_purge on --purge

commit 0fc08d9ad711fa2555fed2914fbf7b181bb5c346
Author: Mark Clarkstone <hello@markclarkstone.co.uk>
Date:   Thu Nov 15 13:21:47 2018 +0000

    debian packaging: always reset superuser info on removal

commit 9ae0d14ededf94f0a4af9037a38b9a4f0aa5eeab
Author: Mark Clarkstone <hello@markclarkstone.co.uk>
Date:   Thu Nov 8 18:20:49 2018 +0000

    cosmetic: TVHeadend|tvheadend -> Tvheadend, where needed for consistency

commit 7a9b164937ffa8599b9216fa9888cdbcc1cb66d6
Author: Mark Clarkstone <hello@markclarkstone.co.uk>
Date:   Thu Nov 8 18:07:25 2018 +0000

    docs: update and add persistent auth info, refresh some screenshots and tweak a few bits

commit cc4ded03305514b89553abafa6168a3150480970
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 27 14:34:21 2018 +0100

    access: a little code reorganization for the latest tags exclude change

commit 4f9fdd0f1517ea07508c54e80d623422959a012b
Author: Luis Alves <ljalvs@gmail.com>
Date:   Fri Nov 9 21:57:27 2018 +0000

    access: fix tag exclude

commit 6eb97e1c908cffcdc6f95c0a7f44b8b9ad68d37c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 27 09:28:27 2018 +0100

    tvh_thread: remove restrict keyword

commit 76dd042e0d3bb93e1102eae65c2d23aa31233274
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 14 23:15:04 2018 +0100

    thread: add mutex watchdog

commit 7ec273f4ff34f8700ffb3ef03d73bf20e29aca86
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Oct 27 22:04:27 2018 +0200

    initial pthread mutex/cond wrappers to detect deadlocks

commit ef3386ee05201e6fae9c556bfcdf335fc5121ce1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Oct 27 20:54:25 2018 +0200

    move htsstr.h to tvh_string.h

commit 750c1e13a504b3c4790fbf6295e86b070d268901
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 27 08:50:49 2018 +0100

    imagecache: fix the expire id, issue #4304

commit e72b431564c860d5fc711779856dd7f61ed4f568
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 27 08:46:41 2018 +0100

    satip client: fix activity timestamp for TCP data transfer mode, fixes #5348

commit f62816bdaab067602557262a790b2c8dadce5776
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 26 18:22:49 2018 +0100

    opentv: improve the splitted event merge logic, issue #5297

commit c73e4248a9072be57d5ede3a510773ba06bebc09
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 26 17:09:17 2018 +0100

    imagecache: add 'expire' time for the cached files, fixes #4304

commit d1269210587e3423add62aa0d7aead654eb36ded
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 26 16:23:11 2018 +0100

    tvh-json.py: add proper digest/plain authentication, fixes #5350

commit 0d101eb9116beea49d99c2d9d4834f77d336a202
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Nov 25 23:04:51 2018 +0100

    satip client: add hard timeout for the incoming data

commit cb637ca1cd758cb9c5bb98c02236201bfc5e9cf4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Nov 25 22:06:32 2018 +0100

    capmt: cosmetic - remove double 'in' from log

commit 5594916309fe2d6afc1ee510225d5e7f76024455
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Nov 25 21:12:13 2018 +0100

    opentv epg: try to fix the incomplete grabbing (use the whole time window for all subscribed PIDs), issue #5297

commit 04cd487bb851abb920483b3135b51e6bd002f070
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Nov 20 17:24:37 2018 +0000

    ui: Add alternative/similar broadcast buttons, fixes #5335, #5336
    
    Add two buttons to EPG and DVR info dialogs, one to show related
    broadcasts and one to show similar broadcasts. From this dialog,
    you can then select an entry to record the episode.
    
    Main changes are to return a sorted list from the api and
    display this in live grid so we get comet updates.
    
    Main api change is to share some epg config so it can be
    used in the new dialog.
    
    Issue: #5335, #5336.

commit 0df43b15cc72091301a4293823cb04b19033beae
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Nov 20 12:47:08 2018 +0000

    api: Fix NULL blank argument.
    
    The blank argument is NULL on several paths, so fix this to
    reference a local variable so we can lookup channel name properly.

commit 08df6feea5f2a07eeace142484c944377b5f6858
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Nov 24 21:10:48 2018 +0100

    service: do not stop the raw service streaming when service is not enabled

commit 764c8d4686bb167d247209abd91b365a99bfe5ab
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Nov 24 21:02:20 2018 +0100

    pass muxer: check correct variable for MC_CAP_ANOTHER_SERVICE, issue #5344

commit b65a99a4b017c5b24462121c4d3c8a450a952c11
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Nov 24 19:42:31 2018 +0100

    pass muxer: do not check for multiple active services (it might not be true), issue #5344

commit e6d3dbaa7d214b6e0c4cccb3b551dbfbd0e34080
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Nov 24 19:05:29 2018 +0100

    pass muxer: add possibitity to continue streaming even if the service is changing, issue #5344

commit bdc2ae9e19520a10cdf0bec0fcc0050b32bc75ff
Author: Pablo <trujulu@gmail.com>
Date:   Fri Nov 23 16:27:46 2018 +0100

    webui debugging tab: typo fix

commit 4512836a5149d02768e07a1770c7ba987d12f7b8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 23 14:00:31 2018 +0100

    http/webui: return not found status when redirection is not possible, fixes #5342

commit d774953f6b1d775ddf31c7ae5bd6cc5e5787d108
Author: Jongsung Kim <jongsung.kim@gmail.com>
Date:   Tue Nov 20 17:36:10 2018 +0900

    webui: epg: fix compatibility issue for FreeBSD
    
    The EPG screen serviced by FreeBSD port of tvheadend has two abnormal control
    behaviors:
    
        Reset All button makes the list empty
        Typing and then deleting any search string also makes the list empty.
    
    This patch fixes the symptoms above.
    
    Patch tested with the latest FreeBSD port of tvheadend-4.2.7.
    
    Changes since v1:
    - call reset only if required

commit e6a818972c20df4896c5409df1a59bb6a725eedc
Author: pablozg <pablozg@gmail.com>
Date:   Wed Nov 21 17:50:42 2018 +0100

    webui: Add 'query CSFD' in dvr broadcast info window

commit 4d28691d1e8afa02ad0fcb1fb4f3aafe88c90da7
Author: pablozg <pablozg@gmail.com>
Date:   Wed Nov 21 17:40:35 2018 +0100

    webui: Add 'grougRenderer' in all tabs

commit e9260627c1a46a130113c36746331bfe8599507a
Author: pablozg <pablozg@gmail.com>
Date:   Wed Nov 21 17:34:32 2018 +0100

    webui: Add group renderer capabilities, now when grouping the title don't care about copyright year

commit e9aefbf2c6034c81153a773eaa7d016fa81a8a2f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 23 10:38:16 2018 +0100

    spawn: show permissions problem with kill, issue #4774

commit ccd64e698a38adb7f712a841bc3dc4480bb97dfb
Author: Rosen Penev <rosenp@gmail.com>
Date:   Mon Nov 19 15:09:37 2018 -0800

    main: Load OpenSSL engines

commit 3de759873b5e81b9ae0a89d33e0756a6ae10c102
Author: Rosen Penev <rosenp@gmail.com>
Date:   Mon Nov 19 14:57:05 2018 -0800

    main: Fix OpenSSL 1.1 compilation without deprecated APIs
    
    Also fixed compilation for OpenSSL without ENGINE support.

commit fb329606ba8aa21736367296e795d9b53f3b5df1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 20 23:00:58 2018 +0100

    http: rewrite again the access verification routines, fixes #5339

commit 39708112cc9d8bed21715f518d89a2f48d1cc271
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 19 14:39:14 2018 +0100

    dvbpsi: move the cat decoder from descrambler to a common place and use it everywhere

commit 6ea7c385a37e49f798ca637d44b985eadd075c3f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 14 17:53:17 2018 +0200

    descrambler: improve EMM handling - add provider id checks

commit b06567045c70e2d35330688e38c5b702ae084a2c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 19 13:49:40 2018 +0100

    linuxdvb: optimize the exlusive check code (previous change)

commit bfa4941a3cab411b786e1d9ebcb85424d67fccf4
Author: Pablo <trujulu@gmail.com>
Date:   Tue Oct 30 20:15:15 2018 +0100

     webui: access theme - color correction for EPG count info
    
    EPG events count was black so we can't see it with access theme.

commit d117b0348a4f36ecc8eca91e3c55ee01fcc49e2e
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Oct 17 15:28:46 2018 +0100

    dvr: Add option to automatically delete recording after playback.
    
    Previously when watching a programme, the user usually has to then
    manually delete the programme to recover disk space, or wait for its
    retention to expire.
    
    So we now add an option to Config->Recording->DVR Profile. This allows
    the user to select time after watching to automatically delete the
    recording (unless it is marked as "keep forever"). Default is disabled
    (do not delete after playback).
    
    For example, if the user specifies "2 days" then we'd delete the
    recording two days after playback, even if the retention period is "3
    months".
    
    "Playback" can vary based on client. Some clients read and cache the
    entire file before starting playback, so the file would be marked as
    watched immediately. Other clients only buffer a small amount, so the
    file will be marked as watched near the end of the show.

commit 6b99571d1dc4ef61acf93a598fc434eba465c0d0
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Oct 9 01:35:49 2018 +0100

    Need to delete files on complex scheduling when replacing timer after crash.
    
    Scenario: Complex scheduling enabled. Recording ok, then crash and restart.
    
    In this case, the recording is not currently running, so we can find a
    better recording.  If there is a better recording later in the week,
    that show will get preference (since complex recording states we don't
    want a partial recording so prefer a later date for a full recording).
    
    But, we used to destroy the dvr_entry, but this does not delete its
    associated files so they would be left on disk as orphans/unreferenced
    from any dvr/log file.

commit 57bd906806c426045cc2a9ed746e9be5e6baee07
Author: k0rtina <mbonny@gmail.com>
Date:   Mon Nov 12 19:46:27 2018 +1100

    updated nginx example
    
    the tvheadend no longer seems to like the = sign in the option
    --http_root /my/tvh/server (working)
    --http_root=/my/tvh/server (doesnt work)
    nginx config updated to include the Connection "upgrade" to deal with the WS: /comet/ws traffic

commit 8200e8eae6a3d97f578f7f958ad9feafd75d9ab5
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Fri Nov 16 15:05:23 2018 +0000

    dvr: Alter test for season/episode on unique path.
    
    If we have an episode number and it differs from the other side
    then we know it is not a dup. Similarly with a season number.

commit aee5f768a44174371f5a7012397bb664addedd31
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Fri Nov 16 09:17:53 2018 +0000

    dvr: Fix season/episode unique test when recording.
    
    The test for season/episode numbers the same has become broken during
    the changeover of types from string to int. So it was only checking
    episode numbers, meaning that S02E01 would not record if S01E01 was
    available.

commit 718450acd9fe8f9ca35bc2eaef8fedf11ec90878
Author: BytEvil <work.40@mail.ru>
Date:   Mon Nov 19 15:47:11 2018 +0400

    Fix typo

commit f01679febc6fdccf452d43043b5bc212c4db6fcf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 19 12:07:14 2018 +0100

    linuxdvb: fix the exclusive frontend access, fixes #5330

commit 409a70630801375afd3c95ddf001171c32fcc03d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 14 23:24:59 2018 +0100

    dvb_mux_conf_init: set default pls_mode to GOLD, fixes #5328

commit 743da3e1f91eacbc7291b819fffc90139536bb4a
Author: Luis Alves <ljalvs@gmail.com>
Date:   Mon Nov 12 13:47:35 2018 +0000

    descrambler: reset 'changed' flag on cc_remove_card

commit 203c003315d48accf3251c96dbbd11a40c9ee2a9
Author: Luis Alves <ljalvs@gmail.com>
Date:   Sun Nov 11 11:46:28 2018 +0000

    cclient: fix crash on cc_remove_card

commit c8bbae5047286450b5692dc8c5d2aa9825229aee
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 9 20:10:17 2018 +0100

    satip: rtp - improve udp_multisend_send() error / full buffer condition checking, fixes #5319

commit d6b3bc54c6be7bf7a20be049223dc6ac41eac184
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 9 13:30:31 2018 +0100

    htsmsg: add htsmsg_remove_string_from_list() function

commit 4c19d2d2ed5ddc3c9d1c650b183b928da4d16ff0
Author: pablozg <pablozg@gmail.com>
Date:   Fri Nov 9 10:13:58 2018 +0100

    webui: fixes #5320

commit 42fb10e771e23c58f1536bca28ddb3f85781ed2b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 9 09:12:00 2018 +0100

    cclient: cc_remove_card - move state to ECM_INIT when active card is removed, issue #5314

commit 29d501042a38b1070756db2e08bda433b182078c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 8 15:40:51 2018 +0100

    http: fix http_access_verify_channel(), fixes #5317

commit a093b437146189a35ef8be6796a52ee12884c52d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 7 22:49:13 2018 +0100

    mpegts mux: handle better mm_nicename updates

commit cf4dfcca07bef5a801e3a8d71588180d7a29ede0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 7 22:48:55 2018 +0100

    satip server: fix the weight handling for the scrambled slave subscriptions, fixes #5314

commit 2ad46c44308ab2e6ad9873f22b205cdf196950a8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 7 17:04:35 2018 +0100

    satip server: fix pmt rewrite (wrong CC), use sbuf as the internal data buffer

commit 905bf283a2fee9348403c95dc9ad3ca4a9c46929
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 7 16:10:06 2018 +0100

    satip server: fix memory leak for the slave service subscription, fixes #5314

commit 1648c7b7b5cfe4ce457e4fc04b96feb3c9b7d8a2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Nov 3 21:58:44 2018 +0100

    linuxdvb: do not call linuxdvb_satconf_power_save for non DVB-S frontents, fixes #5311

commit 1222de11478788882d3c94a2b01b37e588f5f074
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Nov 3 10:25:02 2018 +0100

    iptv: add some more traces for pipe fds...

commit 4ba55bfb563ea187fa1ad2666ea3ab6570353b3a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Nov 3 10:15:41 2018 +0100

    spawn: close pipe on fork() error path

commit 7fc6cba4d6c9a378aa160751b3f445f500313703
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 1 19:12:54 2018 +0100

    satip client: do faster recovery when the server reboots

commit c4f22d84a09f9b154a236dca1617ec0169499c54
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 1 15:28:25 2018 +0100

    linuxdvb: try to improve the rotor logic (finish the movement), issue #5307

commit 2b16fcbf657437c227bb48b0d5c3b0b3f7d0d5bb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 1 14:25:25 2018 +0100

    linuxdvb: set volt - tiny optimization

commit cba1d85a574eae0c0bab00274fadc67922fb91cf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 31 20:03:36 2018 +0100

    scanfile: add support for PLS_CODE and PLS_MODE, fixes #5305

commit 12fac489b794978d73d5ea919f7fe7cd25bd15a1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 31 08:51:57 2018 +0100

    linuxdvb rotor: improve satellite longtitude description

commit 981ba4822d388c2331a5af8fa015bb3c2f917c4a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 31 08:38:50 2018 +0100

    epg: play link - use temporary auth tickets again, fixes #5302

commit 9ceae78f80fd0151577b0cf1b98cafe229c07cf0
Author: mpmc <hello@markclarkstone.co.uk>
Date:   Tue Oct 30 20:01:03 2018 +0000

    doozer/autobuild: debian buster target

commit 17717edaa6322a70f5e6e9367bc0352ab209371d
Author: mpmc <hello@markclarkstone.co.uk>
Date:   Tue Oct 30 19:53:36 2018 +0000

    autobuild: remove Ubuntu Precise which is EOL (as of April 28, 2017)

commit 7600fa859730b5fd21007104ec1ec716138adb6f
Author: mpmc <hello@markclarkstone.co.uk>
Date:   Tue Oct 30 19:51:13 2018 +0000

    doozer: sort targets, add Fedora 29

commit 7a922d60d50deba2589f05d7da6f387bbecf87b1
Author: JohnBeton22 <JohnBeton22@users.noreply.github.com>
Date:   Tue Oct 30 22:06:03 2018 +0100

    Update server.c
    
    fix small typo

commit ed33294f9cdfe41696e9e95cf81a75510d6f1193
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 30 19:55:59 2018 +0100

    htsp server: improve the htsp streaming connection limit check, issue #5290

commit 77fc1c05f1b6e9db34ea498063eff0f6bd0a2d37
Author: Luis Alves <ljalvs@gmail.com>
Date:   Mon Oct 29 18:21:05 2018 +0000

    msg queue: wake thread on new message

commit cd52831fdc23d82f051faa2abc6bc8fef5d3022c
Author: Luis Alves <ljalvs@gmail.com>
Date:   Sun Oct 28 23:19:45 2018 +0000

    intextra: support 12bit unsigned nrs

commit 1fc3b3c4ccefe124845b6fd4a03d42da5706267b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Oct 27 11:00:01 2018 +0200

    webui: m3u playlist - add auth tokens for logo, fixes #5291

commit ac48db1f169e97ec84aff790d21c20f669705593
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Oct 27 10:47:33 2018 +0200

    access: allow advanced streaming for the permanent tickets, fixes #5294

commit a7eacfe7a75da4c64498c2a7be30b734de71236d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Oct 27 10:39:44 2018 +0200

    access: set the temporary ticket lifetime between 30 and 3600 seconds

commit 9a27de8caae0f43b3a8dca2f4e750eb93c31bd68
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 24 20:06:29 2018 +0200

    access: do not allocate always 50 bytes for aa_representative

commit 7185713f42eeb82b9fcfcf0b18257c2948e9f95e
Author: Dietmar Konermann <dk@diddle-online.de>
Date:   Tue Oct 23 14:35:26 2018 +0200

    Make authentication ticket lifetime configurable

commit 424a108b0fb8d77b2445fa7937fd8d2dfd86feb2
Author: pablozg <pablozg@gmail.com>
Date:   Thu Oct 25 18:21:00 2018 +0200

    webui: Fix #5292

commit 689d18238af16fb1516cc1f46ff7cc2bb1aa8e64
Author: mpmc <hello@markclarkstone.co.uk>
Date:   Wed Oct 24 14:04:49 2018 +0100

    webui: more tooltips for help buttons!

commit 860fb782d0f2923d0b9d5a8728301475357c5ee2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 24 19:57:29 2018 +0200

    tcp: fix wrong used variable initialization, issue #5290

commit 275aec3c3cf9b3c368365249c8bf3d37e57cf043
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 23 10:51:49 2018 +0200

    access: fix access_copy() for aa_auth, fixes #5285

commit 7ad64f712e4e62cff8ae7cb878fc90a107c6752b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 23 08:27:45 2018 +0200

    service mapper: fix locking, issue #5261

commit 26dc2643eff15312644c4e18ffd07536e7e318d6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 22 18:50:53 2018 +0200

    service mapper: try to determine quickly services without A/V streams, issue #5261

commit 938f65220e2565ddd03b027a6c7ba02210d9f5e3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 22 18:37:35 2018 +0200

    webui: fix http_m3u_playlist_add(), fixes #5274

commit 476ed21c06a4f381622b3729f4283ec25bb4b55f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 22 12:36:22 2018 +0200

    service mapper: fix mono2sec -> sec2mono thinko

commit 6c3562df520f556efaa3f1fa57e7aa0465a45c13
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 22 09:06:12 2018 +0200

    dvr: fix the dvr_rec_subscribe cleanup

commit 3e130baba4318993e8269d781fda999013a4be81
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 22 09:01:15 2018 +0200

    access: do not use + character for the auth code (HTTP deescaping), issue #5274

commit 1f74101898cedf5eaaee5cd8195d044250d92100
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 22 08:48:20 2018 +0200

    dvr: cleanup the error path in dvr_rec_subscribe()

commit 8e61fcf5f6cf1ed5f6f57a4b7807f5e56debabee
Author: Luis Alves <ljalvs@gmail.com>
Date:   Mon Oct 22 00:20:42 2018 +0100

    dvr_rec: fix early access_destroy

commit ef939ad187f60bf6a009140a529d4945103409af
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 21 20:17:19 2018 +0200

    service mapper: implement time watchdog (cca 30 seconds)

commit 64afb2e0c931e00a3fcc538806e1c40391c7cd7f
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Oct 16 19:50:39 2018 +0100

    htsp: Tidy serialization of category and keyword.

commit b7e8102ce0118c7028a7567153d986451c74460a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 21 16:34:03 2018 +0200

    http: auth playlist, return unauthorized when the authcode is not present

commit 7f841a351543ef3cb907a90d1fe090497999aa36
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 21 10:41:37 2018 +0200

    doc: add authentication type for playlist in url.md

commit a260ce5f6ae557d7ababbbbfc4dbe7f48b1cb0eb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 21 10:37:23 2018 +0200

    fixes for the pernament tickets, issue #5274

commit bc2387248ff425fc4a92a79d21228af7e1702a81
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 21 10:27:46 2018 +0200

    http: terminate path correctly in http_resolve()

commit ee714fc11fbebc4c620230df4053f9a833c49eb7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 19 22:40:58 2018 +0200

    add pernament tickets for the authentization, fixes #5274

commit ddfbf14888a4ed13ddd134452e43ad2dab71d67e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 18 20:43:20 2018 +0200

    dvb psi: fix for the previous commits - move pmt monitor change to mpegts_service_find()

commit 76147c1ddd10c9783a719cfee69931e2da12771b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 18 20:41:38 2018 +0200

    dvb psi: fix for the previous commit - reinstall pmt monitor only when it's already installed

commit f89dc75ba0e9b2aaf86e1746b3ed4434a6f118ed
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 18 20:36:59 2018 +0200

    dvb psi: change PMT monitor when PMT PID changes for SID, issue #4942

commit 6ff543223b2ff4a0b36e9f86769c84f7efad5c93
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 18 08:58:18 2018 +0200

    linuxdvb: fix again the PLS code skip when the default value is used

commit b37656e74dc4387e2c2e1b4252bf8abe4fb5319f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 17 13:28:54 2018 +0200

    linuxdvb: set PLS code only when it differs from 1, fixes #5266

commit 94a7f2df8bd0967328ea7d80f1728c2cd1c226d0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 17 13:24:11 2018 +0200

    bintray: disable uploads :-(

commit 67758d02f2ce9997ba10e22c666f0262ed4efd54
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 17 13:22:30 2018 +0200

    campt: fix the ct_multipid initialization, fixes #5097

commit 72ba707d5232bb4569e616c82c563f457826ec9c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 16 16:59:51 2018 +0200

    DVR: add username to the subscription, fixes #5215, fixes #5263

commit e3c8cb7dfd8de508a89d304cef5fe9b86bdc08c7
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Mon Oct 15 20:55:18 2018 +0100

    FreeBSD: kevent is not a bitmask.
    
    The kevent does not take a bitmask. So if you register for READ|WRITE
    then it only registers READ since READ=-1 and WRITE=-2.
    
    This means that with an async socket connect then you do not get a
    callback on connect.
    
    So we need to register these separately.

commit f08bbef11c77a6a81d4e2bf974e36e54b0cd14d6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 16 16:51:00 2018 +0200

    Revert "FreeBSD: Fix recv problem if no data received."
    
    This reverts commit 3895c923a3a959da05080831b8146c09ed143b00.

commit fdaa48b32b0566fbf56a588e54fec28b4350d35a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 16 09:01:25 2018 +0200

    htsmg: align the access to list/dictionary

commit 5c14193ed288366627dd33050ec8821a9bfd24ef
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 15 16:45:01 2018 +0200

    DVR: recorder - update the running variables from broadcast at start, issue #5256

commit 3f74523d2e26db3de42d61a51dc7f5f20112a9df
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 14 00:03:19 2018 +0200

    cwc: fix the wrong memory access in cwc_send_msg()/des, fixes #4888

commit 1498c832a376e017e54287693190db7fd7889d4e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 14 00:01:59 2018 +0200

    dvr: fix null dereference in dvr_entry_file_moved(), fixes #5255

commit 0b8d903f230c29fd8a213e8a06a5a11bcc1ecae8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Oct 13 12:36:05 2018 +0200

    linuxdvb: support properly PLS ROOT

commit 433bcd2e53da6ab9bc58764460a52e93c8f78f66
Author: Luis Alves <ljalvs@gmail.com>
Date:   Fri Oct 12 13:14:52 2018 +0100

    tsfix: fix dts calc (fixes issue #5252)

commit 770cbe7b14907a9c98072190f51e1eca0c85779b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 12 15:50:37 2018 +0200

    satip client: pass PLS mode to the server

commit cae80475f6ee70928c200ef9e37534dd126b0d39
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 12 14:42:21 2018 +0200

    mpegts input: clear correctly mux's last pid cache in mpegts_input_close_pid()

commit 730d55a68c38eeeb58005d99a6e94eb3b1d60a15
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 12 10:15:41 2018 +0200

    satip client: add DVB-S2 ISI/PLS code support for minisatip (multistream)

commit 7e0cda035feaffbd32e321a09b2d0fe12744672c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 12 08:51:50 2018 +0200

    pass muxer: another fixed for EIT callback, issue #5062

commit f12e675fe0bcd50cbf7f8df70cf716b5559e4476
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 11 21:05:05 2018 +0200

    dvb-c2: add support for data slice and plp

commit 1ad37e053b62304a177a3fe54f72badeb621c8f6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 11 16:13:42 2018 +0200

    linuxdvb frontend: add support for DTV_SCRAMBLING_SEQUENCE_INDEX - dvbapi 5.11

commit 4c33bbdf43e2b24ed716cca484ed89cd62c767f9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 11 14:18:55 2018 +0200

    globalheaders: separate overall scan time and no-packet time

commit c45bfdc1ecc1287a9e4312c44d64a69dd1ff2580
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 9 21:13:16 2018 +0200

    pass muxer: rewrite also tsid/onid for eit table, fixes #5062

commit ed5fd630318e0ee469015cc7161265f01186f653
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 9 18:33:02 2018 +0200

    descrambler: fix descrambler_data_key_check()

commit 87a28a11657a489e35c4f6b8d6f22238f2eebcbb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 9 16:51:10 2018 +0200

    idnode: allow negative list keys

commit 098f09c0f81a4b50a9fe9050c56e7f6167186a7c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 9 08:12:03 2018 +0200

    satip client: do not add internal PIDs from services when full mux is not supported, fixes #5245

commit 4b3b0aab4ea669f612d3db29b79e016252c939fb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 8 15:08:46 2018 +0200

    descrambler: try to improve late-key detection, issue #5036

commit dbf6c42d3aca64d2e69c4a10b639e29c7d550a25
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 8 14:30:08 2018 +0200

    pcloud: fix publink_download

commit 32f36c8500893a58c416d6ff467a424a02a0dbed
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 8 14:06:56 2018 +0200

    webui: epg.js - fix typo

commit 7b031fdb61ac668191d5a104724ef3f6c0059f60
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sat Oct 6 16:18:17 2018 +0100

    fanart: Comment out version field in module capabilities.
    
    The version field in the scripts should be the same version as
    Tvheadend. However it does not seem worthwhile at the moment to
    sed a version number in to the scripts since most people will
    install via a package manager.

commit f47166a12e5d7c7eed5999c4a496d3787101b4f2
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Fri Oct 5 02:11:13 2018 +0100

    fanart: Pass programme title language to grabber so it can use it.

commit 8fc0a5401dc305cbab86a98169c6b8c6061fda6d
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Thu Oct 4 18:07:33 2018 +0100

    fanart: Tidy logging in Python script.
    
    We want to avoid logging stack traces unless the user explicitly
    enables debug, otherwise we get tracebacks whenever user does
    not specify an apikey for a module they do not wish to use
    (but have not disabled).

commit cefad6c8c0988d8f19320bca037e5e6f88188277
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Thu Oct 4 15:40:31 2018 +0100

    debian: Recommend python, python-requests for tvheadend.
    
    The fanart is written in Python, so recommend these.
    
    Recommends are "packages that would be found together with this one in
    all but unusual installations."

commit 8321bb4f3944f778d327514bfb0c95d80b5b2a99
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Oct 3 16:49:51 2018 +0100

    doc: Add extra documentation for fanart configuration.

commit e324addf495dbcc56f41185adf63e001b76446b9
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Thu Oct 4 00:17:53 2018 +0100

    fanart: Update tmdb to support tv lookups.
    
    Previously we only support movie lookups on tmdb since the
    module we used did not support tv lookups. Now we no longer
    use an external module we can perform tv lookups on tmdb too.

commit d75b0a1bc781a786c24ef78b170eba4328711a76
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Oct 3 23:39:58 2018 +0100

    fanart: Rewrite to remove dependency on external tmdb module.
    
    The information we need can easily be retrieved via a
    query so avoid the dependency on an external module and
    implement the tmdb api retrieval logic ourselves. This
    also means we are no longer constrained to be python2.7 only.

commit a78e774fe204267f10bb7e39a4fd5b9c9cc6715b
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Oct 3 21:44:37 2018 +0100

    ui: Add TheTVDB.com attribution strings and logos.
    
    The logo is taken from:
    http://platypus.thetvdb.com/eng/api
    and resized with:
    convert -resize 32x

commit f333d26ee7d297b0ca21c56cbd130ac96e089bc0
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Oct 3 15:11:49 2018 +0100

    fanart: Allow grabbers to report mandatory config
    
    This allows them to specify that they need a user key, etc.

commit 8464e469bbfa4f4d76f095e414c35c4ec4cd834e
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Oct 2 19:00:42 2018 +0100

    fanart: Add basic tvdb lookup.
    
    The lookup is by title+year (+language) only (episode-specific
    fanart is not yet retrieved).
    
    To use with Tvheadend, the extra arguments in the grabber need to
    include:
    --tvdb-key XX
    And an optional two character languages as csv:
    --tvdb-languages en,it
    
    The key is from registering at TheTVDB.com.

commit ce0fd19fb990f391a5d5da60b802cbdc42dd2e06
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Thu Oct 4 00:54:45 2018 +0100

    dvr: Remove fanart entries from the list until we process one.
    
    We might have entries on our list of pending fanart fetches that
    no longer need fetching (user changed config, etc.)  So keep
    removing entries from the list until we find ones that need
    a fanart fetch.

commit 1e7a1b5fa9dbeb7a01bd2e9de5071b3290e135bc
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Oct 3 10:13:24 2018 +0100

    fanart: Add option to only lookup fanart for identifiable recordings.
    
    OTA broadcasts can have data that will fail a fanart lookup or is
    too vague so will match incorrect programmes. So add option so by
    default we ignore fanart for programmes without a year (for movie)
    or season/episode (for episode).

commit 6226fa47a4555fbee35653b90467642319629cf6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 8 13:56:41 2018 +0200

    doozer: fix the jessie builds (update urllib3/contrib/pyopenssl.py)

commit 1e91679a48554d8ea3bceebd1e5ccd6d93b05fa1
Author: mpmc <hello@markclarkstone.co.uk>
Date:   Fri Oct 5 12:38:09 2018 +0100

    webui: replace ... with ellipsis …

commit 40215d673bbfb9f8e310b4c0d4ba7b9ec7b6a414
Author: mpmc <hello@markclarkstone.co.uk>
Date:   Fri Oct 5 12:33:02 2018 +0100

    webui: add tooltip to help button

commit fdcd5b9fd82a2aa41b1b1c198621dd35365343e8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 7 20:52:47 2018 +0200

    pcloud: add own ca bundle

commit 174a8e077658174143f552f07739907f192cbefc
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 7 19:06:01 2018 +0200

    Revert "satip: pass specinv by default for DVB-C, fixes #5231"
    
    This reverts commit 37f9f6b08666c7f18eab2befd4d28e96f484aabb.

commit 337150de2b97486a0d4ea2b7c3881fde0b75a0fd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Oct 6 19:20:27 2018 +0200

    webui: add CSFD (http://csfd.cz) to query list

commit 7ae79cb1de9595d589fca684b4d60b9210cf409f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 5 09:57:44 2018 +0200

    channel: fix description for the user icon

commit 2489f51f02df3fa7d4645f28783bfd3e8cf17383
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 5 09:53:50 2018 +0200

    iptv: fix channel icon handling, fixes #5240

commit cb2aeb365127829a0911fb7efc7f6ec224c13fc0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 4 17:54:52 2018 +0200

    parser teletext: a little more fix for duplicate subtitles, fixes #3996

commit 43ffe8b6b337da8e7fc5644aba94e23f88f89a47
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 4 09:04:28 2018 +0200

    parser teletext: try to avoid duplicate subtitles, fixes #3996

commit bef96c5d25f890a7c79ce035f2a05e99042f4f82
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 3 18:16:30 2018 +0200

    satip client: fix the satip_frontend_rtsp_flags() function

commit ca88e6e62302ad31dc82840251923b39e6dc78bc
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 3 13:05:02 2018 +0200

    Makefile: another fix for the static build

commit 5e871dfbcbf19440d23805df047b5cfcb633dfe6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 3 12:35:04 2018 +0200

    satip client: change display name to always show the adapter number, IP address and data protocol, fixes #4938

commit a0a725f4671a28b8b829ce371709ea4452d252ec
Author: mpmc <hello@markclarkstone.co.uk>
Date:   Wed Oct 3 10:46:47 2018 +0100

    doozer: add cosmic cuttlefish

commit 17dff3e5ffbd67174b6c0d7b49f5488e19ec1ead
Author: mpmc <hello@markclarkstone.co.uk>
Date:   Tue Oct 2 18:00:31 2018 +0100

    doozer: add missing python-requests and manually update certs for older distros

commit 3dfe2fe989dd0589ea62f45fbbeb14f66b2f66d6
Author: Pablo <trujulu@gmail.com>
Date:   Tue Oct 2 20:41:36 2018 +0200

    Optimize default configuration of SAT>IP Triax TSS 400
    
    https://tvheadend.org/issues/4244
    
    As we discussed a while ago, the configuration should be different.
    
    * The complete mux should not be supported
    * Along with it an increase of maximum pids is useful to open more channels.

commit ad58c5c83041169aacf38772fb75ce6d1f085f09
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Oct 2 23:28:32 2018 +0100

    ui: Use background-size to scale fanart to fit dvr dialog box.
    
    Previously the fanart could be too big for the dialog. Now we
    scale to fit the dialog.
    
    We use 'cover' which can make the image slightly exceed the
    dialog dimensions, compared to 'contain' which would leave
    space at the top/bottom if the fanart is an odd dimension.
    The 'cover' seems better with the fanart I've seen so far.

commit e6a07318bf7c7dfd3609bc89dc733eb832fe24d0
Author: zinonino <zinonino@abv.bg>
Date:   Tue Sep 25 04:16:31 2018 +0300

    Adding scrape for bg
    
    Adding scrape for Episode, Season for Bulgarian lang.

commit d96fef9120557b7c33a56a8dfdcede48159c752e
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Oct 2 14:50:03 2018 +0100

    xmltv: Add option to save epgdb after xmltv import.
    
    The "periodic save database" means that for xmltv you can
    import your daily listings, crash, restart, and not have xmltv
    data since the periodic epgdb timer has not elapsed.
    
    So, add an option so the user can save the database after the
    import has completed, assuming changes occurred.
    
    This save is delayed by a couple of minutes in case the user
    is importing from several different xmltv guides, in which case
    the save occurs after the last import.

commit b11a6eb662552fea829fcf6b28ecd82d53c278fd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 2 18:37:43 2018 +0200

    Makefile: static libs - improve rules

commit 75074cb567418fbf9f321dbf5e99b4ab3bab7adf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 2 18:21:56 2018 +0200

    Makefile: move -D_FORTIFY_SOURCE=2 to -O2 section

commit 0c50a763f630f91d5a0ee6687890b631c619a21f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 2 18:18:51 2018 +0200

    api/ui: status - show the PID lists for subscriptions and inputs, fixes #4934
    
    Original idea and implementation by Mono Polimorph

commit d1e50efdba8df480500024f744ff62a0304c112a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 2 15:54:19 2018 +0200

    configure: libav - check for libswresample or libavresample, fixes #5235

commit c7912a15567f0e048f0098290a7032487bef07b6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 2 15:35:09 2018 +0200

    bintray.py: remove staticlib from tidy

commit 28067700d05ca1b431a53fc471314b11c7d76f47
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 1 17:54:24 2018 +0200

    htspmon: python3 fixes

commit b57d9dbe7e811255a38b812b93275acedad57835
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Oct 2 12:36:58 2018 +0100

    string list: Need to strdup return value on remove first.
    
    The id is part of the buffer itself (rather than separately
    allocated), so need to strdup the id when returning first
    element.

commit ed31b3b31761aeb536164ca5c30c3e0f58b9890f
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sun Sep 30 21:45:21 2018 +0100

    dvr: Pre-fetch fanart for upcoming recordings.
    
    We keep track of uuids for upcoming recordings. Once an hour we
    get one entry from the list and pre-fetch artwork for it so it
    can be displayed in the UI "upcoming recordings" dialog.
    
    This is only done if the user has explicitly enabled fetch
    artwork on the entry's profile.

commit 0f8ca4ec2f7a9c4df20cb5c7952392b008e692e3
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Mon Oct 1 22:53:58 2018 +0100

    python: Need to send log messages to stdout not stderr.
    
    If we log to stderr then Tvheadend thinks they are error messages
    and logs them as error instead of info.

commit 718fdbc9fa5a75486f15e75a7284ab47052c88f4
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sat Sep 29 12:38:37 2018 +0100

    ui: Add TMDB attribution strings and logos.
    
    The logo is taken from:
    https://www.themoviedb.org/about/logos-attribution
    and resized with:
    convert -resize 32x

commit 9eb7adaae33e74de902074e7f03a819a9412c6c8
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sat Sep 29 12:12:21 2018 +0100

    dvr: Add tick box for fetching artwork.
    
    In Configuration->Recording->Digital Video Recorder Profiles there
    is now a "fetch artwork for new recordings" button, and a place
    to enter additional arguments (such as --tmdb-key).

commit 2feb12ea49bf1a29006fc08dcea1dff500ea745e
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Thu Sep 27 22:04:26 2018 +0100

    python: Support multiple grabber modules for movies and tv artwork.
    
    The "--modules-movie=a,b,c" command line option will load each of
    these modules in turn and ask them to provide artwork. TV modules are
    selected via "--modules-tv" option.
    
    The default (if no --modules-movies is provided) is to search the
    Python path for python files that are named "tv_meta_*py" and then
    call the module's "get_capabilities" to determine if the grabber
    supports tv, movie, or both.
    
    Each grabber module is called in turn until all artwork is
    retrieved. So, if the first module only provides a fanart, then the
    next module can supply the poster image.
    
    Modules can be passed command line options from tvhmeta by prefixing
    them with the shortened module name.
    
    So, for a grabber module such as "tv_grab_tmdb", we pass through
    command line arguments from tvhmeta to it. So if the tvhmeta is called
    with an option of "--tmdb-key" then we pass through "key" as an option
    to the tv_grab_tmdb (stripping the "--tmdb").
    
    This allows third parties to produce grabber modules that
    automatically integrate.
    
    Also switched from deprecated OptionParser to argparse.

commit e13cad7bc6bd549c7ea167dcac6d85f271dfe8d2
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Thu Sep 27 13:21:40 2018 +0100

    install: Add tvhmeta and tv_meta_tmdb.py to install files.
    
    The tvhmeta program allows lookups of metadata for recordings.
    The tv_meta_tmdb.py is the underlying file that does lookups
    and is both an executable and a library.

commit 5e0be9cab441e826df1f5431b6df59d264762067
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Thu Sep 27 13:21:01 2018 +0100

    python: Update to allow tvhmeta to run in dev or in live.
    
    In development tree, the libraries are in ../lib/py. In live,
    we currently install the library in the same directory so
    need to import it differently.

commit 4bb5566154065780ddcec2e361c0253bb35c35eb
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Thu Sep 27 10:57:38 2018 +0100

    python: Add basic tmdb lookup scripts to retrieve artwork.
    
    The scripts attempt a tmdb lookup by using the title+year from
    the dvr record associated with a particular uuid.
    
    It then sets artwork and fanart.
    
    The script can either be invoked manually or run automatically
    from Tvheadend when a recording occurs (pre-recording rule).
    In that case it needs to be passed the arguments:
    "/usr/local/bin/tvhmeta --uuid %U --tmdb-key abcdef"
    ...where the key is from the tmdb website sign up.
    
    The tv_meta_tmdb library is stand-alone and can be used
    to test specific lookups to determine why they do not work.
    
    A per-user cache is kept inside the tmdb3 library and this
    is stored in /tmp.
    
    The tmdb3 library has to be installed. This can be installed via "pip
    install tmdb3" or "synth install www/py-tmdb3" depending on OS.
    
    The scripts support a "--debug" option. I'd expect we are likely to
    get several wrong/no results, especially with non-English movies until
    we have a larger set of failure reasons to work with.
    
    Once we get the tmdb working, we can try and "modularize" it so
    different providers can be installed, and add a grabber for tv
    episodes.

commit d79e96271226164aa706c667c29cc565b2674876
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Sep 26 23:35:26 2018 +0100

    ui: Add fanart background to dvr details dialog.
    
    We now display fanart (if available) on the background of the dvr
    dialog. This fanart image is also displayed every ten seconds where
    the existing image is displayed.
    
    We have to put the image inside a fixed width container, otherwise if
    you alternate between a long thin image and a wide image then the text
    reflows.

commit e9b300438573297bbe513da962cd97cc63205915
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sat Sep 29 14:03:44 2018 +0100

    xmltv: Use format "X" instead of "X/" for season/episode export.
    
    Previously we'd output "4/ . 3/. /", but some clients can not handle
    the omitted "total" number. So we now output the simpler "4 . 3 ."
    instead.

commit 0cde40cbba3c7da760e8369c26e3274544e6d78e
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Mon Oct 1 18:05:26 2018 +0100

    FreeBSD: Add libunwind trap support for FreeBSD only.
    
    Although the existing backtrace works correctly on Linux, on
    FreeBSD it frequently generates a backtrace with completely
    wrong function names. (FreeBSD 11.2, current latest version).
    
    For example, making htsp_build_dvrentry crash with SEGV, it
    would either not generate a stacktrace or would generate a
    backtrace of:
    -pthread_sigmask
    -pthread_getspecific
    -service_remove_unseen
    -htsp_get_subscription_status
    -htsp_init
    -tcp_server_done
    -tvhthread_create.
    
    ...instead of the correct backtrace of:
    -<signal>
    -htsp_build_dvrentry
    -htsp_method_async
    -htsp_read_loop
    -htsp_serve...
    
    So on FreeBSD only, we use libunwind to generate the
    backtrace and function names. We explicitly make
    libunwind and libexecinfo mutually exclusive since
    FreeBSD has both.
    
    Line are logged similar to:
      CRASH: htsp_build_dvrentry+5d (ip=11f659d sp=7fffd8bc3930)
    
    Note that it does not have line numbers since the addr2line
    does not appear to work on FreeBSD (even with the original
    backtrace code).
    
    An example of the problem with the old backtrace code using
    the frame from htsp_method_async from within the tvheadend
    traphandler after the retrieval of the stack frames:
    
    (gdb) print frames
    $38 = {0x806473954, 0x806472eb2, 0x7ffffffff193, 0x11f1638 <htsp_method_async+1640>, 0x11fe400 <htsp_read_loop+880>, 0x11f58e6 <htsp_serve+502>, 0x11b9b11 <tcp_server_start+401>,
      0x11af45e <thread_wrapper+302>, 0x80646dc06, 0x0 <repeats 91 times>}
    
    (gdb) print dladdr(0x11f1638, &dli)    <--- addr of htsp_method_async from frame 4.
    $39 = 1  <--- success
    
    (gdb) print dli
    $40 = {dli_fname = 0x7fffffffef97 ".../build.freebsd/tvheadend", dli_fbase = 0x1021000, dli_sname = 0x1044f91 "service_remove_unseen",   <--- but wrong name
        dli_saddr = 0x11eff80 <service_remove_unseen>}   <--- and this is nearest symbol address
    
    (gdb) print htsp_method_async+1640
        $41 = (htsmsg_t *(*)(htsp_connection_t *, htsmsg_t *)) 0x11f1638 <htsp_method_async+1640>   <---but gdb knows the original address is htsp_method_async
    
    (gdb) print service_remove_unseen
        $42 = {void (const char *, int)} 0x11eff80 <service_remove_unseen> <--- and gdb knows sevice_remove_unseen is at the dli_saddr.
    
    By contrast, with libunwind, we get:
    
    (gdb) print buf
    $50 = "htsp_method_async", '\000' <repeats 110 times> <--- libunwind detected correct function name
    
    (gdb) where 10  <--- even though our signal has been delivered on its own stack
     #0  traphandler_libunwind () at src/trap.c:162
     #1  0x000000000120cf06 in traphandler (sig=11, si=0x7fffdbbdb860, UC=0x7fffdbbdb4f0) at src/trap.c:221
     #2  0x0000000806673954 in ?? ()
     #3  0x0000000000000000 in ?? ()
    
    (gdb) print ip
    $51 = 18814904
    
    (gdb) disass 18814904  <--- and gdb knows that ip address is for the same method as libunwind detected
    Dump of assembler code for function htsp_method_async:
       0x00000000011f1150 <+0>:     push   %rbp

commit b540f4cad0da34e875dd54994c3f12d9ac25c9e7
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Mon Oct 1 16:57:36 2018 +0100

    trap: Allow chdir /tmp even if prctl not supported.
    
    Even though prctl is Linux specific, other platforms allow core
    dumps to occur in the cwd, so it's useful to allow the "cd /tmp"
    for those platforms if the existing --dump option is specified.

commit 5f8b814440d99a2737118a11ed3b78d9ff5fc1b6
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Mon Oct 1 16:52:51 2018 +0100

    epg: Change && to ||.

commit 406a781184f74af75637329f58253f28482b7c61
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Oct 2 00:44:16 2018 +0100

    build: Enable hardening options for Debian build.
    
    The Debian guidelines recommend enable hardening for processes
    that handle untrusted data such as network listeners.
    
    This sets various compiler flags for stack smashing and
    makes some segments read-only.
    https://wiki.debian.org/Hardening

commit a26e74d718310feaa76d6629a0e615987e5276e9
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Mon Oct 1 18:32:26 2018 +0100

    build: Add hardening options.
    
    Add some hardening options from:
    https://wiki.debian.org/Hardening
    These protect against basic buffer overruns.
    
    Although debian/rules can have an "export DEB_BUILD_HARDENING=1",
    it's useful to have these available across all builds that support
    the compiler options.

commit 6af3777aa28f949c63fafd54c9c2c3bbfe22890f
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sun Sep 30 18:41:02 2018 +0100

    channel: Return unique list of services
    
    Previously if multiple services were mapped to same channel then
    we would get duplicate entries in the csv, such as a string of
    'DVB-T,DVB-T,DVB-S,DVB-S'.
    
    Now we return a unique list of 'DVB-T,DVB-S'.

commit e316c7677e80b8d746d114879b118cfe088a4e3b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 1 11:14:59 2018 +0200

    subscription: try to iterate through all adapters on tuning failed error, fixes #5230

commit 8d5a955b72b8b398e8d8e86d95ee711fac43e705
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 1 10:17:33 2018 +0200

    service: add error text to the service instance log

commit 37f9f6b08666c7f18eab2befd4d28e96f484aabb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 1 10:11:55 2018 +0200

    satip: pass specinv by default for DVB-C, fixes #5231

commit 8176e20162ce2258d0c3eb46f567b5eae2c1e32a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 28 20:37:11 2018 +0200

    linuxdvb satconf: fix typo

commit 72aa4d1e0c862beba16b59a98f719d124aab4442
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 28 10:43:14 2018 +0200

    makefile disclean: remove debian/.dephelper directory, fixes #5223

commit 852a10a34bcb119c81d951b2a4a41c8004a2639a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 27 18:41:03 2018 +0200

    debian: add python-requests to control file

commit f9a061e3db65997a3ec0f351ef4798eac5c0794f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 27 18:39:50 2018 +0200

    doozer: add python-requests package as requirement

commit bdc9e59d98d38c7de40108fb16271d59280689ed
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 27 18:35:51 2018 +0200

    try to move build caching to pcloud

commit 2c83aa4a2809a382523be503a435a0f4b1c64a0b
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Sep 26 22:17:19 2018 +0100

    gcc8: Only disable warning options for gcc.
    
    The clang compiler does not have such options.

commit 9b1f715e62fc326c14d94835e4e614ad9fc9709b
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sun Sep 23 10:13:12 2018 +0100

    dvr: Persist dvr entry filename upon creation.
    
    Previously we added the filename to the dvr_entry at the start of the
    recording, but did not persist it. This meant that if tvheadend
    crashed before the programme completed then we would leave a file on
    disk which is not referenced by any recording, hence will never be
    deleted.
    
    So we persist after the file is created/stream opened. This entry then
    has filename, stream info, and (actual) start time, but no (actual)
    stop time.

commit 11ea2864ec08fdd6dd40b2363cc47ae252dd84a2
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Sep 26 13:13:49 2018 +0100

    Add fanartImage to htsp dvrEntry messages.
    
    Currently this fanartImage is set by the user in recording
    post-processing. So, a "%U" format specifier gives the user the
    uuid of the recording and they can use api/idnode/{load,save}
    to add fanart/image artwork from appropriate sources.
    This fanart is then displayed in Kodi via pvr.hts.

commit 7d2708b418a82bba9e898e9a659b69ed54df3c9a
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Sep 26 01:23:28 2018 +0100

    python: Add tvhmeta program for setting artwork on a dvr recording.
    
    Very basic program for setting artwork/fanart in a dvr entry,
    primarily as a proof of concept. Retrieving of artwork from an
    external source is not done.
    
    The program demonstrates retrieving existing data from the server for
    the recording, updating the artwork, saving it, then re-fetching to
    show the change has been applied.
    
    The uuid can be found via the %U format specifier in the recording
    post-processing commands.
    
    Sample usage:
    ./tvhmeta --artwork-url http://art/img1.jpg --fanart-url http://art/img2.jpg --uuid 8fefddddaa8a57ae4335323222f8e83a1

commit 6e8c4691993e09d43a7e894f2a023bc390512022
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Sep 26 00:25:39 2018 +0100

    dvr: Add new format specifier %U for uuid in postproc.

commit de34110fca4ca9c8e894845715e7a63b855aabd6
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Sep 26 00:19:07 2018 +0100

    dvr: Allow artwork to be set via idnode/save.

commit 6477c8a9dbd3d36fa137b5880226b5d55c6ecf4a
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Sep 25 19:44:53 2018 +0100

    dvr: Add fanart_image to dvr_entry.

commit 759c10e75722090879efe398fdfa44cb9a827470
Author: MastaG <mastag@gmail.com>
Date:   Wed Sep 26 10:25:00 2018 +0200

    Fix building with gcc 8
    - Patch for nasm taken from Fedora 28
    - Added CFLAGS -Wno-stringop-truncation -Wno-stringop-overflow
    - fdk-aac requires -fPIC to link properly

commit b3efcf34734efa2aa22caa136541eb3253ed1e47
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Sep 25 18:07:56 2018 +0100

    python: Update to be compatible with python 3.

commit 926c79a05353c0d43f58c96fe72729e6674ceb2d
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Sep 25 13:14:14 2018 +0100

    python: Bump to latest HTSP_PROTO_VERSION.

commit 7ef06a43579f3ae02bd0224521dafaaad7ea43ba
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Sep 25 12:53:46 2018 +0100

    python: Port to Python3.
    
    Python 3 requires "Exception as e" instead of "Exception, e". This new
    syntax is compatible with Python2.6+ and was introduced in PEP-3110
    (Jan 2006).

commit c3f3ab77febd72b3bd03fd37a76aff60ba2884e2
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Sep 25 12:50:57 2018 +0100

    python: Handle incorrect utf-8 decodes.
    
    Some broadcasts can have different charsets (such as iso-8859-1) but
    we assume utf-8 unless user has set it correctly. So when decode fails
    we get an exception.  So we now attempt to decode with error
    replacement so user sees incorrect character.
    
    This gives "u'Denise Th\ufffd\ufffd':" as the string returned instead
    when the received name contains an é that is in iso-8859-1 instead of
    utf-8.

commit 3f90477707b8cafa53dae4410be426b86251f1aa
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Sep 25 01:08:34 2018 +0100

    python: Make files python2/python3 compatible.
    
    Ensure files are compatible with python2 and python3.
    Main differences:
    - print requires brackets
    - string is bytes in python2 and unicode in python3
    - need to use struct to pack/unpack binary data
    - need to convert socket data to bytearray to allow data extraction

commit 83e5235c011de2094551908405fdfe22eb4d73b2
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sun Sep 23 14:59:39 2018 +0100

    python: Need to utf-8 decode our strings.

commit 4a12bef876d5c96ec73787e0eaf0195c3fd6c4e5
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sat Sep 22 18:19:15 2018 +0100

    ui: Add Next/Prev buttons to filter epg channels.
    
    This provides a simple way to provide a "now & next" view in the
    EPG.

commit de0cebebda56eee1e6b673728691ee308c4b1276
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sat Sep 22 13:04:14 2018 +0100

    xmltv: Output genres to exported xmltv. (#4266)
    
    Based on patch by Iván M. A. posted in issue #4266.
    
    Issue: #4266

commit 8c198e0fffc065038b447a6957832730251dc69e
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sat Sep 22 12:51:35 2018 +0100

    xmltv: Add episode number information to exported xmltv guide. (#4266)
    
    This assumes that the imported tv guide has correct populated
    the fields, rather than using an arbitrary scheme.
    
    Issue: #4266

commit a29e54af8363686fe3f1956c9a42971356e1cb25
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sat Sep 22 00:29:05 2018 +0100

    dvr: Change time(NULL) to gclk for consistency.

commit da2e49c9c78ca355eaa2531f104083ef4b37d8c7
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Fri Sep 21 18:23:31 2018 +0100

    dvr: Fake create timestamp for old dvr entries.
    
    Old dvr_entry records (tvh4.2) do not have a create timestamp, so we
    fake one based on the start time of the recording. This will allow
    us to send the timestamp to the UI in the future knowing that it
    will give consistent results for user sorting since it may be
    useful for user to sort upcoming recordings by when they were
    created (i.e., scheduled).

commit d4eed46988fb398995543f80efbc9dce9d392329
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Fri Sep 21 18:19:28 2018 +0100

    dvr: Add create time to dvr_entry and use it.
    
    We have to ensure we don't async reschedule if we have only just been
    created then destroyed, otherwise we can enter a loop where every few
    minutes the autorec is checked, realizes it can schedule against a
    current broadcast, create the dvr_entry, then find it's a duplicate
    of an existing recording/dvr_entry, so destroy the new entry, which
    then causes the loop to start again later.
    
    So, if a dvr_entry is created and destroy quickly then we avoid
    the async reschedule. This breaks the loop since we no longer
    trigger a second async reschedule.

commit 54c077403af79baaaa5be48b5f69802b76073572
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Sat Sep 22 00:13:10 2018 +0100

    dvr: Fix logging of duplicates (needs different buffer for second uuid).

commit 5b1eb68175b29680964ebcd879e77dc0693f9586
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Fri Sep 21 11:01:09 2018 +0100

    dvr: Mark dvr entries as duplicates early to avoid logging.
    
    When autorecs are modified, we can do an async reschedule to ensure
    recordings are correctly updated in case the autorecs interact.
    However this can cause excessve logging in some circumstances.
    
    Effectively, if there is a recording on disk and the autorec matches
    the same recording in the future then the dvr_entry_create_by_autorec
    can exit the "bcast" loop with no match at all (since entry on disk
    frequently, but not always, has a null de_bcast).
    
    This then means we create the dvr_entry, and, if the programme is
    broadcasting now, then we immediately schedule a timer to start the
    recording and log an info to say scheduled. We then immediately cancel
    the recording, delete the dvr_entry, which then causes us do an async
    schedule. But this async schedule realizes the autorec matches the
    broadcast, so we go through the process again.
    
    So, first stage is to delete the duplicate before we do any logging.
    Unfortunately, due to the way dup matching works (only dvr entry vs
    dvr entry, not vs bcast), we have to create a dvr_entry to do the
    matching.
    
    We also need to check duplicate event after it is inserted in to
    de_global_link (to avoid assertion fault).

commit 1b40e46b510be0d4d67d47715709fdf537ef500e
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Thu Sep 20 23:08:06 2018 +0100

    dvr:  Ensure non-scheduled dvr_entry is always "best".
    
    Previously in dvr_is_better_recording_timeslot we would sanity check
    that the old channel and broadcast exists before further checks.
    
    However, it probably makes sense to ensure that a non-scheduled
    dvr_entry (such as already recorded) is always the better match even
    though it might not be linked to any broadcasts.

commit 9c00a0fa866f011be178968f11562744b2494db7
Author: pablozg <pablozg@gmail.com>
Date:   Sat Sep 22 20:37:39 2018 +0200

    webui: Deleted name text from previous / next buttons, hide "Record program" button when the event is scheduled or recording

commit cf073b3a2f4e23d24ebd7606e9e3c4918d33aec8
Author: pablozg <pablozg@gmail.com>
Date:   Fri Sep 21 21:34:28 2018 +0200

    webui: Add Previous button to epg and dvr, fix minor issues (If you select the first/last row the previous/next are active when the popup window is opened first time)

commit 49ce85da93970bb8a0e733bf6c3080c83d60db0a
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Thu Sep 20 20:00:37 2018 +0100

    dvr: Add minseason and maxseason to autorec (#5176)
    
    This allows users to specify specific seasons to record,
    it has to be >= min and <= max.
    
    For example min=5,max=5 will record only season 5.
    
    Setting min=5,max=0 will record everything on season 5 or
    later, which is useful if you've already seen seasons 1--4.
    
    This can then be combined with the normal fulltext regex
    such as "Simpsons"+minseason=12.
    
    Fixes: #5176

commit baf1f92077db0a99b9b140fc419d4c7b7b91d7d8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 25 08:16:50 2018 +0200

    eit config: fix Bulsatcom 39E, issue #5219

commit e1c03470de02174ce55d3d0b29586170c21fd7b8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 20 17:20:20 2018 +0200

    bintray.py: handle 409 error as warning for upload (fix jessie builds)

commit 34f2f007ff53512db1e4e24efe0442eddde84c7c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 20 17:02:12 2018 +0200

    epg.js: fix indent

commit b92134b992f8437d21af34445d54040b30457263
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 20 16:49:05 2018 +0200

    http: add http_username() and use it in webui, fixes #5214, fixes #5215

commit 2859a6478f29aefe59d55875afb42940651e2b81
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 20 15:51:47 2018 +0200

    parser hevc: fix return value from hevc_decode_sps(), fixes #5204

commit 4c49b8120fe71ccfc849e24a7e9a3f7a3863520c
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Thu Sep 20 14:10:35 2018 +0100

    ui: Add channel name to dvr dialog.

commit 39567aa09be6dc8eea629bc04d00dd220ec9abf6
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Thu Sep 20 10:33:33 2018 +0100

    ui: Include channel name on epg broadcast details dialog.

commit 4e0a2f8b6900c9f1a59649cd67a9af18c317ca91
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Thu Sep 20 02:17:25 2018 +0100

    ui: Make epg dialog slightly wider.
    
    This is to accomodate the "next" button which was slightly truncated.

commit c1eb3a2a8a1b2e45bfb5adef8495dec5cfb25d3c
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Thu Sep 20 01:57:34 2018 +0100

    ui: Add 'next' button to DVR broadcast details.

commit d480f95665867200760ee7a4c2e86260cdc68d3f
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Thu Sep 20 01:05:44 2018 +0100

    ui: Add 'next' button to EPG broadcast details.

commit 976b83c7f4830af05ef6283d5c5fd2fdd4fef00e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 20 15:39:37 2018 +0200

    transcode: fix hwaccels_decode_setup_context() for ffmpeg 4.0.2, fixes #5202

commit d4b569a92513b0e11b709fb88121761c74262e52
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 20 14:46:42 2018 +0200

    main: set default user/group only when specified for non-root users, fixes #5213

commit d7fe431f96a10b837e0b7f7fb9bc653fd14a797f
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Mon Sep 17 13:10:27 2018 +0100

    FreeBSD: Check for fdatasync system call since it is supported on FreeBSD 11.1 and later.

commit c67975f77988909ec03aa29022c648f1dd28fe94
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Sep 19 17:16:22 2018 +0100

    FreeBSD: Requires libinotify for inotify support.

commit b251feaa0bdedc2869e45d0922b3c9b181c10089
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Sep 19 16:57:24 2018 +0100

    FreeBSD: Support different stat format in Makefile.webui.
    
    The stat program on FreeBSD requires different arguments to GNU
    stat. In the past, this is done by the ports patching the Makefile
    post-extract.
    
    Instead, we'll configure the program's arguments based on platform.
    We'll also use %z (filesize) instead of the port's %b (file blocks) so
    we generate equivalent output to the Linux version..

commit 3cf945146d2b6c37718ed3fbbbb6c4fd38839a37
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Sep 19 19:43:05 2018 +0100

    ui: Add grouping format specifier for dates.
    
    When grouping recordings by datetime, each group tends to only
    have one recording since time field is unique.
    
    So, when grouping, we only use the date-portion and not the time
    portion in order to create the group.

commit f01ada0dc0513ee6e628c746cd08633a5582330d
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Sep 19 14:14:37 2018 +0100

    dvr: Async reschedule autorecs whenever a log entry is destroyed.
    
    Destroying a log entry can cause another autorec rule to be valid and
    need scheduling.
    
    For example, if you have two autorec rules that match the same
    programme then only one autorec rule will schedule the programme
    and the other autorec will see the programme is scheduled and do
    nothing.
    
    However, if you then disable the first autorec rule, then we need the
    second autorec rule to re-arm the timer for that programme since it
    still matches it.
    
    This resheduling is done async after a delay. This avoids large
    changes causing constant rescheduling. So, if user deletes a thousand
    log files, we do not want a thousand reschedules to occur. Instead,
    we dispatch a single timer after the last update has occurred.

commit 78d31b5d37381eb003964cf03c36aecd1422f1f8
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Sep 18 23:34:04 2018 +0100

    dvr: Add minyear/maxyear to autorec.
    
    My listings provider thinks every old film is worth 5/5, so we add
    minyear to allow an autorec of "good films" to filter out old
    films. Also add corresponding maxyear for people who think the
    opposite and only want old programmes recorded.

commit 823aabc5211e94311ca70793e40214626570e7e6
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Tue Sep 18 18:25:15 2018 +0100

    ui: Fix createToolbar2 issues on some recent browsers.
    
    Recent versions of Firefox had an exception saying the createToolbar2
    function does not exist when it was called to create the secondary
    toolbar that is used for category searching in the EPG.
    
    I believe this was due to scoping issues, so rescoped the variables.
    This worked, but although the toolbar was added it was not displayed
    on Firefox.  So changed the way the toolbar is added and it now works
    on Firefox and Safari.

commit 6fffd60e344065d6e8542659b2dd1f3a391bc531
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Mon Sep 17 17:17:24 2018 +0100

    Fix a few "old-style-declaration" warnings in gcc.
    
    Mainly needing to put "static" first and "__thread" earlier.

commit a4a9d6df1b9f42d436ff9fac2d9c74fb31c9e5a7
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Mon Sep 17 16:26:11 2018 +0100

    Remove clang no-incompatible-pointer-types flag.
    
    The official build runs with gcc which checks for some incompatible
    pointers for assignment of const to non-const, whereas clang
    build disabled such warnings.
    
    So, update to re-enable the check on clang and fixup couple of
    locations that failed.

commit 10554d4198fc8da2585863fa73377d850d72ba05
Author: Alex Mekkering <alex@alexenjoyce.net>
Date:   Mon Sep 17 14:26:02 2018 +0200

    Upgrade to libhdhomerun_20180817

commit 28d77734594e373a96217d948cd132817024f1d4
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Sep 19 15:22:31 2018 +0100

    dvr: Avoid recording partial programme if autorec created mid-programme.
    
    When creating an autorec, it can match a programme that has already
    started. If so, it's better to prefer the later recording so you get a
    full recording.
    
    So, if it's 09:10 and there is an hour long programme that started at
    09:00 but is repeated at 10:00, then let's record at 10:00 instead and
    get the full hour, instead of at 09:10 and only get 50 minutes.

commit e57c1da3760c33db53901f24b137d193fce309d1
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Mon Sep 17 20:41:52 2018 +0100

    dvr: Only do time slot scheduling in the scheduled state.
    
    We do not want a currently recording programme to be cancelled
    due to a better channel being found. For example recording a SD
    channel and then the OTA updates and finds an HD version of the
    show at the same time and so tries to schedule that HD version
    instead.

commit b9dfe82fc85550990249689abf67fa83fc39506b
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Mon Sep 17 20:10:01 2018 +0100

    dvr: Make timeslot scheduling configurable.
    
    The configuration to enable finding a 'best' time slot for
    recording is now configurable as an advanced option in
    Configuration->Recording->DVR Profiles, with the default being
    disabled.
    
    When toggled, the autorec rules themselves need to be manually
    toggled to cause them to reschedule.

commit 027377c53a08c6e713653d66f932a1217ffabde8
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Fri Sep 14 21:48:27 2018 +0100

    dvr: Prefer earlier/better schedule events for autorecs.
    
    We now try to avoid scheduling on a timeshift channel X+1 if we have
    the same programme on channel X. If a programme is on at the same time
    on multiple channels then we will try and schedule on a better
    channel, such as one with more services (such as mixed DVB-T/DVB-S) to
    allow service switching fallback on tuner conflict.
    
    An example of the new log entry:
    
    dvr: Autorecord "movie misc" Replacing existing dvr recording entry of
    "The Departed" on ITV4+1 @ start 2018-09-20;00:35:00(+0100) with
    recording on ITV4 @ start 2018-09-19;23:35:00(+0100)
    
    Context for the change is below:
    
    In some areas, a broadcast programme might be shown at the same time
    on multiple channels, or at different times on various timeshift,
    repeat, or regional channels.
    
    An example of this is the Astra 28.2E satellite where BBC1 has
    multiple (26) regional channels that (mostly) show the same
    programmes, but sometimes a region might have a +30m or +1h timeshift
    for a single programme.
    
    Similarly the commercial channel "Channel 4" has "Channel 4+1", and a
    repeat channel of "4Seven" and various associated HD channels. Homes
    receive all these regional channels via one dish and are required for
    BBC to manually switch between HD/SD versions for local interest
    programmes such as regional news.
    
    Previously, when setting an autorec, the item chosen to record was
    based on the first broadcast that matched the criteria (such as film
    title). However, this broadcast is not necessarily the earliest or the
    best.
    
    So this meant that with timeshift channels, a programme could be
    scheduled on X+1 instead of X, so record at 21:00 instead of 20:00.
    
    On other setups, the event might correctly record at 20:00, since
    scheduling depended on internal structures and which broadcasts are
    found first (such as via OTA updates).
    
    Similarly, in countries where the same programme can be received but
    on different channels in different qualities, it was possible to
    schedule on a non-HD channel, even though the user wanted HD purely
    because the non-HD broadcast was found first and the channels were not
    merged.
    
    So we now check our recording list to determine if the event is better
    than the already scheduled event. If so, the existing recording event
    is replaced.
    
    For our criteria, "better" is defined in the function
    dvr_is_better_recording_timeslot, and has a variety of criteria such
    as "matches service filter", "earlier start", and "has more services"
    (so more likely to be able to failover if there is a problem).  If
    other criteria are equal, then we use the channel with the lowest
    channel number since Europe EPG has lower channel numbers for
    'better' channels.
    
    When determining if an autorec can be scheduled in a better timeslot,
    we must only check against other autorecs and not a manually scheduled
    entry since the user might schedule a recording at a later date
    specifically to avoid conflicts.
    
    This is achieved by replacing the old scheduled recording with a new
    scheduled recording. A new log message indicates when this occurs.
    
    Performance: Initial testing suggests that this rescheduling can occur
    between zero and two times per programme (when there is an initial
    schedule on +1, then a reschedule on non-timeshift SD, then final
    schedule on HD). However, it should not add significant runtime
    overhead for most people.

commit 35155842f0218695bb7e9f68b857038288e53102
Author: pablozg <pablozg@gmail.com>
Date:   Thu Sep 13 23:45:58 2018 +0200

    Change search icons to a combobox and fix search string in Thedbtv site

commit 93bc8432c6473a65c2e8aa7f82bbfd59102f14cd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 14 10:37:32 2018 +0200

    descrambler: fix wrongly added lock in descrambler_notify_nokey(), fixes #5092

commit b932dcaa8bf0881caff65ab3892ba86f4eff4247
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 14 10:29:47 2018 +0200

    descrambler: optimize descrambler_notify_deliver()

commit 34b9a6f054b2428edc499c78abbd2cb4e4a1f05f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 14 10:27:12 2018 +0200

    tprofile: fix tprofile_start1 when id==NULL

commit f11554804c379f7c458867584082262207c88089
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 13 17:40:34 2018 +0200

    epggrab: eit - massive fixes for the previous commit

commit cbb9cfb0a11dcafd8206db6332bf7f31da84d5b1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 13 17:04:57 2018 +0200

    epggrab: eit - reimplement the EIT grabber selection

commit f3c34c9c8b625bc8561b0dc2e777432e056b6703
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 13 15:10:11 2018 +0200

    tvhcsa: optimize offset check for incomplete packet in CSA descramble

commit 068852d177a7236bd0f1332f0bd54ca233e55999
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 13 09:01:35 2018 +0200

    update valgrind.supp

commit bfa654f78776282065f49404cfc383962cddaaab
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 13 08:41:32 2018 +0200

    descrambler: fix leak in descrambler_notify_deliver()

commit 3812d7755cf8a4ebde2690adb95cd7e97bbf2a72
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 13 08:41:17 2018 +0200

    tvhcsa: add invalid offset check for CSA descramble

commit 3458483827a6e0dac23b595ab2730c2a0b604af4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 12 21:45:36 2018 +0200

    xmltv: fix the desc import, fixes #5206

commit e71dd168f5a7355055505f3ee1a9674814a5d418
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 12 12:45:29 2018 +0200

    mkv: set keyframe flag for all audio tracks, fixes #5151

commit 31e50eef6049e2b4de382844e1a06f88f3f8f9b6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 12 10:36:26 2018 +0200

    profile: improve timeout description

commit b446696698c8a3d638bac188f06b0fe8d8ac8091
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 12 10:02:49 2018 +0200

    descrambler: try to fix crash in descrambler_service_stop(), issue #5092

commit 2616ec54cf6e6c5222b0335b85b2e704483944d5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 12 09:59:01 2018 +0200

    parsers: hevc - wait for metadata completion

commit 59b48c0f5c7b536270fe3e59fe42556abfb69cce
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 12 09:49:01 2018 +0200

    parser: h264 - accept PPS metadata only when SPS is correct, fixes #5192

commit 1f7b8cd00b9164db8d1dfdf3f2062b79251f54fa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 12 09:26:19 2018 +0200

    Makefile.ffmpeg: add FFNVCODEC files to library

commit 36e93e178c3a7134f26b12c1197b7b9f49d9cd57
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 12 08:59:29 2018 +0200

    linuxdvb: add 'Higher LNB voltage' option to the satconf, fixes #5199

commit 58bc4634fe272b61baacd22a5fa96f754e3c8459
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 12 08:44:22 2018 +0200

    xmltv: another fix for xmltv_appendit(), fixes #5194

commit 4f3bb16fa20fc12d68d56452b21701bc14d622af
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 11 19:43:03 2018 +0200

    xmltv: really fix the xmltv_appendit(), fixes #5194

commit 7e75ef8cc62c7abb33a8c3cf2793e5cb15e0f5f6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 11 19:07:26 2018 +0200

    fix for the previous commit

commit 63141bd49e84adf237d4eaeef91950d3dd0be940
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 11 18:52:14 2018 +0200

    Makefile.ffmpeg: fix the build without nvenc

commit b10cc922ba8601690e23584951214a6e2e53fb3e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 11 13:30:22 2018 +0200

    Makefile.ffmpeg: upgrade to ffmpeg 4.0.2

commit d2ecf8bab4bf08735f2cde5d917167642e3a6a74
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 7 19:57:16 2018 +0200

    descrambler: fix the double free

commit e38a877853fae7f3c937d2b3d8c5e7f540a1104c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 7 15:15:51 2018 +0200

    xmltv: fix the previous commit, fixes #5167

commit f574438c9f6042a6787c954cdc480f76c48eb9dd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 7 15:11:33 2018 +0200

    xmltv: fix xmltv_appendit() - NULL desc, fixes #5167

commit c34f263991e4945265f5e11ffdff249c8b8c3619
Author: mw@hesotech.de <mw@hesotech.de>
Date:   Fri Sep 7 09:17:36 2018 +0200

    BugFix: SATIP_SETUP_SPECINV0 and SATIP_SETUP_SPECINV1 has the same definition

commit c47d3a39fd5bc791bfefc0db7a983334f5c176b0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 7 10:06:00 2018 +0200

    xmltv: rewrite APPENDIT() macro to xmltv_appedit() fcn

commit 7374b24aa67ef146e633fd8c5d76bb4baa9a822f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 7 09:48:35 2018 +0200

    dvb support: add more comments to charsets in dvb_get_string()

commit 923b6bc1bc85284a22ace6beec5eb9937fce48ac
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 6 16:26:59 2018 +0200

    linuxdvb ca: another fix for the PIN enquiry, fixes #5187, fixes #5191

commit c0541cbe21e6e6c2f0be658375dc2b4cff55465a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 5 11:11:58 2018 +0200

    freesat huffman: reduce the number of includes

commit 771080aa77cc9de6dfa259b2d2416895e3c2667b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 4 13:15:58 2018 +0200

    fix regex_match_substring (one characeter strip), fixes #5172

commit 2459307a8b39bffee40f55e83ae2d8f202fc40c1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 4 13:10:19 2018 +0200

    linuxdvb ca: fix the ca_ops_enquiry checks, fixes #5187

commit da1b2dc390701c8a044ddad080d47b05bd6d90ee
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 4 13:06:59 2018 +0200

    satip client: fix type for specinv, fixes #5190

commit fa18c9653a0c0e4505914dac155758400cb41239
Author: pablozg <pablozg@gmail.com>
Date:   Sat Jun 9 11:48:02 2018 +0200

    webui: Added vertical scroll bar to dvr program info popup

commit c03712e8473bca4def46015a7593ac637dba3db0
Author: pablozg <pablozg@gmail.com>
Date:   Fri Jun 8 12:36:06 2018 +0200

    webui: dvr/epg popup window autoresize to actual resolution

commit 772bcf4c8ab0103fff65d710a5d0b2815166696f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Sep 3 16:02:33 2018 +0200

    satip client: make specinv parameter tri-state (allows specinv=1)

commit 5d71c1b54e14021de37dcdeda774954ed8dd4129
Author: MartiMcFly <martimcfly@pietma.com>
Date:   Fri Aug 3 04:12:08 2018 +0200

    sf_pass_weight can't be used with netstream 4c

commit a8ca0e03fcf7d9d0d76c6e2c4ae03258cd86937a
Author: Martina Pietruschka <martina.pietruschka@guso.de>
Date:   Mon Jul 30 15:02:50 2018 +0200

    implement netsream 4c
    
    Conflicts:
            src/input/mpegts/satip/satip_private.h

commit b806da564050731818fff1372c2480ec01d8e540
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Wed Aug 22 23:38:48 2018 +0100

    Tvshows/tvmovies should have separate config variables.
    
    During tidyup, the tvmovies incorrectly used tvshows as
    its directory name when using the "$q" tag for recordings.

commit 3895c923a3a959da05080831b8146c09ed143b00
Author: E.Smith <31170571+azlm8t@users.noreply.github.com>
Date:   Fri Aug 17 23:05:40 2018 +0100

    FreeBSD: Fix recv problem if no data received.
    
    If using satip then we would frequently fail to read the data and
    then disconnect with errno 0.
    
    So, we now make the FreeBSD socket read consistent with the Linux
    version and return EIO on non-error.

commit dd422e936bb139c27ad1a2ed66ac57f3a7100cfd
Author: ProfYaffle <ian@sproink.co.uk>
Date:   Sat Sep 1 12:37:16 2018 +0100

    WebUI: fix channel tag lookup for autorec (local, not global)

commit 8327b1bf7562b7f250021471a4b73e4dc0cceb73
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Sep 3 15:32:39 2018 +0200

    dvr inotify: fixes for the previous IN_MOVED_TO change

commit ed9f55470dc98fc5b58b86e470d8c31dec9e292d
Author: joeuser <joeusercz@goglemail.co>
Date:   Sun Sep 2 22:26:00 2018 +0200

    dvr inotify: fix case where IN_MOVED_TO comes in subsequent read after read contaning IN_MOVED_FROM

commit 9b9ee6859be90fedb5d43ad1d770dfcdb8b1caf4
Author: mpmc <hello@markclarkstone.co.uk>
Date:   Wed Jul 25 22:59:56 2018 +0100

    debian: always use gzip compression for deb files (bintray issue) - fixes #5091

commit e26ce3390a5ca88f3fcee8a7fa0e4bb1b078e538
Author: Bernd Kuhls <bernd.kuhls@t-online.de>
Date:   Sat Jun 23 20:47:26 2018 +0200

    configure: check for strlcat & strlcpy
    
    Building tvheadend with uclibc and musl fails:
    
    src/tvh_string.h:50:22: error: static declaration of 'strlcpy' follows non-static declaration
     static inline size_t strlcpy(char *dst, const char *src, size_t size)
    
    src/tvh_string.h:61:22: error: static declaration of 'strlcat' follows non-static declaration
     static inline size_t strlcat(char *dst, const char *src, size_t count)
    
    because they provide strlcat & strlcpy:
    https://sourceware.org/glibc/wiki/strlcpy
    
    This patch adds configure checks and makes the implementation in
    tvh_string.h optional, the configure log looks like this:
    
    glibc
      checking for cc strlcat ...                       fail
      checking for cc strlcpy ...                       fail
    
    musl
      checking for cc strlcat ...                       ok
      checking for cc strlcpy ...                       ok
    
    uclibc
      checking for cc strlcat ...                       ok
      checking for cc strlcpy ...                       ok

commit 30f9f7f2a62cab74f7c508849b8ccc4126791811
Author: Kai Sommerfeld <kai.sommerfeld@gmx.com>
Date:   Wed Jun 27 23:08:34 2018 +0200

    htsp: expose duplicate state for dvr entries.

commit 0ba08961db923501cdb9d0e6f7618b40c580d3d8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jul 1 11:42:51 2018 +0200

    xmltv: fix the switched tvh_gettext_lang arguments, fixes #5143

commit 66d6161c563181e5a572337ab3509a835c5a57e2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 22 10:26:22 2018 +0200

    htsmsg xml parser: fix NULL oops, fixes #5135

commit 65c2ebb604289f766998809f0e019e157a021bf1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 22 10:12:03 2018 +0200

    http: remove wrong debug line

commit cb03c778ae0fa859e6b058cef38b08c194646b21
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 22 10:11:23 2018 +0200

    eit: compilation fix (copy-n-paste error)

commit b921d18c1bbf94617d147de7d3d26dd601d6487a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 22 10:07:35 2018 +0200

    xmltv: intl fix for APPENDIT()

commit 306b8262216ca7f0d87702ae11f70df83b9b622a
Author: irgendsontyp <htcmaxx@gmail.com>
Date:   Thu Jun 21 21:37:12 2018 +0200

    XMLTV EPG grabber: Append extra data to the languages which a description exists for rather than appending to the 'preferred language'

commit 26a91d73d8cd397a69ebea4bb5a39dc2978ee129
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 22 09:38:50 2018 +0200

    eit: add SDT callback, issue #5083

commit 1c2a2139907d8280eea0c06d93cc9903b0fe0d16
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jun 20 15:11:23 2018 +0200

    add missing tvh_string.h header file

commit a92a27ae3069553dd8cbf1970d6da691c64d7996
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jun 20 15:08:03 2018 +0200

    mpegts input: do not join non-existent threads

commit 481304bf5f5aff380a364f1ed23ae2b9e087bb2b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jun 20 14:25:26 2018 +0200

    fix two issues in transcoding code from PR#1121

commit bff422214b3675154ddcaf924e26ac67f3e29029
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jun 20 14:23:43 2018 +0200

    introduce strlcpy() and strlcat() functions and use them

commit 5750826be0cefb1069a08d90608147565954a8b3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jun 20 13:04:04 2018 +0200

    DVR: fix alloca() for date in _dvr_sub_scraper_friendly()

commit df4748a667c720b4c4c13e2de785f46fca2e664e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jun 20 09:41:20 2018 +0200

    doozer: try to fix centos build

commit 8b8f1c4831d065552cb8ce1467f67dc13d5d87cc
Author: irgendsontyp <htcmaxx@gmail.com>
Date:   Wed Jun 20 03:26:05 2018 +0200

    Fix creation of CA Client type 'AES128 ECB Constant Code Word'

commit ea9159ecbdc695a4e717c420c2dd7b4d926cb2b9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jun 18 08:44:08 2018 +0200

    DVR: improve _dvr_sub_scraper_friendly()

commit 28d97e3fabe288515335b7ff73b75cbce9ed3c37
Author: irgendsontyp <htcmaxx@gmail.com>
Date:   Sat Jun 16 17:57:37 2018 +0200

    Fix cloning an entry in UIs where you select a type and save the clone manually

commit 610c6fa74ac0483c3025e0fe513993ab6a0ec75f
Author: pablozg <pablozg@gmail.com>
Date:   Fri Jun 8 12:22:52 2018 +0200

    webui: fix cut and paste error in previous commit

commit cbc06b5a5c68eeb976f01d4a7021c9ec22b95919
Author: pablozg <pablozg@gmail.com>
Date:   Fri Jun 8 11:30:09 2018 +0200

    webui: Added support for Kodi label formatting in dvr/epg as optional

commit 8e270b2a6bc763f0b7c9624a4f771f357992b116
Author: Robert Cameron <rob@rpcameron.net>
Date:   Tue May 22 08:53:48 2018 -0700

    Set some initial FE conditions for CableCARD

commit 22e43b229d111fcaaf325477ec5d555b8a545193
Author: Robert Cameron <rob@rpcameron.net>
Date:   Sun May 20 12:27:45 2018 -0700

    Missing union

commit bfa75511399ed44cd50d1e507cf720615c3f0624
Author: Robert Cameron <rob@rpcameron.net>
Date:   Sun May 20 12:13:42 2018 -0700

    Refactor dvb_cabelcard_config.num/.minor -> .vchannel

commit 8e4fa69e22d9e3c7e1791c16d423fab396f68c00
Author: Robert Cameron <rob@rpcameron.net>
Date:   Mon May 14 13:08:40 2018 -0700

    Refactor: dvb_fe_vchan->dvb_cablecard_config; dmc_fe_vchan->u.dmc_fe_cablecard

commit 37c6e87376ef8f2f0c1f543ab4810ef000ab1f42
Author: Robert Cameron <rob@rpcameron.net>
Date:   Sat May 12 17:28:12 2018 -0700

    Persist frequency/callsign of CableCARD muxes across restarts

commit c7cac2716b0bf60f6ca54f1c4c5f172e0e4529d4
Author: Robert Cameron <rob@rpcameron.net>
Date:   Sat May 12 15:08:07 2018 -0700

    Physical network support for CableCARD (HDHomeRun Prime)

commit fb340ae8bea0c69910f27038de9a9179dd5fe392
Author: Robert Cameron <rob@rpcameron.net>
Date:   Thu May 10 10:41:31 2018 -0700

    Add logical network support for CableCARD networks

commit a9069b5dbf158f4c18e943dd02272aefd655203e
Author: Jongsung Kim <jongsung.kim@gmail.com>
Date:   Tue May 29 03:42:04 2018 +0900

    webui: fix http_serve_file() for FreeBSD
    
    This patch fixes two major problems of FreeBSD port of tvheadend:
    
    1. very high CPU usage while streaming a recored program
    2. unable to stream the recorded program beyond 128MB.
    
    Unlike Linux sendfile(), FreeBSD sendfile() requires an explicit
    file offset, and return value must be checked to catch any error
    occurred. (i.e., closed connection)
    
    Patch tested with the latest FreeBSD port of tvheadend-4.2.6.

commit 7ca301f6bc882c6bd0379de4e8741c95342121fd
Author: pablozg <pablozg@gmail.com>
Date:   Fri May 25 10:54:48 2018 +0200

    Change debug info from main to dvr

commit 1098ff8579230ae239eaeb78d432814da19b7806
Author: pablozg <pablozg@gmail.com>
Date:   Thu May 24 21:28:03 2018 +0200

    DVR: Erase cutlist files when a recording is removed

commit 9346fffbdc051485317885cd539d0a30c263ad54
Author: mpmc <hello@markclarkstone.co.uk>
Date:   Thu May 24 19:21:57 2018 +0100

    doozer: enable bintray publishing and i386 builds for bionic

commit 8a603a1f96b9740a0679008e5852581922aa3cc4
Author: Alex Mekkering <alex@alexenjoyce.net>
Date:   Thu May 10 14:33:29 2018 +0200

    Upgrade to libhdhomerun_20180327

commit 2c806b582ed6ead55ff190896c1d9ac268913f0f
Author: AlBundy33 <therealhawk@freenet.de>
Date:   Sun Apr 29 14:46:57 2018 +0200

    added generated files

commit c637f037fc4f68a5736acabc560a8b7f5eae8110
Author: pablozg <pablozg@gmail.com>
Date:   Thu Apr 26 21:15:52 2018 +0200

    webui: Fix no all recordings are shown after enable grouping and travel between tabs

commit 096a3affc520fb8782f6bbdfc8f3e373e4988770
Author: pablozg <pablozg@gmail.com>
Date:   Thu Apr 26 21:09:55 2018 +0200

    webui: Fix console error (tvheadend.createToolbar2 is not a function)

commit b60b854a51e2a8c63a6161ebaa009e9f215c7a3a
Author: pablozg <pablozg@gmail.com>
Date:   Wed Apr 25 18:30:29 2018 +0200

    Code optimization

commit 588eb4e1a86d72a4e8aaee60d9266948916ca2c9
Author: pablozg <pablozg@gmail.com>
Date:   Wed Apr 25 11:26:23 2018 +0200

    Add syntax check and minor fixes

commit f3d0cb592ca74560c92f0feeb208c135527b2211
Author: pablozg <pablozg@gmail.com>
Date:   Tue Apr 24 22:15:06 2018 +0200

    fix: hard coded locale code

commit 4ec30caa97c6bf554edca17fb319e1f51b730810
Author: pablozg <pablozg@gmail.com>
Date:   Tue Apr 24 21:20:01 2018 +0200

    webui: Added custom date format field in config tab

commit 595fd174fa6512efc220e7dcd82b0f9b129f14b0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Apr 22 21:27:50 2018 +0200

    epg: fix the EPG limit (days) - inverted condition

commit f4ebe3389e7f6bbf0b97294a1f3671f37ad14f27
Author: Pablo <trujulu@gmail.com>
Date:   Thu Apr 5 23:59:32 2018 +0200

    Webui: Correctly sort the numbers (status)

commit bd35e805010a867f4ffd9da490340203f9ed458a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 20 15:04:04 2018 +0200

    doozer: add Fedora 27 build target

commit 3515154b7f4bd26bfe01975d48c5d9078e486ebb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 20 14:51:50 2018 +0200

    rpm: another spec fix

commit defbb2f222bc5f0566ad5de0acdb7c778bef8316
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 20 14:39:45 2018 +0200

    rpm: spec fix

commit c0a9b32900a4d5c875aeb92c9c8085a0304077e8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 20 14:29:28 2018 +0200

    linudvb ca: another gcc8 fix

commit 8f73eb70d1e8a3732b3977efb406f8476a14494b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 20 14:27:29 2018 +0200

    muxer libav: ffmpeg 3.5 fix

commit 7dd6152c5a985f0ad84fcd5d9a1e0927794367f7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 20 14:24:06 2018 +0200

    rpm: spec cleanups

commit 4cb95b5616e728966d0a1d2b8c56a17ba8e70d3a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 20 12:26:21 2018 +0200

    dvr_inotify: gcc8 fix

commit ee169d6c041fc300d5cb390c3337e6205ddf6735
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 20 12:19:55 2018 +0200

    more gcc8 fixes

commit b2c05caa13caa9f7df59a11f1734c2a7a58ff8e7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 20 12:16:23 2018 +0200

    epgdb: try to fix gcc8 compilation

commit bdf208ed8d612062b9695f2ecd172c695503737f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 20 11:48:05 2018 +0200

    doozer: replace fedora24 with fedora28

commit 0d5c8efee9fc222bdfebfd1141d12bc6b852f7e2
Author: Jongsung Kim <jongsung.kim@gmail.com>
Date:   Mon Apr 16 13:01:41 2018 +0900

    tcp: fix tcp_socket_dead() for FreeBSD
    
    The FreeBSD port of tvheadend couldn't stream Live TV, and debug
    log shows webui judged the peer socket closed immediately after
    starting streaming:
    
    2018-04-15 06:30:04.996 [  DEBUG]:webui: Start streaming /stream/mux/c4bc67bdaa13457e33740ca883cc4d75?ticket=7D1B56AD0E434C5F7EBFA4677A7FBE4C94097974
    2018-04-15 06:30:04.996 [  DEBUG]:webui: Stop streaming /stream/mux/c4bc67bdaa13457e33740ca883cc4d75?ticket=7D1B56AD0E434C5F7EBFA4677A7FBE4C94097974, client hung up
    
    It looks because tcp_socket_dead() misunderstood the zero-return
    from recv(). For the FreeBSD, recv() might return zero for alive
    sockets which have nothing to read.
    
    Patch tested with the latest FreeBSD port of tvheadend-4.2.6.

commit 55f9d626365057d723695de0b890d015d9749ddf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 20 11:35:05 2018 +0200

    fix build with !ddci

commit 29140e435098df33676f857bd0f2584f4c98ee78
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 20 11:12:20 2018 +0200

    pass muxer: add more rewrites, fix NIT rewrite, fix teletext subs, fixes #5062, fixes #5075

commit d2ca22d2cfce5e80cea74384e0013c03c9eef40f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Apr 15 18:19:58 2018 +0200

    mpegts: input - fix the wrong PID read in mpegts_input_analyze_table_queue()

commit 518d57bee25cf89ea04ec80e7974f64778b03ed0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 13 20:35:12 2018 +0200

    epg: fix the running check in _epg_channel_timer_callback(), fixes #5067

commit 5f0241da6a008b80317085ec2f389d96269dc688
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 13 20:11:35 2018 +0200

    pass muxer: add rewrite NIT, fixes #5062

commit 78081ea95adce7a765265924df7a5ee3323280f3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Apr 12 16:53:51 2018 +0200

    fix possible wrong strncpy() in tvhlog_thread(), fixes #5071

commit 4fe0af0e8d9e47b1bbae5599bea09a772325a9f9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Apr 8 11:47:24 2018 +0200

    added tprofile to gather code timings

commit 8bdc0aa93aef9f6f58de6a246ca9e1c37f424a1f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 6 13:53:54 2018 +0200

    main: remove --tsdebug option

commit c597a569ab93bec042ac6d44e4da75f115bfeaa6
Author: Andreas Smas <andreas@lonelycoder.com>
Date:   Fri Apr 6 08:07:07 2018 -0700

    Add rpmfusion for fedora24 & centos7 and switch to docker images for buildenv

commit 4918b06f0a843cbfba0553846981c286b7ca9128
Author: Andreas Smas <andreas@lonelycoder.com>
Date:   Thu Apr 5 22:15:57 2018 -0700

    fedora and centos doesn't have libdvbcsa so disable it

commit f638320499cb05429a269bf2fe6ce0691fba49ac
Author: Andreas Smas <andreas@lonelycoder.com>
Date:   Thu Apr 5 22:07:49 2018 -0700

    Add missing Autobuild/bionic-amd64.sh

commit fd590ee9b9a7ff405c0a2faf74847433f26d19ac
Author: Andreas Smas <andreas@lonelycoder.com>
Date:   Thu Apr 5 22:00:20 2018 -0700

    Add bionic build

commit f9d7e2be22fbf273c54ba534e0b4ea97b58935d1
Author: Andreas Smas <andreas@lonelycoder.com>
Date:   Thu Apr 5 21:58:41 2018 -0700

    .doozer.json: Remove unused option "concurrent": false

commit d9418857f3f38880d7461ddcd04bb72db803dc80
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Apr 2 21:28:24 2018 +0200

    tsfix: increase possible audio to video drift to 3 seconds, fixes #5053

commit c76c7e0604977305498221f83c049d6d4fc715ed
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Apr 1 21:50:39 2018 +0200

    Makefile: fix --disable-tvhcsa, fixes #5052

commit 50c65baaa9dfb13232f55c88b573532b6bb9719c
Author: pablozg <pablozg@gmail.com>
Date:   Sun Apr 1 15:58:15 2018 +0200

    Fix: When grouping recordings not all records are selected.

commit ce30775fa0cded397dd024b5e42b506e59db95bf
Author: dave-p <gh@pickles.me.uk>
Date:   Sat Mar 31 15:48:26 2018 +0100

    Fix server crash in satip_server_http_page
    
    Accessing http://your.ip:9981/satip_server/ crashes TVHeadend. The fix also returns Bad Request for unexpected filenames.

commit 0fc7a73ed7d7882e965d0c8979cdcab9ea3302f8
Author: Trujulu <trujulu@gmail.com>
Date:   Mon Mar 26 14:20:43 2018 +0200

    Fully remove FFdecsa fixes #5039

commit 25dfdb64f3005a47823db320a77a4bf964ceb3b1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 30 21:39:15 2018 +0200

    emm reassembly: try to fix irdeto shared EMM match, issue #5048

commit 39a8ef2c1fdcea9ba101bac56bb94165e425d3b0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 29 22:04:55 2018 +0200

    esstream: preserve set_nicename on request in elementary_set_clean()

commit 65ef6af7f55056760a71e2a9029a3b007299732c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 29 14:05:46 2018 +0200

    mpegts input: move mm_input_queue push to mpegts_input_queue_packets()

commit a441514ba1fcb37d4719ca1d2ccafe64750d2bf2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 29 13:51:28 2018 +0200

    emm reassembly: add subsys to emm_reass structure

commit 1f621ecfeb855327d23fcce0577a65b3d4eec02d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 28 11:59:10 2018 +0200

    mpegts input: add tspos per mux instance

commit 38b32ed159374a285cf2f08390a359c3488a1ced
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 28 11:26:31 2018 +0200

    tsdemux: pass pid to ts_recv_packet1()

commit 5782d8c1422dd42951e33fa7dcd0b7968eb7643b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 27 16:31:56 2018 +0200

    parser: fix the saving of the parsed parameters, fixes #5034
    
    The parser do not touch the elementary streams registered for service
    (the timeshift preparation), but the parsed parameters should be
    saved for the live streaming. This fixed the endless streaming restart
    (visible for MPEG2 streams).

commit 3f374b1dc9499eefd5101a3472dcebe646b8b9a9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 26 12:58:19 2018 +0200

    descrambler: more FFdecsa code removal, fixes #5039

commit 3ea69fe37a4521ccd617f2e8d094cba7fb5365a6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 26 10:00:50 2018 +0200

    streaming: add back source info to SMT_START message, fixes #5037

commit 0b223e5a1d4e8d6619a163f8ae43eea17722e858
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Mar 25 19:37:05 2018 +0200

    DVR: fix for the previous commit

commit 74f565b818a3d2a2bd7152a6d71313cae7484699
Author: pablozg <pablozg@gmail.com>
Date:   Sun Mar 25 18:14:04 2018 +0200

    Cosmetic fix for dvr entry info (webui)

commit 5e56d8c5bde1bf0faad51620c2bd0e33243b1346
Author: pablozg <pablozg@gmail.com>
Date:   Fri Mar 23 18:51:39 2018 +0100

    Add request feature #5022

commit 94ae9dfcd629238888e9022cec8b7bdcfb26dd95
Author: Alex Mekkering <alex@alexenjoyce.net>
Date:   Wed Mar 21 13:08:35 2018 +0100

    Upgrade to libhdhomerun_20171221

commit 2d01c9e1a817d22e1b9fbec2bf1181551250df68
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Mar 25 19:20:46 2018 +0200

    parser: don't free es_nicename in parser_clean_es

commit 8c0d98c4f68aa57aa5d40677d03c96c84ff4b0d0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Mar 25 18:30:49 2018 +0200

    SAT>IP server: don't serve XML description when not enabled, fixes #5029

commit 5de70b42e078170172af604f58831f26360fa710
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 23 19:51:51 2018 +0100

    add missing source file src/input/mpegts/dvb_psi_hbbtv.h

commit f0618ec9891ca8d1864e165f7814310e3dbe8df2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 23 19:48:37 2018 +0100

    doozer: try to add libdvbcsa dependencies

commit 9ea22e4d0788442cdde66f40932b1cfa7699f41b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 23 19:40:38 2018 +0100

    IPTV: fix network builder (to add the new network to all IPTV input threads), fixes #5024
    
    - also add mpegts_mux_post_create() helper to set the mux nicename correctly

commit 26a1781d23e3ea6246b37a37529b955572e30a21
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 23 18:47:41 2018 +0100

    iptv: fix possible memory leak in iptv_network_create0

commit c49eca078b937ddc212f45e59ab044cd94b3edb6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 23 18:31:33 2018 +0100

    iptv: don't set libav settings as default

commit f081d772dcda06f7b8ac765134c39e36ea8d71d8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 23 18:04:02 2018 +0100

    httpc: disable testsuite again

commit e9e3048204da9c2e50c1db71d88a020ef81c732f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 23 15:42:46 2018 +0100

    parsers: fix pcr pid copy

commit 7b328d75adb1bfcf4a3fafa5ad0c1745ff24ca95
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 23 15:10:49 2018 +0100

    parser: fix the NULL set_service

commit 8cdb20d8ace2cea056414569e036ba4b088caac5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 23 14:17:01 2018 +0100

    subscription: fix the incorrect parser create/destroy

commit 76957a2d43a4024ea10ff7dddf299f7016f3057d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 23 11:32:21 2018 +0100

    service: add service_id16() helper

commit 73701902e894d43c844f00b71aad92f21de531b6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 23 10:07:05 2018 +0100

    tsdebug: redesign

commit 5ccff6b6c913c3a21cb0f03b53123f2b284190da
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 13 15:29:10 2018 +0100

    hbbtv: parse hbbtv outside elementary stream

commit bc1b3e8110b8679de86d04b5ace8902ec8cfc872
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 13 14:13:02 2018 +0100

    esstream: remove problematic runnig flag from elementary_stream_create()

commit 7adda0c1cead4eb179e0998d4b47a81822e06b36
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 9 13:51:40 2018 +0100

    parsers: reshuffle parser code and cache the callbacks

commit 0a9e173152dd39e8e3220cdfb6663f7c0937051e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 9 13:24:43 2018 +0100

    parser: rewrite message.c to use the elementary stream tail queue instead array

commit d2f2ebb46f134f383902858ca628a8bbddded1f5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 8 18:43:24 2018 +0100

    esstream: add elementary_stream_create_from_start()

commit 6314d5b2ea4e32a864bcd4798f247e050eee143d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 8 18:31:44 2018 +0100

    esstream: move pmt/pcr/service id from service_t to elementary_set_t

commit e18f8ef04c95e790777a7df2a8b250ea92620dde
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 8 17:58:28 2018 +0100

    esstream: introduce stream_info_t

commit ef875b305c7f0e40c4e25b2025070954ceaa5bae
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 8 17:21:28 2018 +0100

    parser teletext: use prs_service

commit 95c58b7ca3cda921647837b662db000b26da0adf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 8 16:26:40 2018 +0100

    streaming: tiny change in streaming_start_component_find_by_index()

commit 9418f085f46414973243c5e6337fbf68e3bf97e0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 8 16:14:10 2018 +0100

    split hbbtv desclarations from tsdemux.h to dvb_psi_hbbtv.h

commit bd901755a06e4654695b95072fff9eb301ad9e9a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 8 16:09:16 2018 +0100

    move src/descrambler.h to src/descrambler/descrambler.h

commit c11a15d3d847930bfbe3daebed3fa65a5e79a304
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 8 16:07:11 2018 +0100

    move src/parsers.h to src/parsers/parsers.h

commit 333028e9ef2c3b3850d1fe68708fc53e00e1a537
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 6 18:54:00 2018 +0100

    remove LIST/TAILQ lists from tvheadend.h

commit 5e70323aa999784700419be56ae7c2bcd2e8440f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 6 18:24:46 2018 +0100

    move streaming defines from tvheadend.h to streaming.h

commit 50fcdc7d26c788ba10249bdf3c3bd039e9339b0b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 5 16:35:53 2018 +0100

    dvb psi: move PMT code to dvb_psi_pmt.c

commit 2898029b1a32227977b11b62196cded52cec577d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Feb 24 23:59:36 2018 +0100

    esstream: move elementary stream code to esstream.c/h

commit f43f3af241dcf2cb16cc0127647736821654fe40
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 12 08:11:30 2017 +0200

    parser: move mpegts to packet parsing completely outside tsdemux

commit 18f51a24578cc8dd681a1dfb122bcb2ad35f52e0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 23 18:05:23 2018 +0100

    compilation fix for the previous commit (FFDECSA removal)

commit 4e7f837c7055f4cb173164ca31af139e0a7858a5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 23 17:56:48 2018 +0100

    remove FFDECSA code
    
    - the code is almost unmaintained and horrible
    - no proper support for ARM CPUs
    - it is not much optimized for the current TVH's code

commit 9b9fbe524232d23854569aafbc107ad0dae8dad6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 23 17:53:55 2018 +0100

    add valgrind.supp file for suppressions

commit e0d5ab87fab5699d9253a661de371cd7f935d342
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 23 17:53:23 2018 +0100

    Makefile: add perf section

commit 4a7929490c25cd294c2b0f9318e3f631ae155f39
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 21 20:04:19 2018 +0100

    descrambler conf file: follow real json spec

commit 6311cf77d7d6070657d66528a4d414603f476d10
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 21 19:40:08 2018 +0100

    hts_strtab: make all functions inline

commit 912e9a7a6d43a39384f0e8f51ddd52e25a1dea83
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 21 19:39:20 2018 +0100

    descrambler: add description to descrambler configuration file, add ecmparity config item, issue #4992

commit 20e3cb8c81d9cb3d068f15bb569041a402060f32
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 21 13:07:05 2018 +0100

    subscription: improve 'Switch to another service' behaviour, fixes #4922
    
    If the channel has only one service, switch to standard behaviour
    where all service instances (inputs) are tried before the subcription
    fails.

commit 9f64868d329d546a488200686f8278adf56599e3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 21 10:45:26 2018 +0100

    imagecache: id is 'int' type, correct the overflow, fixes #5016

commit 163322179186fcadbef18145ad10a7818e2b094a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 21 10:27:11 2018 +0100

    webui: fix for the previous commit, show cached channel names for removed channels, fixes #5009

commit 222c8541b981e6db6fa9f2d59f2553235bbc1c4b
Author: pablozg <pablozg@gmail.com>
Date:   Sun Mar 18 12:20:20 2018 +0100

    webui: show channel number in DVR grids, fixes #5009

commit 04371af886a67b7c61a8eb265fab79a18dcc74e2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 20 19:12:03 2018 +0100

    dvr.js: cosmetic changes

commit 2e9a186785772a64bb17ab47af78985927458db6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 20 18:27:42 2018 +0100

    cclient: fix cc_remove_card() - wrong {}, fixes #4954

commit 384c558bb37f0133df41440c2903a6f1ae7b0a9b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 20 13:56:01 2018 +0100

    htsp: add global lock protection for htsp_done()

commit 6017f4f98bf9ab9f3b51d5ffb5c9c43854239c05
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 20 12:43:27 2018 +0100

    http server: return 401 error when authentication method is valid, but not allowed

commit af0361f80ad84869d674657516deee719101fd69
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 20 12:04:34 2018 +0100

    cclient: remove extra code

commit 223fb7a44ced1e9597ea46fe45b56e9174862f56
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 20 11:24:56 2018 +0100

    dvb psi: fix the 'improve section parser' commit, fixes #5005

commit b27f45fda660b84e43df551df028531681f5f05f
Author: thromer <tromer@gmail.com>
Date:   Sun Mar 11 21:53:43 2018 -0700

    Update dvr_db.c
    
    Fix typo -- &&& should have been &&

commit 35c83be2fc8cdded8f65cc31be26edba36a6d627
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 20 09:59:40 2018 +0100

    m3u playlist: add tvg-chnum attribute with the channel number, fixes #5011

commit c64482d65db0e0cdb57b8dd991e4f21fc27b64be
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 14 14:31:56 2018 +0100

    mpegts pid: add MPS_WEIGHT_ALLLIMIT

commit 438954756dfba0f0d16adb085baab4fe87a0f2d2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 14 14:26:42 2018 +0100

    satip client: fix the switch to 'all' subcribed pids when max pids number is crossed #2, fixes #5002

commit 5536c65678289ff228e735e0a4313808965953c2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 14 13:44:40 2018 +0100

    config: fix build without SAT>IP server, fixes #5000

commit f8c68ecdb480a1d7e5c587a97f95747c6e74d155
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 14 13:43:27 2018 +0100

    satip client: fix the switch to 'all' subcribed pids when max pids number is crossed, fixes #5002

commit ef96199c0cf82484981b4375f89969a65ed6f873
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 12 16:07:10 2018 +0100

    config: allow to override http user agent in the base config, fixes #3964

commit d5eaa4ca6bae63ab98281ae39ef3f3106bb62896
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Mar 11 16:01:50 2018 +0100

    config: make http auth more configurable (plain, digest, both)

commit 5c5402bbd4fc542582c42b8109593eca7989af85
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Mar 11 11:12:55 2018 +0100

    mpegts input: show the input name when 50MB/2MB limits are crossed

commit 2baa71998fadf72905b076e7b5f219975f7e1c46
Author: root <root@server.danman.eu>
Date:   Wed Mar 7 18:37:23 2018 +0100

    epggrab: giveup epg grabbing on SM_CODE_TUNING_FAILED (fixes loop)

commit da7f691270af303a9c1a46853f485974e34a21a2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 7 21:46:28 2018 +0100

    descrambler: do not expand key timestamp for unset one

commit c72135f043f894acf8cc374a2785ae5c69694069
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 7 17:43:46 2018 +0100

    descrambler: do not print 'still valid' traces to log on start (no ecm time set)

commit 0aae3c05f37dca8bedc3ffd75c8e2af7c0e73173
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 7 10:07:34 2018 +0100

    DVR: improve the segmented event logic for EITp/f, issue #4989

commit d3fc9696299d438c9396b56bb4939bce0da6c18d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 6 10:21:36 2018 +0100

    dvb psi: improve section parser, fixes #4987

commit 65a44a5a7218454e3096e2d22395accb97caa50b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 6 09:36:05 2018 +0100

    linuxdvb: implement correctly PID overlimit

commit 5bb2c4febfa249566c89e64668218579540e082d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 5 21:21:54 2018 +0100

    mpegts pid: another fix in mpegts_pid_weighted()

commit 452a541ecf899f365c689030d5d4f81be1ba30b1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 5 20:41:22 2018 +0100

    linuxdvb: add trace for weighted PIDs

commit 773bdb86eb14c7a2169e0291b88679cf570cad19
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 5 20:37:14 2018 +0100

    mpegts pid: reshuffle code in mpegts_pid_dump()

commit 3a764acf78a432789c6a14dbe1c43925b4b837fe
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 5 20:33:28 2018 +0100

    mpegts pid: remove unused variable

commit b440d29220e0adeb91981bdcacb001cc1a492d41
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 5 17:23:59 2018 +0100

    mpegts pid: another fix for mpegts_pid_compare() - use only highest weight for returned add/del pids

commit 2403a543a9aef03266edff004c10e2458acaeb30
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 5 15:36:48 2018 +0100

    capmt: don't compile really old modes by default

commit ba31bd49f29c09dcfd1a8085964afe7a72165531
Author: Lubos Dolezel <lubos@dolezel.info>
Date:   Mon Mar 5 12:12:26 2018 +0100

    cclient: Insert card into card list before setting EMM state, fixes #4988

commit 32c56a82968bf916e1e212614ad13e4f8ca72030
Author: mpmc <git@markclarkstone.co.uk>
Date:   Thu Mar 1 00:10:06 2018 +0000

    webui: try to make the legend titles a bit more consistent throughout

commit 323de9af748908b2ead3bf5251323548ebd142fd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 5 14:47:37 2018 +0100

    FIX inverted condition: DVR: do not merge multi-segmented files when EITp/f is enabled, fixes #4926, fixes #4988

commit 730d4282ba235743eb5b23d8c4af8983dd7c0609
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 5 00:37:53 2018 +0100

    mpegts service: fix the pid weight updates for raw services

commit 30ef929ac81dc4b10b0975545576544859fa5dab
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 5 00:24:39 2018 +0100

    mpegts input: remove unused weight argument from mpegts_input_close_pid()

commit 48f82ed0a046752ae58c8d51c8c33e41fb77c320
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 5 00:12:20 2018 +0100

    mpegts pid: fix the weighted and compare functions (change semantics)

commit ba52f457229d4dbae7f0e57652845b3383b869e5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 27 10:11:51 2018 +0100

    parsers: remove debug printf

commit e339005abc4a2245903b33281119e20fe9871e12
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 27 10:05:20 2018 +0100

    parsers: merge AC3/EAC3 code, add autodetect the real stream even if the PMT hints is false, fixes #4910, fixes #4971

commit 5c71a3e9b3c01821fe264ba723378ba2e7cf4648
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 26 14:50:10 2018 +0100

    parsers: change ac3/eac3 parsers to new parse_mpga123 scheme

commit 4d830db6fce95a438447faa14f4bc6f83cb84e08
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 26 14:05:14 2018 +0100

    dvbcam.h: compilation fix for !linuxdvb, fixes #4973

commit 1c2d69000d3a3b63874b9c94e2997b13f496a8b4
Author: Jasmin Jessich <jasmin@anw.at>
Date:   Sun Feb 25 03:31:08 2018 +0100

    Mark the CAT PID with MPS_NOPOSTDEMUX flag
    
    Signed-off-by: Jasmin Jessich <jasmin@anw.at>

commit 8b2e9ba352401c83e39855b3103d272897fd47bb
Author: Jasmin Jessich <jasmin@anw.at>
Date:   Sun Feb 25 03:30:18 2018 +0100

    Add MPS_NOPOSTDEMUX flag
    
    In mpegts_input_postdemux remove PIDs marked with the new flag.
    
    Signed-off-by: Jasmin Jessich <jasmin@anw.at>

commit 578acc2650147817a95b60862568caedb8fcdc60
Author: Jasmin Jessich <jasmin@anw.at>
Date:   Sun Feb 25 03:51:02 2018 +0100

    Remove duplicate packets in linuxdvb_ddci_put
    
    Ignore duplicate PIDs before sending them to the CAM (this are PIDs <20
    only).
    
    Signed-off-by: Jasmin Jessich <jasmin@anw.at>

commit da50b461f31d1b66d06c78e1c4707efa35a14b65
Author: Jasmin Jessich <jasmin@anw.at>
Date:   Sun Feb 18 03:47:22 2018 +0100

    Add support for adding multiple services to DD CI
    
    New functions linuxdvb_ddci_unassign and linuxdvb_ddci_do_not_assign.
    Use a services list to store all assigned services.
    Also store the mux/input in case of the first assigned service to allow
    adding further services with only the same mux/input.
    In linuxdvb_ddci_read_thread use mpegts_input_postdemux to deliver the
    decrypted stream to the matching service(s).
    linuxdvb_ddci_is_assigned renamed to linuxdvb_ddci_do_not_assign, which
    will check if the DD CI CAM shall be assigned to a service or not. This
    will now allow to use DD CI for all services of the same transponder
    (mux).
    Remove unused function linuxdvb_ddci_require_descramble.
    
    Signed-off-by: Jasmin Jessich <jasmin@anw.at>

commit e0b8f7a2f02146c2c8b31ac8315a54e320d9b5da
Author: Jasmin Jessich <jasmin@anw.at>
Date:   Sat Feb 17 20:29:22 2018 +0100

    Added multi flag to CA configuration.
    
    Signed-off-by: Jasmin Jessich <jasmin@anw.at>

commit 357a0e16ed7ef72b9c3cdebceff5da0278215841
Author: Jasmin Jessich <jasmin@anw.at>
Date:   Sat Feb 17 20:37:29 2018 +0100

    Added locking of stream mutex to mpegts_input_postdemux
    
    Signed-off-by: Jasmin Jessich <jasmin@anw.at>

commit 4e122836bf0119ec3519cbb120243157882e2dd0
Author: pablozg <pablozg@gmail.com>
Date:   Sun Feb 25 12:39:57 2018 +0100

    EPG: show also separate "Season XXX" info in EPG and DVR

commit 5567adf6890551bdf2d389b2225f29f83bba5727
Author: pablozg <pablozg@gmail.com>
Date:   Sat Feb 24 14:19:37 2018 +0100

    DVR: fix: set the unparsed season/episode info as a text

commit 67d2b8b64082f28612454548aac27e739aff6228
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 25 18:53:29 2018 +0100

    IPTV: take network limits for all IPTV threads, fixes #4970

commit 2d7dad5fd0baa5a17ed8854c7f0bba7f2d86a2dc
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 25 18:41:34 2018 +0100

    config: fix IPTV threads field type (bool -> int)

commit 1b87e81b01d75962034a657f76b33ec8d6c61c11
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Feb 24 19:25:51 2018 +0100

    DVR: try to fix the late running flag update, issue #4958

commit a7e2fed2c3ffd52423e0a96876ad31953063b16a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Feb 24 18:59:24 2018 +0100

    SATIP server: changes for VLC 3

commit 963f7cb40d682d31a9f9ff196bc1b973bd966981
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 23 20:40:43 2018 +0100

    dvb psi lib: don't reset table when stuffing section is received

commit 8213c0e5488fdafaeeebb30b1cb479162839fc46
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 23 19:50:06 2018 +0100

    IPTV: compilation fix

commit 27d129cae2acc479be15c0b55c011e0b65693fdb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 23 19:48:04 2018 +0100

    IPTV: trigger playlist download on 'force scan' for the auto IPTV network

commit f7d233ef362e037bae4fd5dd1f174f0138f4b5d3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 23 14:46:24 2018 +0100

    IPTV: show thread number in the input class name

commit 7616244716f299a1b4734538beaef86c9f944b52
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 23 14:46:01 2018 +0100

    mpegts input: fix mi_last_dispatch atomicity (cclang sanitizer)

commit 780c603749c9e69ae543f674e8b96a30263ee9c1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 23 08:00:54 2018 +0100

    httpc: fix compilation error

commit d3b577a9ed112e90c5a96e5c7a26983b9cc91fd9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 22 23:04:12 2018 +0100

    httpc: fix the improper http_client_finish() call for RTP data state, fixes #4964

commit bc9f445bd8b0b03f5838f6cba4120c64bf03ac25
Author: mpmc <git@markclarkstone.co.uk>
Date:   Thu Feb 22 15:54:15 2018 +0000

    doozer: use git to pull in dvb-scan-tables

commit e6a01316020037e4d030cc55a10427e1d7f6000b
Author: Jim Hague <jim@sinodun.com>
Date:   Wed Feb 14 10:15:56 2018 +0000

    eit: combine title and subtitle when scraping title with ' % ', fixes #4873
    
    Currently title and subtitle are combined by joining with a single space.
    If the scrape is attempting to just modify the title, that's a problem
    because you don't know where the title ends.
    
    So instead join with ' % '. % isn't a regex metachar, so this is
    convenient for use in regexes.
    
    Update scraper test engine and UK regexes to match.

commit 2f7e2703d1e331d7c75366f7dbeb971c375b97a9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 22 16:32:46 2018 +0100

    DVR: tiny optimization for dvr_entry_class_disp_extratext_set()

commit 4ac382498a33abc2ecb06d42e6eb0e9c89aa21ec
Author: pablozg <pablozg@gmail.com>
Date:   Sun Feb 4 15:53:36 2018 +0100

    DVR: add the possibility to edit the extratext field and the episode field, fixes #4902
    
    Sometimes the recordings don't have the proper order (one missed,
    no free adapter, etc) and it would be good to have the option to add
    the "Season XX.Episode XX" text by hand if it is not set previously.

commit ee368a02125006c8d2bea0c0cdfed44edc131c05
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 22 16:18:25 2018 +0100

    bitops: fix BIT_MASK()

commit 467cb5c5b30f10edd962e6e8b3442cb7f98e2e9a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 22 16:12:13 2018 +0100

    psip: fix compilation problem

commit e4fa6470d747db2a7e0aa8eba872e95e3b29236b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 22 15:20:14 2018 +0100

    mpegts pid: fix mpegts_pid_weighted() for duplicate PIDs with different weight

commit dd651340ce51e1728c7117b8e0e56337ba5b06cd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 22 15:19:53 2018 +0100

    satip client: log also split PLAY params

commit 9c168621f068d1b58248a965388fc0f1877b0173
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 21 19:10:28 2018 +0100

    epg: ignore broadcast more early (limited EPG days)

commit 6d6d79cb75fca324072be58bf0b70061a9f5d16d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 21 12:07:37 2018 +0100

    url: Fix the RTP SSM URL recompose, fixes #4961

commit 6cbd2217d99977d5250d44193da8e3ec3b4d8c03
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 21 12:07:09 2018 +0100

    iptv: fix the crash on assert (done)

commit 13d31c7e37e4c27a1488809283f3b644c2ba6f07
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 20 21:18:03 2018 +0100

    epg: eit - fix the wrong serieslink uri assignment, fixes #4960

commit 370b1703ff75745f00decac7b51994d729e1bfa8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 20 20:53:17 2018 +0100

    SAT>IP server: second fix for the multiple subcribers to one service, issue #4957

commit 405c612c10c3768948c12751424ea273ba61d820
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 20 18:35:10 2018 +0100

    SAT>IP server: fix the problem when one service is subscribed twice, issue #4957

commit 2ff8c95d75a807611e1b02247d8b518d584e94d3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 20 18:23:01 2018 +0100

    mpegts service: small code shuffle

commit 01ad447896a3460d3bcdef3f4af1edc406bdacf7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 20 17:06:08 2018 +0100

    epg: tiny optimization

commit 1824ca6ed3cdbffc2b5f98e9c5e59dd28b7036f6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 20 15:12:05 2018 +0100

    iptv: split input processing among multiple threads, issue #4925

commit 9aba897447e39fb79924b908317e6b4fb34c48db
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 20 09:43:23 2018 +0100

    dvr: add source reconfigured trace

commit 5798a1ea950f1e16dd069cdcf34a9c2c00e6298f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 20 09:17:43 2018 +0100

    intlconv: add more string for the translit runtime check, fixes #4956

commit 508766e1573eac4f09269cc9bc836d1ea37245b3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 19 20:55:29 2018 +0100

    main: set locale to C.utf8 by default (intlconv), issue #4956

commit cec33bc6ef841f3d0f66cbbc181691cb7b1c5132
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 19 20:02:04 2018 +0100

    dvb: add mpegts_network_scan_mux_reactivate(), issue #4942

commit acad85f54748b32528c6ffb81e58e8ec6474aa5e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 19 16:55:36 2018 +0100

    lang_str: fix the wrong condition in _lang_str_add(), issue #4955

commit 49c88a80b28beaf0893221cab4d5a81cb3709d37
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 19 16:53:22 2018 +0100

    xmltv: use atoll instead atoi

commit c50089fac526235176d427ce545d1df292a0e772
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 19 15:43:48 2018 +0100

    eit: add NULL opaque check (crash on terminate)

commit 3d70f396495a611d219f2386fa7b581d2fe77f93
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 19 15:36:50 2018 +0100

    epg: coding style cleanups

commit 4535a2cf6ccf5209d220971890869390e1567889
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 19 13:58:38 2018 +0100

    intlconv: add safe check for transil feature (to detect wrong musl builds), fixes #4940, fixes #4827

commit 1bfcb7221b591ffffa904ea3d21d35dfb8aceed0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 19 10:04:36 2018 +0100

    channel: Add EPG limit, fixes #4935

commit 1d18e18d909211b1e06eb80367b593c44a913721
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 19 09:50:22 2018 +0100

    xml parser: cosmetic coding style updates

commit f81c7fbfc8fad680b636e1105e607b8b4a39e3e1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 19 08:43:17 2018 +0100

    mpegts: switch back to the scan state when new TSID is detected, issue #4942

commit d9f9efa91239f27ab5b3175d2773815fb6bd66cd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 18 20:52:33 2018 +0100

    epg: fix epg_episode_match(), fixes #4944

commit 5b9e2005976325b798b7e8a279b7923184b03a77
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 18 20:29:41 2018 +0100

    webui: fix 'Record series', fixes #4951

commit 4e7b1975c7e08d0309f953caec7a35cb22f46991
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 18 18:48:05 2018 +0100

    tvhpoll: kqueue compilation fix, fixes #4949

commit 567fb8b86f72eca90e37645ecebc253f7dd9bc94
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 18 11:55:02 2018 +0100

    tvhpoll: kqueue compilation fix, fixes #4948

commit c52ae66c7dd38ab86f6825c9ee66928e45b7076b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 18 11:30:08 2018 +0100

    tvhpoll: kqueue compilation fix, fixes #4947

commit 689e24578674e3d3f213d9e876accbccd1590457
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 18 11:26:29 2018 +0100

    epg: eit - fix copy-n-paste bug, fixes #4946

commit 8da9814f7682aae509b25f28b39e7a5d124c9851
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Feb 17 22:24:16 2018 +0100

    dvbpsi: another attempt to fix the TSID change, issue #4942

commit 671fc9c62bd688390c8107d9c8a97d995a6eb9fb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 16 16:58:19 2018 +0100

    lang_str: add NULL checks, issue #4945

commit 5985853443c89f9d1b986d9a0c37ddb3a34bb44a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 16 16:54:15 2018 +0100

    lang_str: remove unused update argument from lang_str_add()

commit 81b3a506c54d9f66fe07538a8b968fc9ee0dfaca
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 16 16:53:24 2018 +0100

    dvbpsi: compilation fix

commit 89174eab8edd50530c1879bef6c065e2469dc891
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 16 16:48:32 2018 +0100

    dvb psi: allow to change TSID for PAT, issue #4942

commit ba38add76c0a49a2cc147dee10baa79803501656
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 15 21:21:12 2018 +0100

    epg: handle old field names in epg_episode_epnum_deserialize() for DVR

commit 4752bba23184f2dc9d7ff7f1a3380f768d221a07
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 15 19:45:32 2018 +0100

    dvr: fix NULL pointer dereference in dvr_entry_get_epg_running, fixes #4943

commit cf80096b1897550980646738ea2c146eab021762
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 15 18:04:10 2018 +0100

    epg: optimize epg_episode_epnum_serialize()

commit 181e257da7ad7c5d2af7625179fb8958d4f2cbfd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 15 17:52:59 2018 +0100

    epg: fix copy-n-paste error

commit 68d0bc57ad1c1c3579aed7e65080b1ee5f77d5ce
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 15 17:35:37 2018 +0100

    dvb psi: create discovered muxes only when parent mux matches class

commit 774c0015129f8196066ffc4405486efb98c3c994
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 15 17:26:33 2018 +0100

    lang_str: fix the memory leak

commit 2ab2672dfca6270308512c88a4e1060b12657189
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 15 15:51:30 2018 +0100

    epg: implement epg set for serieslinks and episodelinks

commit 74368d0447b0167e33022d8bf8c46644ddd270ba
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 15 12:10:41 2018 +0100

    linuxdvb: fix the wrong input name, fixes #4939
    
    caused by coverity fixes 1047c9026f5ccfb88080e4ca6a04cd46f7115a40

commit d923d490c8df19b0904bedece222c77ac6afd4cc
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 14 13:31:18 2018 +0100

    webui: http_serve_file() fix tvherror - intlconv

commit ae2c76c7886dbec3c2d420b734659ce97a62fc72
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 14 13:14:22 2018 +0100

    epg: remove episode object

commit 2bac408f30e0dc9d8d35480ccce19cd3ebd2336b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 13 18:25:19 2018 +0100

    epg: remove season object

commit dd0fa8fe66e1e421bf8ec370cf4f62c455b55d8a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 13 17:57:44 2018 +0100

    epg: remove serieslink object

commit d84e1f2d64efc14f6d1de240a2a89f19598bcf92
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 13 17:09:05 2018 +0100

    epg: remove brand support

commit 328647710c7a816352b55cc36ffdeeeab96fa5a7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 13 16:56:57 2018 +0100

    remove pyepg import module

commit c8d8639e9349916281eb7bb9dc204b8ba54adaf3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 13 11:32:56 2018 +0100

    DVR: do not merge multi-segmented files when EITp/f is enabled, fixes #4926

commit 47d19a9f6701a2badffbd940de543726b82b9caf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 13 11:24:46 2018 +0100

    satip,webui: improve extra ports, fixes #4936

commit a51cd119bef3273dd1c22362890b27c99fad8d26
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 13 11:00:30 2018 +0100

    Makefile: fix --disable-dvbscan, fixes #4935

commit 1d2374ae6e2c28902bec3afa8e7818de8120a8cf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 12 21:03:34 2018 +0100

    dvb psi: add nit network id filter for EIT NIT callback (Ziggo), issue #4931

commit f0f9aa605ce4293b28430af3344b65ba14ec4e6e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 12 20:56:29 2018 +0100

    satip,webui: add client extra ports to the status page, fixes #4881

commit bb67b81bbb322cb9646e37e6c87af526b2685f2f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 12 20:26:53 2018 +0100

    dvb psi: nit - set private2 data only for 0x40 table

commit ade772d1ff0030ea9d48f48b9918cd947d4b32ea
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 11 17:44:16 2018 +0100

    dvb psi: parse first table bugfix2

commit 1c128496126e3884ef1cf44ff15d662b6c375deb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 11 17:34:56 2018 +0100

    dvb psi: parse first table bugfix

commit 088be1abebc9ae28bc5c334c7a250fd4ee97558f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Feb 10 08:19:03 2018 +0100

    parser: parse_mpa - fix the end segment check, fixes #4882

commit 386446716ae163b9a883dd551146848a44ab4e7a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Feb 10 08:08:02 2018 +0100

    descrambler: fix locking

commit 6230715c8120541d05c4c4691a6f1fd940bf9d1c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 9 18:13:02 2018 +0100

    cclient: add experimental pvu support for one key only, issue #4924

commit 6744ea1976e05d33e0383112f1ca75a7e7be0dfb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 9 17:01:54 2018 +0100

    psi: fix ATSC VCT parsing when PAT has TSID 0 only, fixes #4908

commit 06d3fdf5a496dfd847c4bf5fb8066bab41ee490f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 9 17:01:46 2018 +0100

    rtsp: parse 8192 pid value as all

commit a6c965dc9a1d66805a3cce480813c19486053c6d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 9 10:57:12 2018 +0100

    xmltv export: use summary for <desc/> tag when description is empty

commit 6e9a2c1b30f675b37136d18b85611ee2285b1203
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 9 10:53:11 2018 +0100

    parsers: improve parse_mpa123, fixes #4882
    
    - the Layer III was misdetected
    - add more robust code checks
    - improve latency for the last frame

commit 221bfa451bb4698d9ec5b88a37b8ec0a1ba7c09b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 9 10:52:53 2018 +0100

    service: add restarting service trace

commit 8ad8a81d8ca0b8ae51beb2c6bb2b327310811160
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 8 18:13:19 2018 +0100

    http: fix http_get_header_value() - digest auth

commit c196a89f13ced5348a5ce93ec8e57460d6856360
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 8 16:17:36 2018 +0100

    DVR: increase warm time limit to 600 seconds, fixes #4927

commit d1c9d1f96f2a45e78446e29937e0f3ee32486fcf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 6 11:14:42 2018 +0100

    eit: another bunch of fixes, added back uk_freeview support

commit 65038bfdfeb22459db6ca934b668252f31aef669
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 5 21:14:40 2018 +0100

    mtimer: do not start mtimer queue before mainloop(), fixes #4919

commit a1c5c5a7e588e69312ee4dc3687758a3c6bffc83
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 5 20:35:50 2018 +0100

    eit: recoded - use a config file to configure all grabbers

commit 4d1955080d55da8b43599eff8bcd4dadc2dc38cd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 4 19:45:52 2018 +0100

    htsp server: try to fix the missing description, fixes #4911

commit 916a1aa5ff11673fc34748614a04bbf9c79d8be8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 4 10:41:44 2018 +0100

    eit: obvious fixes

commit 1afeb9523951bb52a44616189ccd81e65d6fd643
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Feb 3 20:51:52 2018 +0100

    eit: always insert BAT pid when UK Freesat detected

commit 05d3369e4d61e21f6391b5af6b8b051603c7200f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Feb 3 20:47:56 2018 +0100

    string list: fix string_list_insert_lowercase(), issue #3753

commit 2187a69ffa8e71577a32469dafdd66bdbcbe8c7b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Feb 3 20:46:17 2018 +0100

    string list: tiny code reorganization in string_list_to_htsmsg()

commit 68c2ec9dd408226ebaa24340930801cf4582bdeb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Feb 3 13:21:56 2018 +0100

    DVR: fix '', fixes #4904

commit 6dcdd5dfa33e241ddc5e2a0821cf043417674152
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 2 21:07:43 2018 +0100

    eit: rewrite special eit grabbers activation

commit 78f63ac18458e75147fc9680b7ae5dfa95d180d5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 2 19:56:01 2018 +0100

    epg: improve traces for overlapped remove

commit 7de759e83dc655fdfa475479ef04cb1019035823
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 1 17:30:45 2018 +0100

    timerec: fix title passing, fixes #4868

commit 11a17562f3b23c0495b58f4bb1f279f482520ab6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 1 17:01:36 2018 +0100

    webui: epg - add duration to store/dataIndex - fix sorting, fixes #4909

commit dec0db83b574e48d316aaa5e27d65d463e5ca06c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 1 16:46:32 2018 +0100

    httpc: fix the memory leak

commit 7d3742dbcf96c50a24939a87937f30a3c436ae1e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 1 16:39:50 2018 +0100

    lang codes: reimplement lang_code_split - the code is much faster now

commit c9d4cbb70a514c343ffdec83f2fbe59ee2853ff5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 31 18:42:09 2018 +0100

    Makefile: add support for gperftools

commit 98cbd6022ee3c4664af9373cdd478b4b1fe56a2a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 31 18:23:07 2018 +0100

